2012-02-03 13:49  gjanssens

	* [r21931] src/report/business-reports/easy-invoice.scm,
	  src/report/business-reports/invoice.scm: Restore missing
	  customer|vendor in easy invoice. This got broken in r21552

2012-02-03 13:16  mikee

	* [r21930] src/report/business-reports/invoice.scm: Restore
	  missing customer|vendor in printable invoice.

2012-01-31 01:17  plongstaff

	* [r21922] src/backend/sql/gnc-order-sql.c, src/engine/gncOrder.c:
	  Add more order gobject properties and convert sql backend to use
	  them for loading/saving.

2012-01-31 00:00  plongstaff

	* [r21921] src/backend/sql/gnc-address-sql.c,
	  src/backend/sql/gnc-employee-sql.c, src/engine/gncEmployee.c:
	  Add more properties to employee object and convert sql backend
	  to use them to save/load objects

2012-01-30 13:38  cmarchi

	* [r21920] accounts/C/acctchrt_business.gnucash-xea,
	  accounts/en_GB/acctchrt_business.gnucash-xea,
	  accounts/zh_HK/acctchrt_business.gnucash-xea,
	  accounts/zh_TW/acctchrt_business.gnucash-xea: Bug#667105: Fix
	  grammatical error in some accounts file.

2012-01-30 13:35  cmarchi

	* [r21919] accounts/ko/acctchrt_brokerage.gnucash-xea,
	  accounts/ko/acctchrt_business.gnucash-xea,
	  accounts/ko/acctchrt_carloan.gnucash-xea,
	  accounts/ko/acctchrt_cdmoneymkt.gnucash-xea,
	  accounts/ko/acctchrt_checkbook.gnucash-xea,
	  accounts/ko/acctchrt_childcare.gnucash-xea,
	  accounts/ko/acctchrt_common.gnucash-xea,
	  accounts/ko/acctchrt_eduloan.gnucash-xea,
	  accounts/ko/acctchrt_fixedassets.gnucash-xea,
	  accounts/ko/acctchrt_homeloan.gnucash-xea,
	  accounts/ko/acctchrt_homeown.gnucash-xea,
	  accounts/ko/acctchrt_otherloan.gnucash-xea,
	  accounts/ko/acctchrt_renter.gnucash-xea,
	  accounts/ko/acctchrt_retiremt.gnucash-xea,
	  accounts/ko/acctchrt_spouseinc.gnucash-xea,
	  accounts/ko/acctchrt_spouseretire.gnucash-xea: Bug #667276: Fix
	  Korean accounts files. Patch submitted by Eulgyoon Lim.

2012-01-30 01:54  jralls

	* [r21918] src/register/register-gnome/gnucash-item-edit.c,
	  src/register/register-gnome/gnucash-item-edit.h,
	  src/register/register-gnome/gnucash-sheet.c: [r21886][Bug
	  #667900] No clipboard copy and paste Forward-port of r21886,
	  done in the 2.4 branch to quickly resolve bug #667900 and to
	  give windows users a nightly build to test with. Extends that
	  change by also converting the GDK_SELECTION_PRIMARY operations
	  to use GtkClipboard instead of GtkSelection.

2012-01-30 00:28  jralls

	* [r21917] src/import-export/aqbanking/dialog-ab-trans.c: Fix
	  compile error td isn't declared unless HAVE_KTOBLZCHECK_H is
	  true, so we can't use it outside of the #if block.

2012-01-29 20:26  cstim

	* [r21914] src/backend/xml/io-gncxml-v2.c: xml-backend: Fix an
	  uninitialized variable Patch by Johannes Schmid.

2012-01-29 20:25  cstim

	* [r21913] src/import-export/aqbanking/dialog-ab-trans.c: Disable
	  "changed" callback on transaction amount field temporarily, as
	  it does not yet seem to work correctly.

2012-01-29 06:32  alex.aycinena

	* [r21910] src/gnome-utils/test/Makefile.am: Add to the includes
	  in Makefile.am, which were implicitly included by until taken
	  out in r21880; this gets make check complete

2012-01-29 01:12  alex.aycinena

	* [r21908] src/backend/xml/gnc-backend-xml.c,
	  src/backend/xml/gnc-backend-xml.h,
	  src/backend/xml/io-example-account.c,
	  src/backend/xml/io-example-account.h,
	  src/backend/xml/io-gncxml-v1.c, src/backend/xml/io-gncxml-v2.c,
	  src/backend/xml/io-gncxml-v2.h, src/backend/xml/sixtp.c,
	  src/backend/xml/sixtp.h,
	  src/backend/xml/test/test-date-converting.c,
	  src/backend/xml/test/test-dom-converters1.c,
	  src/backend/xml/test/test-kvp-frames.c,
	  src/backend/xml/test/test-string-converters.c,
	  src/backend/xml/test/test-xml-account.c,
	  src/backend/xml/test/test-xml-commodity.c,
	  src/backend/xml/test/test-xml-pricedb.c,
	  src/gnome-utils/gnc-file.c, src/libqof/qof/qofbackend.h,
	  src/libqof/qof/qofsession.c: Update xml file backend to
	  recognize a newer version file on load attempt, not load, and
	  alert user of need to upgrade Gnucash.

2012-01-28 22:32  cstim

	* [r21906] src/report/standard-reports/budget-flow.scm: reports:
	  Make report Budget Flow 100% translatable Patch by Aurimas
	  Fišeras BP

2012-01-28 22:16  cstim

	* [r21905] src/optional/python-bindings/Makefile.am: Bug #668196:
	  Fix installation of python bindings With this patch, files are
	  correctly installed together. Patch by Vincent Untz. BP

2012-01-28 22:12  cstim

	* [r21904] src/import-export/aqbanking/assistant-ab-initial.c,
	  src/import-export/aqbanking/dialog-ab-trans.c: Re-indentation of
	  source code. As usual, re-indentation was done using astyle-1.24
	  using the following options: astyle --indent=spaces=4
	  --brackets=break --pad-oper --pad-header --suffix=none
	* [r21903] src/import-export/aqbanking/dialog-ab-trans.c,
	  src/import-export/aqbanking/dialog-ab.glade: Bug #668693:
	  aqbanking: Improve transaction UI * Use expander to show/hide
	  templates * Disable execute button as long as field values are
	  incorrect * Use icons and tooltips in entries to indicate that
	  an incorrect value was inserted Patch by Johannes Schmid.
	* [r21902] src/import-export/aqbanking/dialog-ab-trans.c,
	  src/import-export/aqbanking/dialog-ab.glade: Bug #668693:
	  aqbanking: Big code cleanup in transaction dialog Patch by
	  Johannes Schmid.
	* [r21901] src/import-export/aqbanking/dialog-ab-trans.h: Bug
	  #668693: aqbanking: Added API docs for transaction Patch by
	  Johannes Schmid.

2012-01-28 22:05  cstim

	* [r21900] src/backend/xml/gnc-backend-xml.c: Bug #668926: Fixes
	  build on GNU/Hurd A buffer of fixed size PATH_MAX is created,
	  but this constant is non-existent on GNU/Hurd, so the package
	  FTBFS on that architecture. The fix consists in using a
	  dynamically (re-)allocated buffer, as recommended on:
	  http://www.gnu.org/software/hurd/hurd/porting/guidelines.html

2012-01-28 00:15  plongstaff

	* [r21898] src/backend/sql/gnc-vendor-sql.c,
	  src/engine/gncVendor.c: Add more vendor gobject attributes and
	  use those to save/restore to sql db

2012-01-27 20:09  gjanssens

	* [r21894] packaging/win32/gnucash.iss.in: Win32 installer: always
	  remove previously installed versions. This avoids problems when
	  libraries or reports have been moved around in newer versions.

2012-01-27 17:36  plongstaff

	* [r21893] src/backend/sql/gnc-address-sql.c: Convert to using
	  gobject attribute names to save/restore address fields.

2012-01-26 00:09  alex.aycinena

	* [r21889] src/tax/us/txf.scm: Update txf.scm to reflect changes
	  to US Income Tax Forms and Schedules for 2011.

2012-01-23 20:45  gjanssens

	* [r21880] README.dependencies, configure.ac,
	  packaging/win32/defaults.sh, packaging/win32/dist-impl.sh,
	  packaging/win32/install-impl.sh,
	  src/business/business-gnome/Makefile.am,
	  src/business/business-ledger/Makefile.am,
	  src/core-utils/gnc-path.c, src/core-utils/gnc-path.h,
	  src/gnome-search/Makefile.am, src/gnome-utils/Makefile.am,
	  src/gnome-utils/dialog-utils.c, src/gnome-utils/dialog-utils.h,
	  src/gnome-utils/test/Makefile.am, src/gnome/Makefile.am,
	  src/gnome/assistant-loan.c, src/gnome/gnc-plugin-page-budget.c,
	  src/html/Makefile.am, src/import-export/Makefile.am,
	  src/import-export/aqbanking/Makefile.am,
	  src/import-export/csv/Makefile.am,
	  src/import-export/log-replay/Makefile.am,
	  src/import-export/ofx/Makefile.am,
	  src/import-export/qif-import/Makefile.am,
	  src/optional/gtkmm/Makefile.am,
	  src/optional/gtkmm/test/Makefile.am,
	  src/optional/python-bindings/Makefile.am,
	  src/plugins/bi_import/Makefile.am,
	  src/register/ledger-core/Makefile.am,
	  src/register/register-core/Makefile.am,
	  src/register/register-gnome/Makefile.am,
	  src/report/report-gnome/Makefile.am: Remove some stray
	  references to libglade. It's no longer used by GnuCash. Yay!

2012-01-23 19:33  gjanssens

	* [r21878] src/core-utils/core-utils.i: Avoid guile dependency in
	  the python bindings

2012-01-22 21:26  gjanssens

	* [r21877] src/bin/gnucash-bin.c: Remove the stable version
	  numbers from the Development warning version. Instead, a pointer
	  to the GnuCash website is added for those who are actually
	  looking for a stable release. This follows an in my opinion good
	  suggestion from Colin Law on the mailing list.

2012-01-22 21:25  gjanssens

	* [r21876] doc/examples/README_invoice, doc/examples/invoice.csv:
	  Bug #667581 - Migrate Invoice / Bill plugin to Builder Add two
	  new files that were in the original patch also.

2012-01-22 21:09  cstim

	* [r21874] src/import-export/aqbanking/dialog-ab-trans.c: Bug
	  #668454: Make it easier to paste account/bank in online
	  transaction dialog Patch by Johannes Schmid (with indentation
	  fixed by our usual astyle call): The patch actually fixes two
	  issues: * Only allow digits in account/bank code field * Filter
	  spaces when pasting content. This has annoyed me for a while
	  because quite often I paste account informations from the
	  browser or some email into gnucash and people tend to group the
	  numbers like this: BLZ: 763 510 40 The result of the paste is
	  that the number looks like 763 510<end> because the number of
	  characters in the entry is limited. With the patch the spaces
	  will be removed and you will see 763 510 40 -> 76351040

2012-01-21 16:28  mikee

	* [r21872] src/plugins/bi_import/gncmod-bi-import.c: Bug 667581 -
	  Migrate Invoice / Bill plugin to Builder Add the renamed files.
	  Oops, missed one, here it is.

2012-01-21 16:22  mikee

	* [r21871] src/plugins/bi_import/dialog-bi-import-gui.c,
	  src/plugins/bi_import/dialog-bi-import-gui.h,
	  src/plugins/bi_import/dialog-bi-import-helper.c,
	  src/plugins/bi_import/dialog-bi-import-helper.h,
	  src/plugins/bi_import/dialog-bi-import.c,
	  src/plugins/bi_import/dialog-bi-import.h,
	  src/plugins/bi_import/gnc-plugin-bi-import.c,
	  src/plugins/bi_import/gnc-plugin-bi-import.h,
	  src/plugins/bi_import/gtkbuilder,
	  src/plugins/bi_import/gtkbuilder/Makefile.am,
	  src/plugins/bi_import/gtkbuilder/dialog-bi-import-gui.glade,
	  src/plugins/bi_import/ui/gnc-plugin-bi-import-ui.xml: Bug 667581
	  - Migrate Invoice / Bill plugin to Builder Add the renamed
	  files. Patch supplied by Bob Fewell. Many thanks.

2012-01-21 12:20  mikee

	* [r21870] src/plugins/bi_import/bi_import.c,
	  src/plugins/bi_import/bi_import.h,
	  src/plugins/bi_import/gnc-plugin-bi_import.c,
	  src/plugins/bi_import/gnc-plugin-bi_import.h,
	  src/plugins/bi_import/gncmod-bi_import.c,
	  src/plugins/bi_import/gui.c, src/plugins/bi_import/gui.h,
	  src/plugins/bi_import/helpers.c,
	  src/plugins/bi_import/helpers.h: Bug 667581 - Migrate Invoice /
	  Bill plugin to Builder Remove empty files renamed and updated by
	  patch.
	* [r21869] configure.ac, doc/examples/Makefile.am, po/POTFILES.in,
	  src/plugins/bi_import/Makefile.am,
	  src/plugins/bi_import/bi_import.c,
	  src/plugins/bi_import/bi_import.h,
	  src/plugins/bi_import/glade/Makefile.am,
	  src/plugins/bi_import/glade/bi_import.glade,
	  src/plugins/bi_import/gnc-plugin-bi_import.c,
	  src/plugins/bi_import/gnc-plugin-bi_import.h,
	  src/plugins/bi_import/gncmod-bi_import.c,
	  src/plugins/bi_import/gui.c, src/plugins/bi_import/gui.h,
	  src/plugins/bi_import/helpers.c,
	  src/plugins/bi_import/helpers.h,
	  src/plugins/bi_import/ui/Makefile.am,
	  src/plugins/bi_import/ui/gnc-plugin-bi_import-ui.xml: Bug 667581
	  - Migrate Invoice / Bill plugin to Builder Patch supplied by Bob
	  Fewell. Many thanks.

2012-01-20 21:06  jralls

	* [r21867] configure.ac: Reverse the test for HAVE_DBI
	  ac_cv_header_dbi_dbi_h is set only if want_dbi is true, so
	  testing for != no succeeds if dbi isn't enabled -- which is not
	  what we want. BP

2012-01-17 08:47  gjanssens

	* [r21860] src/gnome-utils/gnc-frequency.c: Bug #667417 - Fix
	  build with glib 2.31.x Patch by Vincent Untz BP

2012-01-16 17:47  gjanssens

	* [r21859] src/gnome-utils/glade, src/import-export/binary-import:
	  Remove empty directories (which the git-svn bridge ignores)

2012-01-16 17:42  gjanssens

	* [r21858] src/gnome-utils/assistant-gconf-setup.c,
	  src/gnome-utils/assistant-xml-encoding.c,
	  src/gnome-utils/gnc-gui-query.c,
	  src/register/register-gnome/gnucash-color.h,
	  src/register/register-gnome/pricecell-gnome.h: Some small gnome
	  header cleanups.
	* [r21857] po/POTFILES.in, src/gnome-utils/Makefile.am,
	  src/gnome-utils/druid-utils.c, src/gnome-utils/druid-utils.h,
	  src/gnome-utils/gnome-utils.i, src/html/gnc-html.i: Remove no
	  longer used druid-utils (replaced with assistant-utils) With
	  this, the code is no longer using any deprecated Gnome symbols
	  (though it still uses deprecated Glib and Gtk symbols).
	* [r21856] src/import-export/binary-import/Makefile.am,
	  src/import-export/binary-import/binary-import.glade,
	  src/import-export/binary-import/druid-commodity.c,
	  src/import-export/binary-import/druid-commodity.h,
	  src/import-export/binary-import/gncmod-binary-import.c,
	  src/import-export/binary-import/test/Makefile.am,
	  src/import-export/binary-import/test/test-link-module.c: Delete
	  unmaintained and unused binary importer.
	* [r21855] configure.ac, po/POTFILES.in,
	  src/gnome-utils/Makefile.am,
	  src/gnome-utils/assistant-xml-encoding.c,
	  src/gnome-utils/assistant-xml-encoding.h,
	  src/gnome-utils/druid-gnc-xml-import.c,
	  src/gnome-utils/druid-gnc-xml-import.h,
	  src/gnome-utils/glade/Makefile.am,
	  src/gnome-utils/glade/druid-gnc-xml-import.glade,
	  src/gnome-utils/gnc-file.c,
	  src/gnome-utils/gtkbuilder/Makefile.am,
	  src/gnome-utils/gtkbuilder/assistant-xml-encoding.glade: Bug
	  #667871 - Migrate druid old xml file import to an assistant
	  Patch by Bob Fewell

2012-01-15 22:06  cstim

	* [r21853] src/gnome-utils/gnc-file.c: Read-only mode: Don't
	  create a LCK file when opening a file in read-only mode and also
	  ignore existing locks.

2012-01-11 21:48  cstim

	* [r21847] packaging/win32/install.sh: [Win32 build] Disable
	  git.exe package again, as it might collide with DLLs.

2012-01-10 21:34  cstim

	* [r21840] src/engine/Makefile.am: Add dependency on qofbook.h for
	  swig generated file. Otherwise the old generated file complains
	  about a missing declaration from r21832.

2012-01-10 05:06  jralls

	* [r21837] src/libqof/qof/qofsession.c: Fix missing-prototype
	  warnings from r21829 Thanks, Alex.

2012-01-09 23:10  jralls

	* [r21833] src/gnome/gnc-plugin-basic-commands.c: Fix Read-only
	  Action Sensitivity So that FileSaveAction isn't made sensitive
	  when the session isn't dirty.
	* [r21832] src/backend/sql/gnc-backend-sql.c,
	  src/backend/sql/test/utest-gnc-backend-sql.c,
	  src/backend/xml/gnc-backend-xml.c,
	  src/backend/xml/io-gncxml-v2.c, src/gnome-utils/gnc-file.c,
	  src/gnome-utils/gnc-main-window.c,
	  src/import-export/aqbanking/gnc-ab-kvp.c,
	  src/libqof/qof/qofbook.c, src/libqof/qof/qofbook.h,
	  src/libqof/qof/test/test-qofbook.c: [Bug 666329] - Empty
	  database after a little while Separate the two uses of
	  QofBook::dirty -- indicating that the book object itself has
	  been edited and indicating that some object in the dataset has
	  been changed -- into two separate variables with separate
	  getters & setters. The latter purpose, indicating that some
	  object has been changed, is moved to a new member variable of
	  QofBook, session_dirty. Its new setter
	  qof_book_mark_session_dirty() and canceler
	  qof_book_mark_session_saved() are called only from the xml
	  backend or gnc-autosave(). Its tester,
	  qof_book_session_not_saved() is used to check for the need to
	  autosave and to activate FileSaveAction. BP
	* [r21831] src/backend/dbi/gnc-backend-dbi.c: [Bug 666329] Empty
	  database after a little while Use gnc_dbi_safe_sync_all (which
	  doesn't lose data if the save partion errors out) for all
	  be->sync. This is a bit of a half-way solution; we really
	  shouldn't ever have to do this except when creating a new
	  database, but fixing that will take major surgery. BP

2012-01-09 23:09  jralls

	* [r21830] src/libqof/qof/test/test-qofsession.c: [GSOC][Testing]
	  Unit tests for qofsession Author: Muslim Chochlov
	* [r21829] src/libqof/qof/Makefile.am,
	  src/libqof/qof/qofsession-p.h, src/libqof/qof/qofsession.c:
	  [GSOC][Testing] Modifications to qofsession for testability
	  Author: Muslim Chochlov

2012-01-08 20:08  cstim

	* [r21826] src/engine/test-core/Makefile.am: Let the
	  libgncmod-test-engine be built by the noinst target instead of
	  check target. This is needed to compile the backend/sql test
	  target, which requires this library to be built even if this
	  isn't the "check" target.

2012-01-07 00:53  jralls

	* [r21825] src/backend/sql/gnc-backend-sql.c: [Bug 666329] Empty
	  database after a little while Reverse qof_book_mark_saved and
	  qof_instance_mark_clean so that the book is dirty for
	  qof_book_mark_saved when it's the instance. BP
	* [r21824] src/backend/sql/Makefile.am,
	  src/backend/sql/test/Makefile.am,
	  src/backend/sql/test/test-sqlbe.c,
	  src/backend/sql/test/utest-gnc-backend-sql.c,
	  test-templates/Makefile.am: [Bug 666329] Empty database after a
	  little while Create failing test for gnc_sql_commit_edit()
	  showing that it doesn't call book->dirty_cb when the instance
	  gnc_sql_commit_edit() is called on the book itself.

2012-01-02 12:51  cstim

	* [r21818] packaging/win32/defaults.sh,
	  packaging/win32/install-impl.sh, packaging/win32/install.sh:
	  [Win32 build] Let git.exe be downloaded and unpacked as well. We
	  might start using it sooner or later. BP

2012-01-01 20:36  cstim

	* [r21816] src/app-utils/gnc-ui-util.c,
	  src/app-utils/test/test-exp-parser.c,
	  src/app-utils/test/test-print-parse-amount.c,
	  src/backend/dbi/test/test-dbi-basic.c,
	  src/backend/dbi/test/test-dbi-business-stuff.c,
	  src/backend/dbi/test/test-dbi-stuff.c,
	  src/backend/xml/test/test-load-xml2.c,
	  src/backend/xml/test/test-xml-account.c,
	  src/backend/xml/test/test-xml-transaction.c,
	  src/business/business-gnome/dialog-customer.c,
	  src/business/business-gnome/dialog-invoice.c,
	  src/business/business-gnome/dialog-job.c,
	  src/business/business-gnome/dialog-order.c,
	  src/business/business-gnome/dialog-payment.c,
	  src/business/business-gnome/dialog-vendor.c,
	  src/business/business-ledger/gncEntryLedger.c,
	  src/business/business-ledger/gncEntryLedgerControl.c,
	  src/business/business-ledger/gncEntryLedgerModel.c,
	  src/core-utils/gnc-path.c, src/engine/Account.c,
	  src/engine/AccountP.h, src/engine/Transaction.c,
	  src/engine/gnc-commodity.h, src/engine/gnc-engine.c,
	  src/engine/gncInvoice.c, src/engine/gncOwner.c,
	  src/engine/test/test-business.c,
	  src/engine/test/test-querynew.c,
	  src/gnc-module/test/test-agedver.c,
	  src/gnc-module/test/test-dynload.c,
	  src/gnc-module/test/test-incompatdep.c,
	  src/gnc-module/test/test-load-c.c,
	  src/gnc-module/test/test-modsysver.c,
	  src/gnome-search/dialog-search.h,
	  src/gnome-utils/assistant-gconf-setup.c,
	  src/gnome-utils/dialog-file-access.c,
	  src/gnome-utils/dialog-options.c,
	  src/gnome-utils/dialog-preferences.c,
	  src/gnome-utils/dialog-query-list.c,
	  src/gnome-utils/dialog-reset-warnings.c,
	  src/gnome-utils/dialog-totd.c,
	  src/gnome-utils/dialog-transfer.c, src/gnome-utils/gnc-file.c,
	  src/gnome-utils/gnc-query-list.c,
	  src/gnome-utils/gnc-tree-view-commodity.h,
	  src/gnome/dialog-sx-editor.c, src/gnome/dialog-tax-info.c,
	  src/gnome/gnc-plugin-page-register.c,
	  src/html/gnc-html-graph-gog.c, src/libqof/qof/qofsession.c,
	  src/libqof/qof/test/test-qofbook.c,
	  src/libqof/qof/test/test-qofinstance.c,
	  src/report/report-gnome/gnc-plugin-page-report.c,
	  src/report/report-system/gnc-report.c,
	  src/test-core/test-stuff.c, src/test-core/test-stuff.h:
	  Re-indentation of source code. As usual, re-indentation was done
	  using astyle-1.24 using the following options: astyle
	  --indent=spaces=4 --brackets=break --pad-oper --pad-header
	  --suffix=none
	* [r21815] src/gnome/gnc-plugin-basic-commands.c,
	  src/import-export/aqbanking/gnc-plugin-aqbanking.c: Read-only
	  mode: More menu items grayed out: Close Book; Online Banking
	  Setup.

2012-01-01 19:49  cstim

	* [r21814] src/app-utils/CMakeLists.txt: [Cutecash] Remove removed
	  files of r21799 also from CMake.

2012-01-01 19:43  cstim

	* [r21812] packaging/win32/defaults.sh: [Win32 build] Update
	  aqbanking version again. BP

2011-12-31 16:32  cstim

	* [r21810] src/gnome/gnc-plugin-basic-commands.c,
	  src/gnome/ui/gnc-plugin-basic-commands-ui.xml: Read-only mode:
	  Add "Revert file" menu item so that a file that might got
	  changed from someone else can easily be reloaded.
	* [r21809] src/gnome/gnc-plugin-basic-commands.c: Add keyboard
	  shortcut in menu (similar to r21652) for a few more items.

2011-12-31 10:41  cstim

	* [r21807] src/bin/gnucash-bin.c,
	  src/gnome-utils/dialog-file-access.c,
	  src/gnome-utils/gnc-file.c, src/gnome-utils/gnc-file.h,
	  src/gnome-utils/gnc-plugin-file-history.c,
	  src/gnome-utils/gtkbuilder/dialog-file-access.glade: Read-only
	  mode: Add "Read-only" checkbox when opening a file/database.

2011-12-30 22:06  cstim

	* [r21804] src/gnome/schemas/apps_gnucash_general.schemas.in,
	  src/report/report-gnome/gnc-plugin-page-report.c: Export-to-PDF:
	  Make output file name configurable, at least through gconf keys.
	  One gconf setting for the output date format, and another one
	  for the actual output file name string.

2011-12-30 17:27  gjanssens

	* [r21802] packaging/win32/install-impl.sh: Win32: use proper cpp
	  and ld include parameters

2011-12-30 17:05  gjanssens

	* [r21801] po/POTFILES.in, src/gnome-utils/glade/Makefile.am,
	  src/gnome-utils/glade/druid-provider-multifile.glade: Remove one
	  more gnc_druid related file.

2011-12-30 16:59  gjanssens

	* [r21800] po/POTFILES.in, src/gnome-utils/Makefile.am,
	  src/gnome-utils/gnc-dialog.c, src/gnome-utils/gnc-dialog.h,
	  src/gnome-utils/test/Makefile.am,
	  src/gnome-utils/test/test-gnc-dialog.c,
	  src/gnome/gnc-plugin-page-budget.c: Remove unused gnc-dialog
	  code, spotted by Robert Fewell. Additionally, update POTFILES.in
	  for recent changes.
	* [r21799] src/app-utils/Makefile.am,
	  src/app-utils/gnc-druid-cb.c, src/app-utils/gnc-druid-cb.h,
	  src/app-utils/gnc-druid-provider-desc-edge.c,
	  src/app-utils/gnc-druid-provider-desc-edge.h,
	  src/app-utils/gnc-druid-provider-desc-file.c,
	  src/app-utils/gnc-druid-provider-desc-file.h,
	  src/app-utils/gnc-druid-provider-desc-multifile.c,
	  src/app-utils/gnc-druid-provider-desc-multifile.h,
	  src/app-utils/gnc-druid-provider-desc.c,
	  src/app-utils/gnc-druid-provider-desc.h,
	  src/app-utils/gnc-druid-provider-file-cb.c,
	  src/app-utils/gnc-druid-provider-file-cb.h,
	  src/app-utils/gnc-druid-provider.c,
	  src/app-utils/gnc-druid-provider.h, src/app-utils/gnc-druid.c,
	  src/app-utils/gnc-druid.h, src/engine/gnc-engine.h,
	  src/gnome-utils/Makefile.am,
	  src/gnome-utils/gnc-druid-gnome-ui.h,
	  src/gnome-utils/gnc-druid-gnome.c,
	  src/gnome-utils/gnc-druid-gnome.h,
	  src/gnome-utils/gnc-druid-provider-edge-gnome.c,
	  src/gnome-utils/gnc-druid-provider-edge-gnome.h,
	  src/gnome-utils/gnc-druid-provider-file-gnome.c,
	  src/gnome-utils/gnc-druid-provider-file-gnome.h,
	  src/gnome-utils/gnc-druid-provider-multifile-gnome.c,
	  src/gnome-utils/gnc-druid-provider-multifile-gnome.h,
	  src/gnome-utils/gncmod-gnome-utils.c: Remove unused gnc_druid
	  code. Spotted by Robert Fewell.

2011-12-30 14:18  gjanssens

	* [r21798] po/POTFILES.in, src/gnome-utils/dialog-tax-table.c,
	  src/gnome-utils/dialog-userpass.c,
	  src/gnome-utils/glade/Makefile.am,
	  src/gnome-utils/glade/tax-tables.glade,
	  src/gnome-utils/gtkbuilder/Makefile.am,
	  src/gnome-utils/gtkbuilder/dialog-tax-table.glade,
	  src/gnome-utils/gtkbuilder/dialog-userpass.glade: Bug #666709 -
	  Migrate Tax tables dialog to Builder Patch by Robert Fewell

2011-12-30 12:01  gjanssens

	* [r21797] src/gnome/assistant-loan.c: Win32: add include to find
	  strtol and strtod

2011-12-29 23:28  jralls

	* [r21796] src/bin/Makefile.am,
	  src/business/business-gnome/Makefile.am,
	  src/business/business-ledger/Makefile.am,
	  src/gnome-search/Makefile.am, src/gnome-utils/Makefile.am,
	  src/gnome-utils/dialog-userpass.c,
	  src/gnome-utils/druid-utils.c,
	  src/gnome-utils/gnc-gnome-utils.h,
	  src/gnome-utils/test/Makefile.am, src/gnome/Makefile.am,
	  src/gnome/assistant-loan.c, src/gnome/gnc-plugin-page-budget.c,
	  src/gnome/window-reconcile.c, src/import-export/Makefile.am,
	  src/import-export/aqbanking/Makefile.am,
	  src/import-export/csv/Makefile.am,
	  src/import-export/log-replay/Makefile.am,
	  src/import-export/ofx/Makefile.am,
	  src/import-export/qif-import/Makefile.am,
	  src/optional/gtkmm/Makefile.am,
	  src/optional/gtkmm/test/Makefile.am,
	  src/optional/python-bindings/Makefile.am,
	  src/plugins/bi_import/Makefile.am,
	  src/register/ledger-core/Makefile.am,
	  src/register/register-core/Makefile.am,
	  src/register/register-gnome/gnucash-sheet.h,
	  src/report/report-gnome/Makefile.am,
	  src/report/report-gnome/window-report.c,
	  src/report/stylesheets/Makefile.am: Remove invalid dependencies
	  on LibGnome CFLAGS Much work has been done to change LibGnome
	  Druids to GtkAssistants. The Makefiles in the containing
	  directories no longer need to use $GNOME_CFLAGS or
	  $GNOME_LDFLAGS. In a few cases where there still is a
	  dependency, there's also a dependency on GCONF, so this change
	  also adds $GCONF_CFLAGS and $GCONF_LDFLAGS to those Makefiles to
	  clarify the dependency. There were also a few cases where the
	  dependency consisted of a no-longer- needed include, or where an
	  include was more general than appropriate. This change cleans up
	  those cases as well.

2011-12-29 22:14  cstim

	* [r21795] src/libqof/qof/qofsession.c: Read-only mode: When using
	  qof_session_swap_data, don't swap the read_only flag but only
	  the rest of the QofBook. Otherwise the temporary new session
	  during "Save As" is read-only where in reality it shouldn't be
	  (but the old session should). This makes "Save As" work
	  correctly, but many UI elements don't get updated to reflect the
	  fact we've now got a read-write book again. (E.g., all open
	  registers.)

2011-12-29 21:36  cstim

	* [r21793] packaging/win32/install-impl.sh: Revert r21789 - not
	  needed as r21791 adds required include flags in a better way.

2011-12-29 20:20  gjanssens

	* [r21792] packaging/win32/dist-impl.sh,
	  packaging/win32/gnucash.iss.in: Win32: use new location of
	  gnucash doc directory It changed in r20736

2011-12-29 20:18  gjanssens

	* [r21791] packaging/win32/install-impl.sh: Win32: fix clean trunk
	  build

2011-12-29 19:50  cstim

	* [r21789] packaging/win32/install-impl.sh: [Win32 build] Enable
	  libxslt to be built in a cross-compile environment.
	* [r21788] packaging/win32/defaults.sh: [Win32 build] Another
	  aqbanking version update.

2011-12-29 12:13  gjanssens

	* [r21787] packaging/win32/build_package.sh: Avoid build failure
	  if a temporary directory still exists BP

2011-12-28 21:42  cstim

	* [r21786] packaging/win32/defaults.sh: Update versions of
	  gwenhywfar, aqbanking to most recent ones.

2011-12-28 21:11  cstim

	* [r21784] src/report/report-gnome/gnc-plugin-page-report.c: Fix
	  crash due to non-initialized variable. (Why didn't gcc complain
	  here...)
	* [r21783] src/report/report-gnome/gnc-plugin-page-report-ui.xml:
	  Move "Print to PDF" menu item of r21722 right next to the
	  "Print" menu item in the file menu.

2011-12-24 13:27  gjanssens

	* [r21775] packaging/win32/build_package.sh: Win32 build: abort
	  build process if install.sh step failed. BP

2011-12-22 20:36  jralls

	* [r21772] packaging/win32/defaults.sh: Update ActivePerl URL Old
	  one no longer available. BP

2011-12-21 17:43  gjanssens

	* [r21771] packaging/win32/dist.sh,
	  packaging/win32/install-impl.sh: win32 build: indicate when
	  dist.sh begins or ends and remove redundant crosscompile check

2011-12-20 21:12  warlord

	* [r21767] src/gnome-utils/gnc-file.c: Add a "features" table to
	  the KVP frame, and pop up an error message if we find a feature
	  we don't know about. Currently there are no known features, so
	  essentially we will error out if we see anything. The format for
	  the slots table is: Book Slots -> features (frame) -> <feature
	  name> (string) -> <feature description> ... The feature
	  description is printed to the user: it should be stored in the
	  slots table in English but it should be defined as a
	  translatable string. BP

2011-12-20 20:45  gjanssens

	* [r21766] src/business/business-gnome/glade: Remove empty
	  directory left behind by previous commit (Git -> svn doesn't
	  remove empty directories)

2011-12-20 20:42  gjanssens

	* [r21765] configure.ac, po/POTFILES.in,
	  src/business/business-gnome/Makefile.am,
	  src/business/business-gnome/dialog-billterms.c,
	  src/business/business-gnome/dialog-choose-owner.c,
	  src/business/business-gnome/dialog-date-close.c,
	  src/business/business-gnome/dialog-employee.c,
	  src/business/business-gnome/dialog-job.c,
	  src/business/business-gnome/dialog-order.c,
	  src/business/business-gnome/dialog-payment.c,
	  src/business/business-gnome/glade/Makefile.am,
	  src/business/business-gnome/glade/billterms.glade,
	  src/business/business-gnome/glade/choose-owner.glade,
	  src/business/business-gnome/glade/date-close.glade,
	  src/business/business-gnome/glade/employee.glade,
	  src/business/business-gnome/glade/job.glade,
	  src/business/business-gnome/glade/order.glade,
	  src/business/business-gnome/gtkbuilder/Makefile.am,
	  src/business/business-gnome/gtkbuilder/dialog-billterms.glade,
	  src/business/business-gnome/gtkbuilder/dialog-choose-owner.glade,
	  src/business/business-gnome/gtkbuilder/dialog-date-close.glade,
	  src/business/business-gnome/gtkbuilder/dialog-employee.glade,
	  src/business/business-gnome/gtkbuilder/dialog-job.glade,
	  src/business/business-gnome/gtkbuilder/dialog-order.glade: Bug
	  #666459 - Migrate the remaining business dialogs to builder
	  Patch by Robert Fewell

2011-12-20 08:04  cstim

	* [r21761] packaging/win32/weekly_build.sh: Win32 build: Switch
	  weekly build to daily one.

2011-12-20 04:02  jralls

	* [r21759] src/test-core/Makefile.am: [Testing] Complete
	  repositioning of test-core to build after libqof

2011-12-19 22:25  cstim

	* [r21758] src/gnome-utils/print-session.c,
	  src/gnome-utils/print-session.h,
	  src/report/report-gnome/gnc-plugin-page-report.c: Add
	  customer-specific memory of PDF-Export output directory. Makes
	  exporting to PDF rather easy.
	* [r21757] src/gnome-utils/print-session.h,
	  src/html/gnc-html-webkit.c: Minor code documentation improvement
	  of the export-to-pdf feature. * Only propose output folders that
	  actually exist. * If the jobname already contains a full
	  filename path, use it as proposed output path.
	* [r21756] src/gnome-utils/gnc-icons.c,
	  src/gnome-utils/gnc-icons.h, src/pixmaps/Makefile.am,
	  src/pixmaps/gnc-gnome-pdf-16.png,
	  src/pixmaps/gnc-gnome-pdf-24.png,
	  src/report/report-gnome/gnc-plugin-page-report.c: Added icon for
	  "Export to PDF", copied from GNOME icons (license: GPL)

2011-12-19 15:30  gjanssens

	* [r21753] src/import-export/aqbanking/gnc-ab-kvp.c: Improve kvp
	  handling in aqbanking plugin. This is a follow-up on 21740. BP

2011-12-19 11:44  cstim

	* [r21750] src/import-export/aqbanking/CMakeLists.txt: [Cutecash]
	  Add needed include path.

2011-12-19 11:37  cstim

	* [r21749] CMakeLists.txt, src/backend/xml/CMakeLists.txt:
	  [Cutecash] Update libxml2 include path lookup.
	* [r21748] src/engine/CMakeLists.txt: [Cutecash] Fix cmake after
	  file removal.

2011-12-19 11:27  cstim

	* [r21747] src/engine/gncInvoice.c, src/engine/gncOwner.c: Fix
	  typos in r21743. BP
	* [r21746] src/import-export/import-match-map.c: Fix typo in
	  r21742. BP

2011-12-19 00:47  jralls

	* [r21743] src/business/business-gnome/dialog-payment.c,
	  src/engine/Scrub.c, src/engine/gnc-lot.c,
	  src/engine/gncInvoice.c, src/engine/gncOwner.c: Clean up some
	  more cases where KVP was set without committing an edit. BP
	* [r21742] src/import-export/import-match-map.c,
	  src/import-export/import-utilities.c: [Bug #642276] Bayesian
	  association with Sqlite Wraps the kvp_frame_set_slot_path with
	  xaccAccountBeginEdit()/xaccAccountCommitEdit(). BP

2011-12-18 18:43  gjanssens

	* [r21741] src/report/standard-reports/standard-reports.scm: Add
	  some more debug logging to standard-reports.scm

2011-12-18 18:13  gjanssens

	* [r21740] src/import-export/aqbanking/gnc-ab-kvp.c: Replace no-op
	  function force_account_dirty with qof_book_mark_dirty See bug
	  #665998 for more details. BP

2011-12-18 18:12  gjanssens

	* [r21739] src/import-export/aqbanking/gnc-ab-kvp.c,
	  src/report/standard-reports/standard-reports.scm: Revert
	  "Replace no-op function force_account_dirty with
	  qof_book_mark_dirty" This commit had some unintended changes.
	  This reverts commit 6b6eba2d7e56a4359ca646abb2b0c6c965712ce0.

2011-12-18 18:06  gjanssens

	* [r21738] src/import-export/aqbanking/gnc-ab-kvp.c,
	  src/report/standard-reports/standard-reports.scm: Replace no-op
	  function force_account_dirty with qof_book_mark_dirty See bug
	  #665998 for more details. BP

2011-12-17 19:32  jralls

	* [r21737] po/POTFILES.in: Remove deleted file from POTFILES.in
	* [r21736] src/Makefile.am, src/libqof/qof/test/Makefile.am: Fix
	  circular dependency between test-core and qof-test. Compile
	  test-core/test-stuff.c into test-qof, then recompile test-core
	  as a module for dealing with noise from Guile and Python tests.

2011-12-17 11:02  gjanssens

	* [r21735] po/POTFILES.in, src/import-export/Makefile.am,
	  src/import-export/csv/Makefile.am,
	  src/import-export/csv/gnc-csv-import.c,
	  src/import-export/csv/gnc-csv-import.glade,
	  src/import-export/csv/gnc-csv-preview-dialog.glade,
	  src/import-export/dialog-import.glade,
	  src/import-export/generic-import.glade,
	  src/import-export/gnc-import-desc-format.c,
	  src/import-export/gnc-import-desc-format.h,
	  src/import-export/gnc-import-format-cb.c,
	  src/import-export/gnc-import-format-cb.h,
	  src/import-export/gnc-import-format-gnome.c,
	  src/import-export/gnc-import-format-gnome.h,
	  src/import-export/gncmod-generic-import.c,
	  src/import-export/import-account-matcher.c,
	  src/import-export/import-commodity-matcher.c,
	  src/import-export/import-format-dialog.c,
	  src/import-export/import-main-matcher.c,
	  src/import-export/import-match-picker.c,
	  src/import-export/import-provider-format.glade: Bug #666311 -
	  Migrate inport-export GladeXML dialogs to builder Patch by
	  Robert Fewell
	* [r21734] po/POTFILES.in,
	  src/import-export/aqbanking/Makefile.am,
	  src/import-export/aqbanking/aqbanking.glade,
	  src/import-export/aqbanking/assistant-ab-initial.c,
	  src/import-export/aqbanking/assistant-ab-initial.glade,
	  src/import-export/aqbanking/assistant-ab-initial.h,
	  src/import-export/aqbanking/dialog-ab-daterange.c,
	  src/import-export/aqbanking/dialog-ab-daterange.h,
	  src/import-export/aqbanking/dialog-ab-trans.c,
	  src/import-export/aqbanking/dialog-ab.glade,
	  src/import-export/aqbanking/dialog-daterange.c,
	  src/import-export/aqbanking/dialog-daterange.h,
	  src/import-export/aqbanking/druid-ab-initial.c,
	  src/import-export/aqbanking/druid-ab-initial.h,
	  src/import-export/aqbanking/gnc-ab-gettrans.c,
	  src/import-export/aqbanking/gnc-ab-kvp.c,
	  src/import-export/aqbanking/gnc-gwen-gui.c,
	  src/import-export/aqbanking/gnc-plugin-aqbanking.c,
	  src/import-export/aqbanking/gncmod-aqbanking.c: Bug #665998 -
	  Migrate Aqbanking from druid to assistant / builder. Patch by
	  Robert Fewell

2011-12-16 14:57  mikee

	* [r21733] src/core-utils/gnc-gconf-utils.h,
	  src/gnome-utils/assistant-utils.h,
	  src/gnome-utils/ui/osx_accel_map,
	  src/gnome/assistant-hierarchy.c, src/gnome/assistant-loan.c,
	  src/gnome/gnc-plugin-page-account-tree.c,
	  src/gnome/ui/gnc-plugin-page-account-tree-ui.xml,
	  src/import-export/qif-import/assistant-qif-import.c: Bug #665996
	  - Minor changes to existing Assistants. Patch supplied by Bob.

2011-12-16 14:36  mikee

	* [r21732] src/gnome/dialog-new-user.c: Bug #658247 - First time
	  setup should prompt to save file. Fix supplied by Bob referenced
	  in bug #665996. BP

2011-12-16 00:13  jralls

	* [r21731] src/bin/overrides/gnucash-build-env.in: [Testing] Oops,
	  had added this only to gnucash-build-env So it didn't get picked
	  up as a change in SVN.

2011-12-16 00:12  jralls

	* [r21730] po/POTFILES.in, src/engine/Makefile.am,
	  src/engine/gnc-associate-account.c,
	  src/engine/gnc-associate-account.h,
	  src/import-export/ofx/gnc-ofx-import.c: [Decruftification]
	  Remove gnc-associate-account Carried over from somewhere in
	  2000, only maintained as part of global changes since. Not used
	  anywhere.

2011-12-12 22:42  jralls

	* [r21727] src/engine/engine.i: Fix "imported from both
	  (sw_engine) and (gnucash engine)" errors from Guile The
	  GncNumericErrorCode enums are re-defined in
	  src/engine/gnc-numeric.scm -- the SWIG way of representing them
	  produces type errors in the report code. This may well be a
	  problem with the calling code, but it's easier at this point to
	  just not import the symbols into sw_engine.
	  gnc_commodity_table_get_quotable_commodities is explicitly
	  wrapped in app-utils.i, so we need to not have the default
	  wrapper in sw_engine.
	* [r21726] src/gnc-module/test/Makefile.am,
	  src/gnc-module/test/test-gwrapped-c,
	  src/gnc-module/test/test-load-deps,
	  src/gnc-module/test/test-load-scm,
	  src/gnc-module/test/test-scm-init,
	  src/gnc-module/test/test-scm-module,
	  src/gnc-module/test/test-scm-multi,
	  src/report/stylesheets/test/Makefile.am,
	  src/report/stylesheets/test/test-load-module: [Testing] Suppress
	  expected messages from guile tests

2011-12-12 22:41  jralls

	* [r21725] src/optional/python-bindings/tests/Makefile.am,
	  src/optional/python-bindings/tests/test_split.py,
	  src/optional/python-bindings/tests/test_transaction.py:
	  [Testing] Suppress expected messages in optional/python-bindings
	  tests
	* [r21724] src/test-core/Makefile.am, src/test-core/test-stuff.i,
	  src/test-core/test-stuff.scm: [Testing] Export test-core log
	  suppression functions to python and guile Enables silencing
	  expected error output. Finally found the secret code to get
	  libtool to build a "noinst" dynamic library: pass -rpath as an
	  ldflag. BP

2011-12-12 22:03  cstim

	* [r21723] src/html/gnc-html-webkit.c: Make sure to ask for an
	  export-to-PDF output folder every time.

2011-12-12 21:53  cstim

	* [r21722] src/business/business-gnome/dialog-invoice.c,
	  src/html/gnc-html-webkit.c, src/html/gnc-html.c,
	  src/html/gnc-html.h,
	  src/report/report-gnome/gnc-plugin-page-report-ui.xml,
	  src/report/report-gnome/gnc-plugin-page-report.c: Add "Export to
	  PDF" menu item for reports. gnc_html_print gets an extra boolean
	  argument to choose the "Export as PDF" option. The
	  GtkPrintOperation expects a full file name in
	  set_export_filename, though. We obtain one by asking the user
	  for it. This action still needs a more suitable icon.

2011-12-11 21:50  cstim

	* [r21716] src/html/gnc-html-webkit.c,
	  src/report/report-gnome/gnc-plugin-page-report.c: Remember the
	  printing setting after a Report print job

2011-12-11 20:59  cstim

	* [r21715] src/business/business-gnome/dialog-invoice.c,
	  src/business/business-gnome/gnc-plugin-business.c,
	  src/business/business-gnome/gnc-plugin-business.h,
	  src/business/business-gnome/gncmod-business-gnome.c,
	  src/business/business-gnome/gtkbuilder/business-prefs.glade,
	  src/business/business-gnome/schemas/apps_gnucash_dialog_business_common.schemas.in:
	  Make the report name for clicking "Print Invoice" a preference.
	  The implementation of a GtkComboBox in the preference is
	  somewhat suboptimal as the gconf key is the integer index in the
	  combo box, but the needed key is the (untranslated!) string of
	  the report name. As a workaround, the list of names exists
	  twice, once in business-prefs.glade and once in
	  gnc-plugin-business.c. At least this works fine from the point
	  of view of the user.

2011-12-11 20:39  gjanssens

	* [r21714] src/business/business-gnome/dialog-invoice.c: Rename
	  parameter for clarity. This one should have been committed
	  before r21713 because that commit uses the changed parameter. BP

2011-12-11 17:53  gjanssens

	* [r21713] src/business/business-gnome/dialog-invoice.c,
	  src/engine/gncInvoice.c: Bug #649362 - Transfer Funds Window
	  Exchange Rate and Decimal Points Rounding in Bill/Invoices This
	  patch fixes the rounding by showing the actual value to convert.
	  As a result the exchange rate direction had to be swapped as
	  well to avoid lots of confusion. BP
	* [r21712] src/business/business-gnome/dialog-invoice.c: Abort
	  posting if not all required exchange rates are given. Note that
	  any exchange rate successfully entered before the posting is
	  aborted are still saved with the invoice. BP

2011-12-11 00:49  jralls

	* [r21710] src/optional/python-bindings/Makefile.am: [Testing]
	  Adjust links for src/optional/python-bindings module I was too
	  clever by half, I guess.
	* [r21709] po/POTFILES.in: Adjust POTFILES.in for r21684
	* [r21708] src/Makefile.am: [Testing] Re-order subdirectories so
	  that test-core is available to libqof.
	* [r21707] src/report/report-gnome/test/Makefile.am: [Testing] Fix
	  duplicate LDADD in report/report-gnome/test/Makefile.am

2011-12-10 21:10  cstim

	* [r21706] src/business/business-gnome/dialog-invoice.c,
	  src/business/business-gnome/dialog-invoice.h,
	  src/gnome-utils/dialog-dup-trans.c,
	  src/gnome-utils/dialog-dup-trans.h: Implement setting the date
	  for duplicating multiple invoices. Along the way, the "dialog
	  date" dialog accepts a GDate argument instead of a time_t
	  because the user enters a date, not a date-and-time.
	* [r21705] src/engine/gncInvoice.c, src/engine/gncInvoice.h: Add
	  setter function for invoice Opening Date using GDate.

2011-12-10 21:09  cstim

	* [r21704] src/libqof/qof/gnc-date.h: Improve comments a bit: Add
	  clarifications about which second of the day is returned.

2011-12-10 13:25  mikee

	* [r21703] src/report/standard-reports/category-barchart.scm: Fix
	  number alignment in table. BP

2011-12-09 23:50  jralls

	* [r21702] src/libqof/qof/test/Makefile.am,
	  src/libqof/qof/test/test-qofbook.c,
	  src/libqof/qof/test/test-qofinstance.c: [Testing] Stifle error
	  messages from QOF testing.

2011-12-09 23:49  jralls

	* [r21701] src/backend/dbi/test/test-dbi-basic.c,
	  src/backend/dbi/test/test-dbi-business-stuff.c,
	  src/backend/dbi/test/test-dbi-business.c,
	  src/backend/dbi/test/test-dbi-stuff.c,
	  src/backend/dbi/test/test-dbi.c: [Testing] Suppress verbose
	  messages, expected warnings in backend/dbi checks.
	* [r21700] src/app-utils/gnc-ui-util.c,
	  src/app-utils/test/test-exp-parser.c,
	  src/app-utils/test/test-print-parse-amount.c,
	  src/app-utils/test/test-scm-query-string.c: [Testing] Stifle the
	  spew in app-utils checks.

2011-12-09 14:53  mikee

	* [r21695] src/report/business-reports/invoice.scm: Add missing
	  parameter credit-note? for "Display All Taxes" checkbutton.

2011-12-09 12:31  mikee

	* [r21694] src/report/standard-reports/net-barchart.scm: Fix table
	  number alignment. BP

2011-12-08 17:11  gjanssens

	* [r21690] src/gnome/gnc-plugin-page-register.c: Avoid risk on a
	  rare crash after r21680. Some data files may only have filter[0]
	  in which case filter[1] is NULL and filter[2] invalid. A rare
	  situation, but I have one test data file consistently crashing
	  on this. I also took the opportunity to convert from strcmp to
	  g_strcmp0.
	* [r21689] src/gnome-utils/dialog-utils.c,
	  src/import-export/import-format-dialog.c: Add more conditional
	  parts based on GTKCOMBO_BOX_TOOLTIPS_WORK Without these parts
	  gnucash would not build if the GTKCOMBO_BOX_TOOLTIPS_WORK were
	  set. It doesn't yet fix the core reason itself for the
	  conditionals. More work is needed to implement per-entry
	  tooltips in comboboxes before the old OptionMenu based code can
	  be removed.
	* [r21688] src/business/business-gnome/business-options-gnome.c,
	  src/business/business-gnome/dialog-billterms.c,
	  src/gnome-utils/dialog-options.c,
	  src/gnome-utils/dialog-options.h,
	  src/gnome-utils/dialog-reset-warnings.c,
	  src/gnome-utils/dialog-transfer.c,
	  src/gnome-utils/dialog-utils.c,
	  src/gnome-utils/gnc-main-window.c,
	  src/gnome-utils/gnc-plugin-page.c,
	  src/gnome-utils/gnc-plugin-page.h,
	  src/gnome-utils/gnc-tree-view.c: Replace deprecated GtkTooltips
	  with new GtkTooltip interface.
	* [r21687] src/app-utils/gnc-exp-parser.c,
	  src/backend/dbi/gnc-backend-dbi.c,
	  src/business/business-gnome/business-gnome-utils.c,
	  src/business/business-gnome/business-urls.c,
	  src/business/business-gnome/dialog-invoice.c,
	  src/business/business-gnome/dialog-payment.c,
	  src/business/business-ledger/gncEntryLedgerControl.c,
	  src/business/business-ledger/gncEntryLedgerModel.c,
	  src/engine/Account.c, src/engine/Query.c,
	  src/engine/Recurrence.c, src/engine/SchedXaction.c,
	  src/engine/Split.c, src/engine/Transaction.c,
	  src/engine/gncInvoice.c, src/engine/test/test-recurrence.c,
	  src/gnc-module/test/misc-mods/agedver.c,
	  src/gnome-search/search-string.c,
	  src/gnome-utils/dialog-book-close.c,
	  src/gnome-utils/dialog-object-references.c,
	  src/gnome-utils/dialog-options.c,
	  src/gnome-utils/dialog-preferences.c,
	  src/gnome-utils/gnc-dialog.c, src/gnome-utils/gnc-file.c,
	  src/gnome-utils/gnc-frequency.c,
	  src/gnome/assistant-acct-period.c, src/gnome/dialog-new-user.c,
	  src/gnome/dialog-sx-since-last-run.c,
	  src/html/gnc-html-webkit.c,
	  src/import-export/aqbanking/dialog-ab-trans.c,
	  src/import-export/aqbanking/dialog-daterange.c,
	  src/import-export/aqbanking/gnc-gwen-gui.c,
	  src/libqof/qof/gnc-date.c,
	  src/register/register-gnome/combocell-gnome.c,
	  src/register/register-gnome/formulacell-gnome.c,
	  src/report/business-reports/owner-report.scm: Fix some static
	  warnings and errors as a result of Eclipse's static code
	  analysis. As a result, some unused functions and function
	  prototypes are removed. It did expose one real bug in
	  Transaction.c so far.
	* [r21686] packaging/win32/gnucash.iss.in,
	  packaging/win32/install-fq-mods.cmd: ActivePerl only allows to
	  download the most recent version. So change the comments to be
	  more liberal (at least 5.8). BP

2011-12-07 11:34  gjanssens

	* [r21685] macros/ac_python_devel.m4: Bug #665202 - Improve
	  python-finding code Patch by Pacho Ramos

2011-12-07 08:38  cstim

	* [r21684] src/gnome-utils/Makefile.am,
	  src/gnome-utils/dialog-dup-trans.c,
	  src/gnome-utils/dialog-dup-trans.h, src/gnome-utils/gnc-ui.h,
	  src/gnome/gtkbuilder/gnc-plugin-page-register.glade,
	  src/register/ledger-core/Makefile.am,
	  src/register/ledger-core/dialog-dup-trans.c,
	  src/register/ledger-core/split-register.c: Move
	  dialog-dup-trans.c from ledger-core to gnome-utils. Add
	  gnc_dup_date_dialog() variant that can ask for a date without
	  the "num" field. On pressing the Enter key, the widget closes
	  but logs the following warning: CRIT <Gtk> IA__gtk_widget_event:
	  assertion `WIDGET_REALIZED_FOR_EVENT (widget, event)' failed
	  However, this problem already existed with the old code - the
	  behaviour and warning was unchanged by this commit.

2011-12-05 22:13  mta

	* [r21683] src/gnome/gnc-plugin-page-account-tree.c: Fix the
	  selection callback in account tree page which has the read only
	  test backwards.

2011-12-05 21:25  cstim

	* [r21682] src/report/business-reports/easy-invoice.scm,
	  src/report/business-reports/fancy-invoice.scm,
	  src/report/business-reports/taxinvoice.scm: Minor variable name
	  unification - let all invoice reports use gnc:pagename-general.

2011-12-05 21:24  cstim

	* [r21681] src/report/business-reports/business-reports.scm,
	  src/report/business-reports/invoice.scm,
	  src/report/report-system/report-system.scm: Prepare the "Print
	  Invoice" scheme function to be given a report name.

2011-12-05 06:06  mta

	* [r21680] src/gnome/gnc-plugin-page-register.c: Fix r21499 which
	  fixed bug #420342 1. Make searching for a date range work, the
	  date range was being ignored and all transactions were returned.
	  2. Don't leak so many strings 3. Allow an end date in the filter
	  even if there is no start date. 4. Don't reset the sort order or
	  filter to the default if the user says to not save it. Instead
	  leave the saved value unchanged.

2011-12-05 00:42  jralls

	* [r21679] src/engine/test/test-scm-query.c: Revert "[Testing]
	  Make engine/test-scm-query work." This reverts commit
	  13fd037ef5120784791b25d4ebc12ad9bc6275b2. It's unnecessary and
	  doesn't compile.
	* [r21678] src/gnc-module/test/test-modsysver.c: [Testing] Fix
	  Transposed words in test-modsysver.c

2011-12-05 00:08  jralls

	* [r21677] src/gnc-module/test/misc-mods/Makefile.am,
	  src/gnc-module/test/test-agedver.c,
	  src/gnc-module/test/test-dynload.c,
	  src/gnc-module/test/test-incompatdep.c,
	  src/gnc-module/test/test-load-c.c,
	  src/gnc-module/test/test-modsysver.c: [Testing] Gnc-module:
	  Provide checked error messages to replace noted warnings
	  (c-files only) Much better for expected warnings to be tested
	  for than to have a lead-in message saying that they're really
	  OK. Don't have the test utilities in Scheme yet. Set the phony
	  modules in misc-modules to be libtool modules instead of shared
	  libraries. Aside from being more correct, this ensures that
	  they'll have the same name on Linux and OSX.
	* [r21676] src/engine/test/test-querynew.c: [Testing] Engine:
	  Provide checked error messages to replace noted warnings Much
	  better for expected warnings to be tested for than to have a
	  lead-in message saying that they're really OK.

2011-12-05 00:07  jralls

	* [r21675] src/backend/xml/test/test-load-xml2.c,
	  src/backend/xml/test/test-real-data.sh,
	  src/backend/xml/test/test-xml-account.c,
	  src/backend/xml/test/test-xml-transaction.c: [Testing]
	  Backend/XML: Provide checked error messages to replace noted
	  warnings Much better for expected warnings to be tested for than
	  to have a lead-in message saying that they're really OK.
	* [r21674] src/gnc-module/test/Makefile.am: [Testing] Fill in some
	  missing libraries for gnc-module check.
	* [r21673] src/engine/test/test-scm-query.c: [Testing] Make
	  engine/test-scm-query work.
	* [r21672] src/bin/overrides/gnucash-build-env.in,
	  src/optional/python-bindings/tests/Makefile.am,
	  src/optional/python-bindings/tests/runTests.py: [Testing] More
	  python-bindings test fixes Ensure that libgncmod-engine can load
	  its backends, and that all module dependencies can be found on
	  OSX when gnucash isn't installed.
	* [r21671] src/app-utils/test/Makefile.am,
	  src/backend/xml/test/Makefile.am, src/engine/test/Makefile.am,
	  src/gnc-module/test/Makefile.am,
	  src/gnome-utils/test/Makefile.am,
	  src/import-export/test/Makefile.am,
	  src/report/report-gnome/test/Makefile.am,
	  src/report/report-system/test/Makefile.am,
	  src/report/standard-reports/test/Makefile.am,
	  src/report/stylesheets/test/Makefile.am,
	  src/report/utility-reports/test/Makefile.am: [Testing] Suppress
	  the useless Guile deprecated warning.

2011-12-05 00:06  jralls

	* [r21670] src/bin/gnucash-bin.c,
	  src/engine/test/test-scm-query.c, src/gnc-module/gnc-module.c,
	  src/import-export/test/test-import-parse.c: [Testing] Ensure
	  that qof_log_init() has been called for all tests Prevents error
	  messages about g_hash being NULL. Invokes
	  qof_log_init_file_special ("stderr") in
	  gnc_module_system_init(), so gnc_log_init() had to be moved to
	  after that call in main() so that the command-line log setting
	  doesn't get replaced with the default setting in
	  module_system_init. Note that gnc_module_load_common() has one
	  of the offending "ENTER" macros that cause the error, and it's
	  before the safety call of module_system_init, so test programs
	  need to explicitly call module_system_init before loading any
	  modules.
	* [r21669] src/engine/test/utest-Account.c: [Engine Testing]
	  Rework utest-Account.c to use the new error-message handlers.
	* [r21668] src/test-core/test-stuff.c, src/test-core/test-stuff.h:
	  [Testing] Provide list error handler, rename some functions Add
	  an GTestFatalFunc which can examine a list of error conditions
	  and suppress those messages and prevent their exiting while
	  passing through any unexpected errors. Rename test_silent_logger
	  to test_null_handler and change it to a GTestFatalFunc (it can
	  still be used as a GLogFunc). Rename test_handle_faults to
	  test_checked_handler and improve its flow and message display.
	  It no longer asserts on a bad match.
	* [r21667] src/bin/overrides/gnucash-build-env.in,
	  src/optional/python-bindings/Makefile.am,
	  src/optional/python-bindings/tests/Makefile.am,
	  src/optional/python-bindings/tests/test_account.py,
	  src/optional/python-bindings/tests/test_business.py: [Testing]
	  Get the python tests working when uninstalled Also fix a couple
	  of failing tests.

2011-12-04 20:44  cstim

	* [r21666] packaging/win32/defaults.sh: Win32 build: Minor version
	  upgrade of aqbanking and ktoblzcheck.

2011-12-04 17:34  gjanssens

	* [r21665] src/gnc-module/gnc-module.c: Bug #661383 - GnuCash
	  segfault on Linux (Fedora 16 beta) because of shared library
	  load / unload weirdness BP

2011-12-04 11:00  mikee

	* [r21663] src/report/standard-reports/net-linechart.scm: Fix
	  right align for number cells in table.

2011-12-03 10:40  gjanssens

	* [r21662] src/business/business-utils,
	  src/business/dialog-tax-table: Remove some more empty directories

2011-12-03 10:39  gjanssens

	* [r21661] src/business/business-core, src/gnome/glade: Remove
	  some empty directories These were left behind by earlier commits

2011-12-03 10:35  gjanssens

	* [r21660] configure.ac, po/POTFILES.in, src/gnome/Makefile.am,
	  src/gnome/dialog-tax-info.c, src/gnome/glade/Makefile.am,
	  src/gnome/glade/tax.glade, src/gnome/gtkbuilder/Makefile.am,
	  src/gnome/gtkbuilder/dialog-tax-info.glade,
	  src/gnome/gtkbuilder/tax.glade: Bug #665401 - Migrate Tax Report
	  Options from GladeXML to Builder Patch by Robert Fewell

2011-12-02 22:36  jralls

	* [r21659] src/engine/gnc-engine.c: [Testing] Brain failure in
	  gnc-engine.c, sorry.

2011-12-02 22:00  jralls

	* [r21658] po/POTFILES.in: Update POTFILES.in to reflect recent
	  moves and deletions.
	* [r21657] src/app-utils/test/Makefile.am,
	  src/app-utils/test/test-link-module.c,
	  src/app-utils/test/test-load-module,
	  src/app-utils/test/test-scm-query-string.c,
	  src/app-utils/test/test-sx.c, src/backend/xml/test/Makefile.am,
	  src/backend/xml/test/test-load-example-account.c,
	  src/backend/xml/test/test-xml-commodity.c,
	  src/engine/test/Makefile.am, src/engine/test/test-business.c,
	  src/engine/test/test-create-account.scm,
	  src/engine/test/test-scm-query-import.scm,
	  src/engine/test/test-scm-query.c,
	  src/gnome-utils/test/Makefile.am,
	  src/gnome-utils/test/test-link-module.c,
	  src/gnome-utils/test/test-load-module,
	  src/import-export/test/Makefile.am,
	  src/import-export/test/test-import-parse.c,
	  src/report/report-gnome/test/Makefile.am,
	  src/report/report-gnome/test/test-link-module.c,
	  src/report/report-gnome/test/test-load-module,
	  src/report/report-system/gnc-report.c,
	  src/report/report-system/test/Makefile.am,
	  src/report/report-system/test/test-link-module.c,
	  src/report/report-system/test/test-load-module,
	  src/report/standard-reports/test/Makefile.am,
	  src/report/standard-reports/test/test-load-module,
	  src/report/stylesheets/test/Makefile.am,
	  src/report/stylesheets/test/test-load-module,
	  src/report/utility-reports/test/Makefile.am,
	  src/report/utility-reports/test/test-load-module: [Testing] Set
	  GNC_BUILDDIR and GNC_UNINSTALLED where needed These are all of
	  the locations where tests raised errors about not being able to
	  find backends or standard reports. Note that in many cases the
	  tests would pass. I fixed some of the bogus tests, but there are
	  still plenty more that either do nothing at all or return
	  success no matter what happens.
	* [r21656] src/core-utils/gnc-path.c: [Testing] Provide for
	  gnc_path_get_reportdir() and gnc_path_get_stdreportsdir() to
	  return build-directory paths As with engine, in response to
	  environment variables GNC_UNINSTALLED and GNC_BUILDDIR.
	  GNC_UNINSTALLED is intended to be set via g_setenv() or (setenv)
	  at the beginning of a test program. GNC_BUILDDIR is intended to
	  be set with GNC_BUILDDIR=`cd ${top_builddir} && pwd` as part of
	  the TESTS_ENVIRONMENT variable in test Makefiles.

2011-12-02 21:59  jralls

	* [r21655] src/engine/gnc-engine.c: [Testing] Provide for engine
	  to load backends from build path If two new environment
	  variables (GNC_UNINSTALLED and GNC_BUILDDIR)are set, load the
	  backends from GNC_BUILDDIR/src/backend. GNC_UNINSTALLED is
	  intended to be set via g_setenv() or (setenv) at the beginning
	  of a test program. GNC_BUILDDIR is intended to be set with
	  GNC_BUILDDIR=`cd ${top_builddir} && pwd` as part of the
	  TESTS_ENVIRONMENT variable in test Makefiles.

2011-12-02 20:55  gjanssens

	* [r21654] src/import-export/qif-import/Makefile.am,
	  src/import-export/qif-import/gnc-druid-test.c,
	  src/import-export/qif-import/gnc-druid-test.h,
	  src/import-export/qif-import/gnc-plugin-qif-import.c,
	  src/import-export/qif-import/gnc-plugin-qif-import.h: Bug
	  #664877 - Migrate Qif Import Druid to an Assistant This patch
	  removes some test druid files that were in the same directory
	  Patch by Robert Fewell
	* [r21653] po/POTFILES.in, src/gnome/dialog-new-user.c,
	  src/gnome/dialog-new-user.h,
	  src/import-export/qif-import/Makefile.am,
	  src/import-export/qif-import/assistant-qif-import.c,
	  src/import-export/qif-import/assistant-qif-import.glade,
	  src/import-export/qif-import/assistant-qif-import.h,
	  src/import-export/qif-import/dialog-account-picker.c,
	  src/import-export/qif-import/dialog-account-picker.h,
	  src/import-export/qif-import/druid-qif-import.c,
	  src/import-export/qif-import/druid-qif-import.h,
	  src/import-export/qif-import/gnc-plugin-qif-import.c,
	  src/import-export/qif-import/gncmod-qif-import.c,
	  src/import-export/qif-import/qif.glade: Bug #664877 - Migrate
	  Qif Import Druid to an Assistant Patch by Robert Fewell

2011-12-02 11:09  mikee

	* [r21652] src/gnome/gnc-plugin-page-register.c: Bug #665098 -
	  document shortcut for blank transaction. Added accelerator text
	  to menu.

2011-12-01 10:02  mikee

	* [r21651] src/gnome/dialog-new-user.c: Undo r21650. Wrong
	  approach. Uses wrong save dialog.

2011-11-30 14:47  mikee

	* [r21650] src/gnome/dialog-new-user.c: Bug #658247 - First time
	  setup should prompt to save file. Open a save dialog after chart
	  of accounts assistant. BP

2011-11-30 11:03  mikee

	* [r21648] src/report/standard-reports/Makefile.am: Sort list of
	  reports.

2011-11-29 21:29  jralls

	* [r21647] src/doc/Makefile.am: Remove the obsolescent
	  src/doc/design directory from recursive build. Prevents make
	  distcheck from building the ps and pdf versions of the texinfo,
	  which imposed a dependency on TeX. Removing the directory from
	  the dist requires removing the Makefile from configure, which
	  completely disables building, so it remains. To build the info
	  file, cd src/doc/design and make info.
	* [r21646] configure.ac,
	  src/import-export/qif-io-core/Makefile.am,
	  src/import-export/qif-io-core/README,
	  src/import-export/qif-io-core/gncmod-qifiocore.c,
	  src/import-export/qif-io-core/qif-acct-table.scm,
	  src/import-export/qif-io-core/qif-bank-xtn-import.scm,
	  src/import-export/qif-io-core/qif-file.scm,
	  src/import-export/qif-io-core/qif-format-check.scm,
	  src/import-export/qif-io-core/qif-invst-xtn-import.scm,
	  src/import-export/qif-io-core/qif-io-core.scm,
	  src/import-export/qif-io-core/qif-objects.scm,
	  src/import-export/qif-io-core/qif-parse.scm,
	  src/import-export/qif-io-core/qif-record-xform.scm,
	  src/import-export/qif-io-core/test/Makefile.am,
	  src/import-export/qif-io-core/test/data/category-data.txt,
	  src/import-export/qif-io-core/test/data/date-data.txt,
	  src/import-export/qif-io-core/test/data/date-format-data.txt,
	  src/import-export/qif-io-core/test/data/file-formats-data.txt,
	  src/import-export/qif-io-core/test/data/import-phase-1-data.txt,
	  src/import-export/qif-io-core/test/data/number-data.txt,
	  src/import-export/qif-io-core/test/data/number-format-data.txt,
	  src/import-export/qif-io-core/test/data/reader-data.txt,
	  src/import-export/qif-io-core/test/dump-qifobj.scm,
	  src/import-export/qif-io-core/test/qiftest.gnc,
	  src/import-export/qif-io-core/test/test-file-formats,
	  src/import-export/qif-io-core/test/test-file-formats.scm,
	  src/import-export/qif-io-core/test/test-import-phase-1,
	  src/import-export/qif-io-core/test/test-import-phase-1.scm,
	  src/import-export/qif-io-core/test/test-load-module,
	  src/import-export/qif-io-core/test/test-load-module.scm,
	  src/import-export/qif-io-core/test/test-parser,
	  src/import-export/qif-io-core/test/test-parser.scm,
	  src/import-export/qif-io-core/test/test-reader,
	  src/import-export/qif-io-core/test/test-reader.scm: Remove
	  src/import-export/qif-io-core This directory was created 10
	  years ago to hold a rewritten qif importer. It was never
	  substantively worked on after.
	* [r21645] src/core-utils/Makefile.am,
	  src/engine/test/Makefile.am, src/libqof/qof/test/Makefile.am:
	  Make distcheck fixes. Fix some errors in r21570 which cause
	  "make distcheck" to fail, and a couple of others besides. While
	  this gets distcheck to work on the Mac, there are still some
	  problems with the standard-reports test on Linux related to
	  trying to load reports from the installation directory (make
	  install is run *after* make check during make distcheck). This
	  test passes on the Mac, fails on Linux.

2011-11-29 18:55  mikee

	* [r21640] src/html/gnc-html-graph-gog-webkit.c,
	  src/html/gnc-html-graph-gog.c, src/html/gnc-html-graph-gog.h,
	  src/report/report-system/html-linechart.scm,
	  src/report/report-system/report-system.scm,
	  src/report/standard-reports/net-linechart.scm: Added user
	  settable line width and data point markers to net worth line
	  chart. BP

2011-11-28 21:44  cstim

	* [r21638]
	  src/business/business-gnome/gnc-plugin-page-owner-tree.c,
	  src/gnome-utils/gnc-plugin.c,
	  src/gnome/gnc-plugin-page-account-tree.c: Read-only mode:
	  Buttons in account tree window and owner tree window switch to
	  insensitive. Along the way, gnc_plugin_update_actions() shows a
	  more detailed error message if any of the action names do not
	  result in an actual GtkAction, e.g. because of a typo.
	* [r21637] src/business/business-gnome/dialog-customer.c,
	  src/business/business-gnome/dialog-employee.c,
	  src/business/business-gnome/dialog-invoice.c,
	  src/business/business-gnome/dialog-job.c,
	  src/business/business-gnome/dialog-order.c,
	  src/business/business-gnome/dialog-vendor.c,
	  src/gnome-search/dialog-search.c,
	  src/gnome-search/dialog-search.h: Read-only mode: Buttons in
	  business result list are insensitive, accordingly.
	* [r21636] src/business/business-gnome/gnc-plugin-business.c,
	  src/business/business-gnome/gnc-plugin-page-invoice.c,
	  src/gnome-utils/gnc-autosave.c: Read-only mode: Business toolbar
	  actions switch to insensitive. Also, disable book auto-save if
	  the book is read-only.

2011-11-28 16:37  mikee

	* [r21633] accounts/en_GB/uk-vat.gnucash-xea: Add missing Root
	  Account part.
	* [r21632] accounts/sv_SE, accounts/sv_SE/Makefile.am,
	  accounts/sv_SE/swedish_small_business.gnucash.xea: Bug #664764 -
	  Account setup for Swedish small business Added Swedish chart of
	  accounts for small businesses.

2011-11-27 11:03  mikee

	* [r21631] src/html/gnc-html-graph-gog.c: Commented line width.
	  This value really should be passed from .scm file

2011-11-27 11:02  mikee

	* [r21630] src/html/gnc-html-graph-gog.c: Fix setting of line
	  color for line charts.
	* [r21629] src/report/standard-reports/Makefile.am,
	  src/report/standard-reports/net-linechart.scm: Bug #664862 - New
	  report showing net assets over time Added new line chart report
	  for assets, net-linechart.scm. Distantly related to Bug #570011
	* [r21628] src/report/report-system/html-linechart.scm: File
	  contents appear to be doubled. Removed extra copy.

2011-11-26 22:17  cstim

	* [r21627] src/business/business-gnome/dialog-invoice.c,
	  src/gnome-search/dialog-search.c: Add "Post" and "Print" buttons
	  in invoice search window, both for single or multiple invoices.

2011-11-24 14:04  mikee

	* [r21625] src/app-utils/app-utils.i: Partial revert of r21588.
	  Causes crash when updating price quote. BP

2011-11-23 19:05  cstim

	* [r21623] src/business/business-gnome/dialog-invoice.c,
	  src/gnome-search/dialog-search.c: Enable the "Duplicate Invoice"
	  button even for multiple selected items.

2011-11-23 13:11  mikee

	* [r21622] src/import-export/csv/gnc-csv-model.c: Bug #663368 -
	  When importing CSV files, the word 'Deposit' appears in
	  Num/Action column Removed "Deposit". BP

2011-11-21 18:38  jralls

	* [r21621] src/Makefile.am: src/Makefile.am: Move WITH_PYTHON
	  block to just above where it's used

2011-11-21 16:11  gjanssens

	* [r21620] src/report/business-reports/business-reports.scm,
	  src/report/business-reports/job-report.scm: Remove unneeded
	  circular dependency between business-reports and business-gnome.

2011-11-21 14:19  gjanssens

	* [r21618] src/engine/test/test-address.c,
	  src/engine/test/test-business.c,
	  src/engine/test/test-customer.c,
	  src/engine/test/test-employee.c, src/engine/test/test-job.c,
	  src/engine/test/test-vendor.c: Bug #630804 - make check failure
	  in business module

2011-11-21 12:00  cstim

	* [r21608] src/engine/CMakeLists.txt: Adapt cutecash / cmake build
	  to r21605.

2011-11-21 10:40  gjanssens

	* [r21607] configure.ac, src/app-utils/Makefile.am,
	  src/app-utils/app-utils.scm, src/app-utils/business-options.scm,
	  src/app-utils/business-prefs.scm, src/business/Makefile.am,
	  src/business/business-gnome/business-gnome.scm,
	  src/business/business-ledger/Makefile.am,
	  src/business/business-utils/Makefile.am,
	  src/business/business-utils/business-options.scm,
	  src/business/business-utils/business-prefs.scm,
	  src/business/business-utils/business-utils.scm,
	  src/business/business-utils/gncmod-business-utils.c,
	  src/report/business-reports/balsheet-eg.scm,
	  src/report/business-reports/business-reports.scm,
	  src/report/business-reports/customer-summary.scm,
	  src/report/business-reports/easy-invoice.scm,
	  src/report/business-reports/fancy-invoice.scm,
	  src/report/business-reports/invoice.scm,
	  src/report/business-reports/job-report.scm,
	  src/report/business-reports/owner-report.scm,
	  src/report/business-reports/payables.scm,
	  src/report/business-reports/receivables.scm,
	  src/report/business-reports/taxinvoice.scm,
	  src/report/report-system/eguile-html-utilities.scm,
	  src/report/report-system/eguile-utilities.scm: Dissolve
	  business-utils module by moving the leftovers into app-utils.
	* [r21606] configure.ac, src/business/Makefile.am,
	  src/business/business-gnome/Makefile.am,
	  src/business/business-gnome/business-gnome.scm,
	  src/business/business-ledger/Makefile.am,
	  src/business/dialog-tax-table/Makefile.am,
	  src/business/dialog-tax-table/dialog-tax-table.c,
	  src/business/dialog-tax-table/dialog-tax-table.h,
	  src/business/dialog-tax-table/dialog-tax-table.i,
	  src/business/dialog-tax-table/dialog-tax-table.scm,
	  src/business/dialog-tax-table/gncmod-dialog-tax-table.c,
	  src/business/dialog-tax-table/tax-tables.glade,
	  src/gnome-utils/Makefile.am, src/gnome-utils/dialog-tax-table.c,
	  src/gnome-utils/dialog-tax-table.h,
	  src/gnome-utils/glade/Makefile.am,
	  src/gnome-utils/glade/tax-tables.glade,
	  src/gnome-utils/gnome-utils.i: Dissolve dialog-tax-table module
	  by moving its only object into gnome-utils.
	* [r21605] configure.ac, src/business/Makefile.am,
	  src/business/business-core/Makefile.am,
	  src/business/business-core/business-core.scm,
	  src/business/business-core/gncmod-business-core.c,
	  src/business/business-core/test/Makefile.am,
	  src/business/business-core/test/README,
	  src/business/business-core/test/test-address.c,
	  src/business/business-core/test/test-business.c,
	  src/business/business-core/test/test-customer.c,
	  src/business/business-core/test/test-employee.c,
	  src/business/business-core/test/test-job.c,
	  src/business/business-core/test/test-load-module.c,
	  src/business/business-core/test/test-vendor.c,
	  src/business/business-gnome/Makefile.am,
	  src/business/business-gnome/business-gnome.scm,
	  src/business/business-gnome/gncmod-business-gnome.c,
	  src/business/business-ledger/Makefile.am,
	  src/business/business-utils/business-utils.scm,
	  src/business/business-utils/gncmod-business-utils.c,
	  src/business/dialog-tax-table/Makefile.am,
	  src/business/dialog-tax-table/gncmod-dialog-tax-table.c,
	  src/engine/Makefile.am, src/engine/business-core.i,
	  src/engine/business-core.scm, src/engine/engine.i,
	  src/engine/gncmod-engine.c, src/engine/test/Makefile.am,
	  src/engine/test/README, src/engine/test/test-address.c,
	  src/engine/test/test-business.c,
	  src/engine/test/test-customer.c,
	  src/engine/test/test-employee.c, src/engine/test/test-job.c,
	  src/engine/test/test-vendor.c,
	  src/optional/python-bindings/Makefile.am,
	  src/plugins/bi_import/gncmod-bi_import.c,
	  src/report/business-reports/aging.scm: Dissolve the
	  business-core module, by integrating its remaining bits in the
	  engine, where the rest already was moved before.

2011-11-21 05:43  mta

	* [r21604] src/core-utils/Makefile.am: Make parallel build work in
	  core-utils with python bindings enabled.
	* [r21603] src/base-typemaps.i: Avoid warning returning a boolean
	  result in python bindings. Getting "dereferencing type-punned
	  pointer" doing Py_INCREF on Py_True and Py_False.

2011-11-20 21:43  cstim

	* [r21602] src/gnome-utils/gnc-query-list.c: Fix the broken code
	  of the reconcile list widget to not mess up the GtkCList class
	  structure.

2011-11-20 18:27  jralls

	* [r21601] src/core-utils/core-utils.i, src/python/init.py:
	  [Python] Suppress the spew from loading the python module Use
	  --extra if you want it back.
	* [r21600] src/base-typemaps.i, src/core-utils/Makefile.am,
	  src/core-utils/core-utils.i, src/python/Makefile.am,
	  src/python/gncmod-python.c: [Python] Export core-utils SWIG
	  wrappers to Python.

2011-11-20 10:20  cstim

	* [r21599] src/engine/test/Makefile.am: Fix missing linker flag

2011-11-20 09:35  gjanssens

	* [r21598] src/import-export/test/Makefile.am: Fix load errors in
	  import-export tests BP

2011-11-20 09:34  gjanssens

	* [r21597] src/backend/xml/test/Makefile.am: Fix failing xml
	  backend test. BP
	* [r21596] src/optional/python-bindings/gnucash_core.i,
	  src/optional/python-bindings/gnucash_core.py: Spelling fixes in
	  doxygen comments BP
	* [r21595] src/optional/python-bindings/tests/Makefile.am: Fix
	  failing python-bindings tests. BP
	* [r21594] src/gnome-utils/test/Makefile.am: Fix load warnings in
	  gnome-utils tests BP
	* [r21593] src/report/report-gnome/test/Makefile.am: Fix load
	  warnings in report-gnome tests. BP

2011-11-20 09:33  gjanssens

	* [r21592] src/report/standard-reports/test/Makefile.am: Fix load
	  warnings in standard-reports tests BP
	* [r21591] src/report/business-reports/Makefile.am,
	  src/report/business-reports/balsheet-eg.css,
	  src/report/business-reports/balsheet-eg.eguile.scm,
	  src/report/business-reports/balsheet-eg.scm,
	  src/report/business-reports/business-reports.scm,
	  src/report/standard-reports/Makefile.am,
	  src/report/standard-reports/balsheet-eg.css,
	  src/report/standard-reports/balsheet-eg.eguile.scm,
	  src/report/standard-reports/balsheet-eg.scm: Move eguile balance
	  report to business-reports as it depends on business utils. This
	  is a source code move, the report will remain in the same menu
	  location in the GUI BP
	* [r21590] src/report/report-system/test/Makefile.am: Fix load
	  warnings in report-system tests BP
	* [r21589] src/engine/engine.scm: Partly revert previous commit.
	  Although it eliminated a couple of warnings in the tests, it
	  also broke most reports. This needs more study. BP

2011-11-20 09:32  gjanssens

	* [r21588] src/app-utils/app-utils.i, src/engine/engine.scm,
	  src/report/utility-reports/test/Makefile.am: Fix load warnings
	  in utility-reports tests. BP

2011-11-19 22:42  jralls

	* [r21587] src/engine/Account.c, src/engine/Account.h,
	  src/engine/Split.c, src/engine/gncEmployee.c,
	  src/engine/gncJob.c, src/engine/gncVendor.c,
	  src/engine/test/utest-Account.c,
	  src/optional/python-bindings/gnucash_core.py: [Cruft Reduction]
	  Remove unused functions in src/engine -- reprise Delete a bunch
	  more functions left commented out from r21579 Remove references
	  to deleted functions from gnucash_core.py

2011-11-19 22:41  jralls

	* [r21586] po/POTFILES.in: [potfiles] Rename payment.glade, moved
	  in r21572

2011-11-19 11:49  cstim

	* [r21585] src/business/business-gnome/gnc-plugin-page-invoice.c,
	  src/business/business-ledger/gncEntryLedger.c,
	  src/gnome/gnc-plugin-page-register.c: More checking of the
	  read-only flag of the book. - GncEntryLedger switches to
	  read-only - Toolbar actions of several plugin pages switch to
	  insensitive (invoice, normal register)

2011-11-19 11:48  cstim

	* [r21584] src/gnome-utils/gnc-file.c: Extend File->Open dialog on
	  locked file: Offer to open read-only as well.

2011-11-19 10:42  cstim

	* [r21583] src/engine/test/utest-Account.c: Fix compiler warning
	  about /* inside comment. (Can't be nested.)

2011-11-18 21:56  cstim

	* [r21582] src/engine/Split.h: Another minor revert of "[Cruft
	  Reduction] Remove unused functions from src/engine" The compiler
	  complains if there is no previous declaration of the non-static
	  function xaccSplitSetSlots_nc.

2011-11-18 21:53  cstim

	* [r21581] src/engine/Split.c, src/engine/Split.h,
	  src/engine/gnc-engine.c, src/engine/gnc-engine.h: Minor reverts
	  of "[Cruft Reduction] Remove unused functions from src/engine"
	  Those two functions are in use in the C++ code.
	* [r21580] src/business/business-gnome/dialog-customer.c,
	  src/business/business-gnome/dialog-employee.c,
	  src/business/business-gnome/dialog-invoice.c,
	  src/business/business-gnome/dialog-invoice.h,
	  src/business/business-gnome/dialog-job.c,
	  src/business/business-gnome/dialog-order.c,
	  src/business/business-gnome/dialog-vendor.c,
	  src/gnome-search/dialog-search.c,
	  src/gnome-search/dialog-search.h: Add the possibility of
	  multi-selection in the invoice/bill search window (but so far
	  still disabled). Eventually, this should enable
	  multi-duplication of a selection. However, my gtk-2.20 seems to
	  be broken w.r.t. multi-selections in GtkCList, so I better have
	  this available only in newer gtk and so far still deactivated.

2011-11-18 21:04  jralls

	* [r21579] po/POTFILES.in, src/core-utils/gnc-main.c,
	  src/engine/Account.c, src/engine/Account.h,
	  src/engine/CMakeLists.txt, src/engine/Makefile.am,
	  src/engine/SX-ttinfo.h, src/engine/SchedXaction.c,
	  src/engine/SchedXaction.h, src/engine/Scrub2.c,
	  src/engine/Scrub2.h, src/engine/Split.c, src/engine/Split.h,
	  src/engine/TransLog.c, src/engine/Transaction.c,
	  src/engine/Transaction.h, src/engine/engine-helpers.c,
	  src/engine/engine-helpers.h, src/engine/engine.i,
	  src/engine/gnc-associate-account.c,
	  src/engine/gnc-associate-account.h, src/engine/gnc-budget.c,
	  src/engine/gnc-budget.h, src/engine/gnc-commodity.c,
	  src/engine/gnc-commodity.h, src/engine/gnc-engine.c,
	  src/engine/gnc-engine.h, src/engine/gnc-hooks.c,
	  src/engine/gnc-hooks.h, src/engine/gnc-lot.c,
	  src/engine/gnc-lot.h, src/engine/gnc-pricedb.c,
	  src/engine/gnc-pricedb.h, src/engine/gnc-session-scm.c,
	  src/engine/gnc-session-scm.h, src/engine/gncBillTerm.c,
	  src/engine/gncBillTerm.h, src/engine/gncBusGuile.c,
	  src/engine/gncBusGuile.h, src/engine/gncCustomer.h,
	  src/engine/gncEmployee.c, src/engine/gncEmployee.h,
	  src/engine/gncEntry.c, src/engine/gncEntry.h,
	  src/engine/gncInvoice.c, src/engine/gncInvoice.h,
	  src/engine/gncJob.c, src/engine/gncOrder.c,
	  src/engine/gncOrder.h, src/engine/gncOwner.c,
	  src/engine/gncOwner.h, src/engine/gncTaxTable.c,
	  src/engine/gncVendor.c, src/engine/gncVendor.h,
	  src/engine/kvp-scm.c, src/engine/kvp-scm.h, src/engine/policy.c,
	  src/engine/policy.h, src/engine/test/utest-Account.c: [Cruft
	  Reduction] Remove unused functions from src/engine Nothing in
	  gnc-session-scm.c was being used, so deleted it and its
	  corresponding header.

2011-11-18 21:03  jralls

	* [r21578] src/gnome-utils/assistant-utils.c,
	  src/gnome-utils/assistant-utils.h,
	  src/gnome-utils/gnc-gnome-utils.c,
	  src/gnome-utils/gnc-gnome-utils.h,
	  src/gnome-utils/gnc-tree-model-account-types.c,
	  src/gnome-utils/gnc-tree-model-account-types.h,
	  src/gnome-utils/gnc-tree-model-commodity.c,
	  src/gnome-utils/gnc-tree-model-commodity.h,
	  src/gnome-utils/gnc-tree-model-price.c,
	  src/gnome-utils/gnc-tree-model-price.h,
	  src/gnome-utils/gnc-tree-model-selection.c,
	  src/gnome-utils/gnc-tree-model-selection.h,
	  src/gnome-utils/gnc-tree-view-account.c,
	  src/gnome-utils/gnc-tree-view-account.h,
	  src/gnome-utils/gnc-tree-view-commodity.c,
	  src/gnome-utils/gnc-tree-view-commodity.h,
	  src/gnome-utils/gnc-tree-view-owner.c,
	  src/gnome-utils/gnc-tree-view-owner.h,
	  src/gnome-utils/gnc-tree-view-price.c,
	  src/gnome-utils/gnc-tree-view-price.h,
	  src/gnome-utils/search-param.c, src/gnome-utils/search-param.h:
	  [Cruft Reduction] Remove unused functions from src/gnome-utils.

2011-11-18 10:26  gjanssens

	* [r21577] src/backend/xml/gnc-invoice-xml-v2.c: Fix xml backend
	  to load and save invoice kvp values.

2011-11-17 22:24  gjanssens

	* [r21575] src/report/business-reports/invoice.scm: Adapt
	  printable invoice report for credit notes
	* [r21574] src/business/business-ledger/gncEntryLedgerControl.c,
	  src/business/business-ledger/gncEntryLedgerModel.c: Fix autofill
	  on credit note ledgers. Note: this introduces a subtle change in
	  how autofill works for business ledgers: quantities will from
	  now on always be autofilled to positive values. See the comment
	  in the code for more details.
	* [r21573] src/business/business-ledger/gncEntryLedgerModel.c: Fix
	  subtotal sign in credit note ledger
	* [r21572] src/business/business-gnome/dialog-payment.c,
	  src/business/business-gnome/glade/Makefile.am,
	  src/business/business-gnome/glade/payment.glade,
	  src/business/business-gnome/gtkbuilder/Makefile.am,
	  src/business/business-gnome/gtkbuilder/dialog-payment.glade,
	  src/gnome-utils/gnc-gtk-utils.c: Convert payment dialog to
	  gtkbuilder

2011-11-17 21:27  jralls

	* [r21571] src/app-utils/gnc-component-manager.c,
	  src/app-utils/gnc-component-manager.h, src/app-utils/gnc-euro.c,
	  src/app-utils/gnc-euro.h, src/app-utils/gnc-exp-parser.c,
	  src/app-utils/gnc-exp-parser.h, src/app-utils/gnc-helpers.c,
	  src/app-utils/gnc-helpers.h,
	  src/app-utils/gnc-sx-instance-model.c,
	  src/app-utils/gnc-sx-instance-model.h,
	  src/app-utils/gnc-ui-balances.c,
	  src/app-utils/gnc-ui-balances.h, src/app-utils/gnc-ui-util.c,
	  src/app-utils/gnc-ui-util.h, src/app-utils/option-util.c,
	  src/app-utils/option-util.h: [Cruft Reduction] Remove unused
	  functions from src/app-utils
	* [r21570] configure.ac, lib/Makefile.am, src/Makefile.am,
	  src/app-utils/Makefile.am, src/backend/Makefile.am,
	  src/business/business-core/Makefile.am,
	  src/business/business-gnome/Makefile.am,
	  src/business/dialog-tax-table/Makefile.am,
	  src/core-utils/Makefile.am, src/engine/Makefile.am,
	  src/gnc-module/Makefile.am, src/gnome-utils/Makefile.am,
	  src/import-export/Makefile.am, src/optional/Makefile.am,
	  src/optional/python-bindings/tests/Makefile.am,
	  src/python/Makefile.am, src/report/Makefile.am,
	  src/report/report-gnome/Makefile.am,
	  src/report/report-system/Makefile.am: Fix clean targets and
	  DIST_SOURCES Several subdirectories have a subdirectory
	  "gnucash", which clean tried to remove by including in the
	  CLEANFILES variable in Makefile.am. This doesn't work, because
	  directories can't be removed with rm, they require rm -r. Add a
	  clean-local: target which calls rm -r on the gnucash
	  subdirectory. Some Makefile.ams used an AC_SUBSTed variable to
	  define an optionally-compiled subdirectory, then included the
	  variable in SUBDIRS and the actual directory name in
	  DIST_SUBDIRS. This breaks the distclean and maintainer-clean
	  targets when the optional directory is built, because it is then
	  processed twice, and there is no Makefile the second time so
	  make halts. Replaced the AC_SUBSTed variables with ones local to
	  the Makefile.am, switched with an AM_CONDITIONAL. That way
	  automake can figure out the dist_subdirs on its own. BP

2011-11-14 21:28  cstim

	* [r21569] src/engine/Transaction.c,
	  src/gnome/gnc-plugin-page-register.c, src/gnome/gnc-split-reg.c:
	  Take into account the read-only flag of the book to update the
	  buttons in the register accordingly. Also, the register itself
	  must be read-only.

2011-11-14 19:43  cstim

	* [r21568] doc/Makefile.am, doc/generic_objects.txt,
	  doc/gnome-hackers.txt, src/doc/Makefile.am,
	  src/doc/backend-api.txt, src/doc/backend-errors.txt,
	  src/doc/netlogin.txt, src/doc/plugin.txt, src/scm/Makefile.am,
	  src/scm/startup-design.txt: Remove obsolete documentation texts.
	  Those are so insanely obsolete, it hurts our eyes.

2011-11-14 12:16  gjanssens

	* [r21567] po/POTFILES.in, src/gnome-utils/dialog-options.c,
	  src/gnome-utils/dialog-options.h,
	  src/gnome-utils/dialog-preferences.c,
	  src/gnome-utils/gtkbuilder/Makefile.am,
	  src/gnome-utils/gtkbuilder/dialog-options.glade,
	  src/gnome-utils/gtkbuilder/dialog-preferences.glade,
	  src/report/report-gnome/dialog-report-column-view.c: Bug #663433
	  follow up - Migrate report options dialog from GladeXML to
	  Builder

2011-11-13 21:33  cstim

	* [r21566] src/backend/dbi/gnc-backend-dbi.c,
	  src/backend/sql/gnc-account-sql.c,
	  src/backend/sql/gnc-address-sql.c,
	  src/backend/sql/gnc-backend-sql.c,
	  src/backend/sql/gnc-backend-sql.h,
	  src/backend/sql/gnc-bill-term-sql.c,
	  src/backend/sql/gnc-book-sql.c,
	  src/backend/sql/gnc-budget-sql.c,
	  src/backend/sql/gnc-commodity-sql.c,
	  src/backend/sql/gnc-customer-sql.c,
	  src/backend/sql/gnc-employee-sql.c,
	  src/backend/sql/gnc-entry-sql.c,
	  src/backend/sql/gnc-invoice-sql.c,
	  src/backend/sql/gnc-job-sql.c, src/backend/sql/gnc-lots-sql.c,
	  src/backend/sql/gnc-order-sql.c,
	  src/backend/sql/gnc-owner-sql.c,
	  src/backend/sql/gnc-price-sql.c,
	  src/backend/sql/gnc-schedxaction-sql.c,
	  src/backend/sql/gnc-slots-sql.c,
	  src/backend/sql/gnc-tax-table-sql.c,
	  src/backend/sql/gnc-transaction-sql.c,
	  src/backend/sql/gnc-vendor-sql.c,
	  src/backend/xml/gnc-backend-xml.c,
	  src/backend/xml/gnc-backend-xml.h: Minor code cleanup: Rename
	  field "primary_book" into "book" because there are no multiple
	  books in gnucash at all.

2011-11-13 21:26  cstim

	* [r21565] src/backend/xml/gnc-backend-xml.c,
	  src/gnome-utils/gnc-main-window.c: Check the read-only attribute
	  in the XML backend as well and refuse to save if we are
	  read-only. Also, add a "(read-only)" suffix in the window title
	  if we are read-only.

2011-11-13 21:01  cstim

	* [r21564] src/import-export/aqbanking/druid-ab-initial.c: Bug
	  #663934: Fix potential crash on failing aqbanking setup druid
	  lookup. BP

2011-11-13 20:39  cstim

	* [r21563] src/libqof/qof/test/Makefile.am,
	  src/libqof/qof/test/test-gnc-date.c,
	  src/libqof/qof/test/test-qof.c: Add unittest for gnc_dmy2gdate()
	  function to verify the correct behaviour of the by-value
	  returned value.

2011-11-11 21:58  cstim

	* [r21562] src/business/business-ledger/gncEntryLedger.c: Fix
	  occasional not working "up / down" arrow in invoice window. This
	  was because the "date" field was indeed be set with a different
	  time of day (noon vs. start of day), depending on the various
	  code places.
	* [r21561] src/business/business-gnome/dialog-invoice.c,
	  src/business/business-ledger/gncEntryLedger.c,
	  src/business/business-ledger/gncEntryLedgerControl.c,
	  src/business/business-ledger/gncEntryLedgerLoad.c,
	  src/business/business-ledger/gncEntryLedgerModel.c,
	  src/business/business-ledger/gncEntryLedgerP.h,
	  src/plugins/bi_import/bi_import.c: Use the GDate-based date
	  setter of GncEntry where suitable instead of the timespec one.
	  This fixes the time-of-day mismatch between entering a new entry
	  (that was using timespecCanonicalDayTime, "noon") vs.
	  duplicating an invoice (that was using
	  gnc_timet_get_today_start, "start of day").
	* [r21560] src/engine/gncEntry.c, src/engine/gncEntry.h: Add
	  accessor/setter for the date of a GncEntry as a GDate. This is
	  much more suitable to avoid any ambiguities due to differently
	  chosen time-of-day in various parts of the code.

2011-11-11 21:57  cstim

	* [r21559] src/libqof/qof/gnc-date.c, src/libqof/qof/gnc-date.h:
	  Add two more helper functions dealing with GDate. In particular,
	  glib doesn't offer a function for easily accessing the "today"
	  date as a GDate. What a pity. It's added now as
	  gnc_g_date_new_today().

2011-11-11 11:28  gjanssens

	* [r21557] configure.ac: Tighten gtk+ requirement to 2.18.1

2011-11-11 10:53  gjanssens

	* [r21556]
	  src/business/business-gnome/gtkbuilder/dialog-invoice.glade:
	  Reset required gtk version back to 2.16 for glade files.

2011-11-10 17:14  gjanssens

	* [r21553] src/Makefile.am: Don't install a script that is only
	  used for building and testing. This fixes Secunia Advisory
	  SA42048 BP

2011-11-10 15:05  gjanssens

	* [r21552] src/engine/business-core.i,
	  src/report/business-reports/easy-invoice.scm: Make easy-invoice
	  report credit note aware
	* [r21551] src/business/business-gnome/dialog-invoice.c,
	  src/business/business-ledger/gncEntryLedger.c,
	  src/business/business-ledger/gncEntryLedger.h,
	  src/business/business-ledger/gncEntryLedgerControl.c,
	  src/business/business-ledger/gncEntryLedgerDisplay.c,
	  src/business/business-ledger/gncEntryLedgerLayout.c,
	  src/business/business-ledger/gncEntryLedgerLoad.c,
	  src/business/business-ledger/gncEntryLedgerModel.c,
	  src/business/business-ledger/gncEntryLedgerP.h: Adapt entry
	  ledger to credit notes
	* [r21550] src/business/business-gnome/dialog-invoice.c,
	  src/business/business-gnome/gtkbuilder/dialog-invoice.glade,
	  src/engine/gncInvoice.c, src/engine/gncInvoice.h: Add
	  invoice/credit note type field and selector to invoice dialog
	  and invoice page.

2011-11-10 15:04  gjanssens

	* [r21549] src/engine/gncInvoice.c: Introduce credit-note kvp
	  value to distinguish invoices from credit notes.

2011-11-09 21:45  cstim

	* [r21548] src/libqof/qof/qofsession-p.h,
	  src/libqof/qof/qofsession.c: Simplify QofSession to own only
	  exactly one QofBook. No more, no less. This object isn't used in
	  any other way in gnucash, so we better get rid of the extra
	  potential complexity here.

2011-11-09 21:44  cstim

	* [r21547] src/libqof/qof/qofsession-p.h,
	  src/libqof/qof/qofsession.c, src/libqof/qof/qofsession.h: Revert
	  r21517 "Add is_readonly attribute to QofSession class." This is
	  not needed. See
	  http://lists.gnucash.org/pipermail/gnucash-devel/2011-November/032793.html
	  and thread.

2011-11-09 15:22  gjanssens

	* [r21546] po/POTFILES.in: Update POTFILES.in due to previous
	  commit

2011-11-09 15:18  gjanssens

	* [r21545] src/gnome/glade/sched-xact.glade,
	  src/gnome/gtkbuilder/Makefile.am,
	  src/gnome/gtkbuilder/sched-xact.glade,
	  src/report/standard-reports/daily-reports.scm: Remove unused
	  files, fix a comment

2011-11-09 14:30  gjanssens

	* [r21544] po/POTFILES.in,
	  src/business/business-gnome/glade/Makefile.am,
	  src/business/business-gnome/glade/businessprefs.glade,
	  src/business/business-gnome/gncmod-business-gnome.c,
	  src/business/business-gnome/gtkbuilder/Makefile.am,
	  src/business/business-gnome/gtkbuilder/business-prefs.glade,
	  src/gnome-utils/dialog-preferences.c,
	  src/gnome-utils/glade/Makefile.am,
	  src/gnome-utils/glade/preferences.glade,
	  src/gnome-utils/gtkbuilder/Makefile.am,
	  src/gnome-utils/gtkbuilder/dialog-preferences.glade,
	  src/gnome/dialog-sx-editor.c, src/gnome/glade/Makefile.am,
	  src/gnome/gtkbuilder/dialog-sx.glade,
	  src/import-export/Makefile.am,
	  src/import-export/dialog-import.glade,
	  src/import-export/gncmod-generic-import.c,
	  src/import-export/qif-import/Makefile.am,
	  src/import-export/qif-import/dialog-account-picker.glade,
	  src/import-export/qif-import/gnc-plugin-qif-import.c: Bug
	  #663433 - Migrate preferences from GladeXML to Builder Patch by
	  Robert Fewell

2011-11-09 13:43  gjanssens

	* [r21543] src/gnome-utils/assistant-gconf-setup.c: Fix critical
	  warning when quitting from the gconf startup dialog. Problem
	  spotted and traced by Robert Fewell in bug #663057.
	* [r21542] po/POTFILES.in, src/gnome-utils/Makefile.am,
	  src/gnome-utils/assistant-gconf-setup.c,
	  src/gnome-utils/assistant-gconf-setup.h,
	  src/gnome-utils/druid-gconf-setup.c,
	  src/gnome-utils/druid-gconf-setup.h,
	  src/gnome-utils/glade/Makefile.am,
	  src/gnome-utils/glade/druid-gconf-setup.glade,
	  src/gnome-utils/gnc-gnome-utils.c,
	  src/gnome-utils/gtkbuilder/Makefile.am,
	  src/gnome-utils/gtkbuilder/assistant-gconf-setup.glade: Bug
	  #663057 - Migrate Gconf setup druid to assistant Patch by Robert
	  Fewell

2011-11-09 13:07  cstim

	* [r21541] src/app-utils/gnc-ui-util.c,
	  src/core-utils/gnc-gconf-utils.c,
	  src/core-utils/gnc-gconf-utils.h,
	  src/import-export/import-settings.c: Fix erroneous return value
	  of gnc_gconf_get_float() Discovered in bug#663433 - the return
	  value was cached in an int variable instead of a gdouble one.

2011-11-08 21:31  gjanssens

	* [r21538] src/scm/main.scm: Set maxdepth debug option only in
	  guile 1.8 and before This parameter no longer exists in guile 2.0

2011-11-08 19:04  gjanssens

	* [r21536] src/business/business-gnome/dialog-invoice.c: Bug
	  #663638 - Posting Invoices asks for curency conversion for blank
	  lines BP

2011-11-08 18:25  gjanssens

	* [r21535] configure.ac: Set GUILE_INCS as an output variable.
	  Patch by Bill Nottingham

2011-11-08 12:31  gjanssens

	* [r21534] configure.ac: Check for guile-2.0 as well as guile-1.8.

2011-11-07 14:41  gjanssens

	* [r21530] src/business/business-gnome/business-gnome-utils.c,
	  src/business/business-gnome/dialog-invoice.c,
	  src/engine/gncBillTerm.c, src/engine/gncBillTerm.h: Bug #651565
	  - Billing term not set properly when using "Clone Invoice/Bill"
	  or "New Invoice/Bill for same owner"

2011-11-07 01:01  jralls

	* [r21529] src/engine/test/utest-Account.c: [Engine Test] Change
	  gdoubles to gfloats gnc_numeric_to_double() produces int32_t,
	  which causes random digits at the tail end of int64_t results,
	  causing the comparison tests to fail.

2011-11-07 00:07  jralls

	* [r21528] src/engine/Account.c, src/engine/test/utest-Account.c:
	  [Engine Test] Fix some compile problems Christian Stimming found
	  in r21525

2011-11-06 20:53  cstim

	* [r21526] src/libqof/qof/qofsession.c,
	  src/libqof/qof/qofsession.h: Remove qof_session_add_book() - a
	  QofSession is used only with one book throughout gnucash.
	  Subsequently, the QofBook pointer in QofSession can be changed
	  from a GList to a QofBook*.

2011-11-05 23:05  jralls

	* [r21525] src/engine/Account.c, src/engine/Account.h,
	  src/engine/AccountP.h, src/engine/test/Makefile.am,
	  src/engine/test/test-engine.c, src/engine/test/utest-Account.c,
	  src/libqof/qof/test/Makefile.am: [Engine Unit Testing] Unit
	  tests for Account.c

2011-11-05 23:04  jralls

	* [r21524] src/engine/Account.c: Fix error in
	  gnc_account_get_descendants_sorted Recursed to the wrong
	  function, which caused sub-accounts to not be sorted.
	* [r21523] src/test-core/Makefile.am, src/test-core/test-stuff.c,
	  src/test-core/test-stuff.h: [Testing] Test facility for
	  QofEvents and improve fatal-handling For use from tests based on
	  glib testing. Create a private structure to compare to and
	  register a handler which tests the event parameters against the
	  private structure and counts the number of valid hits. Provides
	  a test function for checking that the event handler has been hit
	  the requisite number of times. Pass through, rather than
	  testing, logs with a lower (i.e., less important rather than
	  lower-value) loglevel than the one the handler was set up for.
	  Test the log message rather than overwriting the pre-set one
	  with the actual message.
	* [r21522] test-templates/Makefile.decl: [Testing] Add file
	  modeline for emacs

2011-11-05 14:23  mikee

	* [r21521] po/en_GB.po: Add English translation of "Action
	  Column|Deposit" as per note to translators in
	  /src/register/ledger-core/split-register.c:2228.

2011-11-04 13:43  gjanssens

	* [r21518] src/report/standard-reports/register.scm: Bug #639082 -
	  General Journal report reports an error BP

2011-11-03 21:48  cstim

	* [r21517] src/libqof/qof/qofsession-p.h,
	  src/libqof/qof/qofsession.c, src/libqof/qof/qofsession.h: Add
	  is_readonly attribute to QofSession class.

2011-11-03 17:05  mikee

	* [r21516] src/business/business-gnome/gnc-plugin-page-invoice.c:
	  Merge branch 'un_posted_invoice'

2011-10-29 19:39  cstim

	* [r21509] src/gnc/AccountItemModel.cpp,
	  src/gnc/AccountItemModel.hpp,
	  src/gnc/AccountSelectionDelegate.cpp, src/gnc/Cmd.cpp,
	  src/gnc/SplitListModel.cpp, src/gnc/fpo/ViewletModel.cpp,
	  src/gnc/mainwindow.cpp, src/optional/gtkmm/gncmm/Account.cpp,
	  src/optional/gtkmm/gncmm/Account.hpp,
	  src/optional/gtkmm/gncmm/GncInstance.cpp,
	  src/optional/gtkmm/gncmm/GncInstance.hpp,
	  src/optional/gtkmm/gncmm/Numeric.hpp,
	  src/optional/gtkmm/gncmm/Split.cpp,
	  src/optional/gtkmm/gncmm/Split.hpp,
	  src/optional/gtkmm/gncmm/Transaction.cpp,
	  src/optional/gtkmm/gncmm/Transaction.hpp: [glibmm] Unify naming
	  convention of member methods: Always use underscore naming. No
	  more CamelCase in engine C++ wrappers, hopefully.

2011-10-29 07:45  gjanssens

	* [r21508] src/gnome/gnc-plugin-page-register.c: Protect strcmp
	  from crashing on NULL values

2011-10-28 20:50  cstim

	* [r21507] src/optional/python-bindings/Makefile.am: Fix
	  dependency of python module - does not require any C++ header.
	  Somehow Transaction.hpp erroneously appeared here in r19802.

2011-10-28 20:34  cstim

	* [r21506] src/gnc/AccountItemModel.cpp,
	  src/gnc/AccountItemModel.hpp,
	  src/gnc/AccountSelectionDelegate.cpp,
	  src/gnc/AccountSelectionDelegate.hpp, src/gnc/CMakeLists.txt,
	  src/gnc/Cmd.cpp, src/gnc/Cmd.hpp, src/gnc/QofEventWrapper.cpp,
	  src/gnc/RecentFileMenu.cpp, src/gnc/RecentFileMenu.hpp,
	  src/gnc/Session.cpp, src/gnc/Session.hpp,
	  src/gnc/SplitListModel.cpp, src/gnc/SplitListModel.hpp,
	  src/gnc/SplitListView.cpp, src/gnc/SplitListView.hpp,
	  src/gnc/conv.hpp, src/gnc/dashboard.cpp, src/gnc/dashboard.hpp,
	  src/gnc/fpo/FPO.hpp, src/gnc/fpo/ViewletModel.cpp,
	  src/gnc/fpo/ViewletModel.hpp, src/gnc/fpo/ViewletView.cpp,
	  src/gnc/fpo/ViewletView.hpp, src/gnc/mainwindow-file.cpp,
	  src/gnc/mainwindow.cpp, src/gnc/mainwindow.hpp,
	  src/gnc/metatype.hpp: [Cutecash] Fix code to work with glibmm
	  wrappers. Changes: - Use QT_NO_KEYWORDS because the identifier
	  "signal" collides with some glibmm dependency - Use
	  Glib::RefPtr<> of gnucash objects everywhere. - Use
	  Glib::ustring and Glib::Date instead of qt types The
	  WeakPointer.hpp file is still used for gnc::Session, which is
	  not (yet) a GObject.
	* [r21505] src/gnc/Account.hpp, src/gnc/Book.cpp,
	  src/gnc/Book.hpp, src/gnc/CMakeLists.txt, src/gnc/Commodity.hpp,
	  src/gnc/GncInstance.hpp, src/gnc/Numeric.cpp,
	  src/gnc/Numeric.hpp, src/gnc/Split.cpp, src/gnc/Split.hpp,
	  src/gnc/Transaction.cpp, src/gnc/Transaction.hpp,
	  src/gnc/main.cpp: [Cutecash] Remove separate Qt wrappers of
	  engine objects by glibmm wrappers.
	* [r21504] src/optional/gtkmm/gncmm/Account.cpp,
	  src/optional/gtkmm/gncmm/Account.hpp,
	  src/optional/gtkmm/gncmm/Book.cpp,
	  src/optional/gtkmm/gncmm/Book.hpp,
	  src/optional/gtkmm/gncmm/Commodity.hpp,
	  src/optional/gtkmm/gncmm/Numeric.cpp,
	  src/optional/gtkmm/gncmm/Numeric.hpp,
	  src/optional/gtkmm/gncmm/Split.hpp,
	  src/optional/gtkmm/gncmm/Transaction.hpp: [glibmm] Minor updates
	  to the wrappers for cutecash preparation; clarify bool argument
	  of Glib::wrap().

2011-10-28 14:14  gjanssens

	* [r21503] src/business/business-gnome/business-gnome-utils.c,
	  src/business/business-gnome/business-gnome-utils.h: Remove the
	  deprecated optionmenu widget based convenience functions. They
	  are no longer used in the GnuCash code base.

2011-10-28 14:13  gjanssens

	* [r21502] src/business/business-gnome/business-options-gnome.c,
	  src/business/business-gnome/gtkbuilder/Makefile.am,
	  src/business/business-gnome/gtkbuilder/business-options-gnome.glade:
	  Remove option menu dependency from business-options-gnome

2011-10-28 12:27  gjanssens

	* [r21501]
	  src/business/business-gnome/gtkbuilder/dialog-customer.glade:
	  Whitespace cleanup in dialog-customer.glade
	* [r21500] src/business/business-gnome/dialog-vendor.c,
	  src/business/business-gnome/glade/Makefile.am,
	  src/business/business-gnome/glade/vendor.glade,
	  src/business/business-gnome/gtkbuilder/Makefile.am,
	  src/business/business-gnome/gtkbuilder/dialog-vendor.glade:
	  Convert vendor dialog to gtkbuilder

2011-10-28 12:26  gjanssens

	* [r21499] src/engine/Account.c, src/engine/Account.h,
	  src/gnome/gnc-plugin-page-register.c,
	  src/gnome/gtkbuilder/gnc-plugin-page-register.glade: Bug #420342
	  - remember register filter and ordering settings Patch by Robert
	  Fewell
	* [r21498] src/gnome-utils/glade/Makefile.am,
	  src/gnome-utils/glade/exchange-dialog.glade,
	  src/gnome-utils/glade/gnc-gui-query.glade: Remove some unused
	  dialogs as spotted by Robert Fewell in bug #662864
	* [r21497] src/gnome-utils/dialog-query-list.c,
	  src/gnome-utils/dialog-reset-warnings.c: Some small whitespace
	  fixes and comment improvements.
	* [r21496] po/POTFILES.in, src/gnome-utils/dialog-book-close.c,
	  src/gnome-utils/dialog-object-references.c,
	  src/gnome-utils/dialog-query-list.c,
	  src/gnome-utils/dialog-reset-warnings.c,
	  src/gnome-utils/dialog-reset-warnings.h,
	  src/gnome-utils/glade/Makefile.am,
	  src/gnome-utils/glade/dialog-book-close.glade,
	  src/gnome-utils/glade/dialog-object-references.glade,
	  src/gnome-utils/glade/dialog-query-list.glade,
	  src/gnome-utils/glade/dialog-reset-warnings.glade,
	  src/gnome-utils/gnc-main-window.c,
	  src/gnome-utils/gtkbuilder/Makefile.am,
	  src/gnome-utils/gtkbuilder/dialog-book-close.glade,
	  src/gnome-utils/gtkbuilder/dialog-object-references.glade,
	  src/gnome-utils/gtkbuilder/dialog-query-list.glade,
	  src/gnome-utils/gtkbuilder/dialog-reset-warnings.glade: Bug
	  #662864 - Migrate Various dialogs to Builder from GladeXML Patch
	  by Robert Fewell

2011-10-28 03:22  mta

	* [r21495] src/engine/Transaction.c: Avoid double free of capital
	  gains transactions when quitting If an register is open on an
	  account that has capital gains transactions created by the lot
	  scrubber when you quit Gnucash, a capital gains transaction may
	  be freed twice since it is freed when the associated sale is
	  freed and again when it is encountered on the list of
	  transactions to be freed.

2011-10-27 21:08  gjanssens

	* [r21494] po/POTFILES.in,
	  src/business/business-gnome/dialog-customer.c,
	  src/business/business-gnome/glade/Makefile.am,
	  src/business/business-gnome/glade/customer.glade,
	  src/business/business-gnome/gtkbuilder/Makefile.am,
	  src/business/business-gnome/gtkbuilder/dialog-customer.glade:
	  Convert customer dialog to gtkbuilder

2011-10-27 21:07  gjanssens

	* [r21493] src/business/business-gnome/business-gnome-utils.c,
	  src/business/business-gnome/business-gnome-utils.h: Add two more
	  alternatives for the option-menu based dropdowns. And improve
	  the code efficiency a little bit.

2011-10-27 18:33  gjanssens

	* [r21492] configure.ac, po/POTFILES.in,
	  src/business/business-gnome/Makefile.am,
	  src/business/business-gnome/dialog-invoice.c,
	  src/business/business-gnome/glade/Makefile.am,
	  src/business/business-gnome/glade/invoice.glade,
	  src/business/business-gnome/gtkbuilder,
	  src/business/business-gnome/gtkbuilder/Makefile.am,
	  src/business/business-gnome/gtkbuilder/dialog-invoice.glade:
	  Convert invoice.glade to gtkbuilder

2011-10-27 18:32  gjanssens

	* [r21491] src/business/business-gnome/business-gnome-utils.c,
	  src/business/business-gnome/business-gnome-utils.h: Provide an
	  alternative for the option menu based business utility
	  functions. GtkOptionMenu is deprecated. The original functions
	  remain available for now as they are still in use.

2011-10-25 13:26  gjanssens

	* [r21490] src/report/standard-reports/balance-sheet.scm: Bug
	  #658992 - Changing the order of the balance sheet Patch by Mark
	  Haanen

2011-10-24 20:45  gjanssens

	* [r21488] src/gnome/gnucash.desktop.in.in: Bug #662477 - Desktop
	  file not compliant with FreeDesktop spec and GNOME goal Patch by
	  Sébastien Villemot

2011-10-24 20:41  cstim

	* [r21487] src/optional/gtkmm/gncmm/Book.cpp,
	  src/optional/gtkmm/gncmm/Book.hpp,
	  src/optional/gtkmm/test/test-book.cpp: [Gtkmm] Add another
	  predicate for the string_option of GncBook.
	* [r21486] src/gnc/Account.hpp, src/gnc/AccountItemModel.cpp,
	  src/gnc/AccountItemModel.hpp, src/gnc/Numeric.hpp,
	  src/gnc/Split.hpp, src/gnc/fpo/ViewletModel.cpp,
	  src/gnc/fpo/ViewletModel.hpp,
	  src/optional/gtkmm/gncmm/Account.hpp,
	  src/optional/gtkmm/gncmm/Numeric.hpp,
	  src/optional/gtkmm/gncmm/Split.cpp,
	  src/optional/gtkmm/gncmm/Split.hpp,
	  src/optional/gtkmm/gncmm/Transaction.cpp,
	  src/optional/gtkmm/gncmm/Transaction.hpp: [Gtkmm] [Cutecash]
	  Unify the glibmm and Qt C++ wrappers of the engine even more.

2011-10-24 07:59  cstim

	* [r21485] CMakeLists.txt, src/CMakeLists.txt,
	  src/gnc/CMakeLists.txt, src/gnc/main.cpp,
	  src/optional/gtkmm/CMakeLists.txt: [Cutecash] Prepare cutecash
	  for integration of the glibmm wrappers of the engine objects.
	  This would be an excellent test case for those wrappers...
	* [r21484] configure.ac, src/optional/gtkmm/gncmm/wrap_init.cpp,
	  src/optional/gtkmm/gncmod-gtkmm.cpp,
	  src/optional/gtkmm/test/test-gtkmm.cpp: [Gtkmm] For unittests we
	  only need glibmm, not gtkmm.

2011-10-23 20:43  cstim

	* [r21483] src/optional/gtkmm/Makefile.am,
	  src/optional/gtkmm/gncmm/Account.cpp,
	  src/optional/gtkmm/gncmm/Account.hpp,
	  src/optional/gtkmm/gncmm/Book.cpp,
	  src/optional/gtkmm/gncmm/Book.hpp,
	  src/optional/gtkmm/gncmm/Commodity.cpp,
	  src/optional/gtkmm/gncmm/Commodity.hpp,
	  src/optional/gtkmm/gncmm/GncInstance.cpp,
	  src/optional/gtkmm/gncmm/GncInstance.hpp,
	  src/optional/gtkmm/gncmm/Split.cpp,
	  src/optional/gtkmm/gncmm/Split.hpp,
	  src/optional/gtkmm/gncmm/Transaction.cpp,
	  src/optional/gtkmm/gncmm/Transaction.hpp,
	  src/optional/gtkmm/gncmm/private/GncInstance_p.hpp,
	  src/optional/gtkmm/gncmm/wrap_init.cpp: [Gtkmm] Add
	  gnc::GncInstance as wrapper for QofInstance, to be used as a
	  base class for the derived qof classes.

2011-10-22 21:30  cstim

	* [r21482] src/optional/gtkmm/Makefile.am,
	  src/optional/gtkmm/gncmm/Book.cpp,
	  src/optional/gtkmm/gncmm/Book.hpp,
	  src/optional/gtkmm/test/test-book.cpp,
	  src/optional/gtkmm/test/test-gtkmm.cpp: Gtkmm wrappers: Get
	  first test case up and running. The second argument to
	  Glib::wrap was the important one. While at it, I added a few
	  more wrappers to gnc::Book and implemented their unittests.

2011-10-22 20:10  cstim

	* [r21481] src/gnc/Account.hpp, src/gnc/AccountItemModel.cpp,
	  src/gnc/AccountSelectionDelegate.cpp, src/gnc/Book.cpp,
	  src/gnc/Cmd.cpp, src/gnc/Cmd.hpp, src/gnc/Commodity.hpp,
	  src/gnc/GncInstance.hpp, src/gnc/Numeric.cpp,
	  src/gnc/Session.cpp, src/gnc/Session.hpp, src/gnc/Split.cpp,
	  src/gnc/Split.hpp, src/gnc/SplitListModel.cpp,
	  src/gnc/SplitListView.cpp, src/gnc/Transaction.cpp,
	  src/gnc/Transaction.hpp, src/gnc/WeakPointer.hpp,
	  src/gnc/mainwindow-file.cpp, src/gnc/mainwindow.cpp: [Cutecash]
	  Rename get() member to gobj() to increase compatibility to
	  future gtkmm wrappers.

2011-10-22 16:38  gjanssens

	* [r21478] src/engine/gncOwner.c: Rework owner payment code to
	  work with credit notes as well as invoices

2011-10-19 21:14  gjanssens

	* [r21464] src/gnome/gnc-split-reg.h,
	  src/plugins/bi_import/Makefile.am,
	  src/plugins/bi_import/gncmod-bi_import.c: Bug #655901 - Fix
	  build with guile 2.0

2011-10-19 00:02  jralls

	* [r21459] src/gnome-utils/dialog-file-access.c,
	  src/gnome-utils/gnc-file.c, src/libqof/qof/qofsession.c: Handle
	  specifying a directory as a dataset file. The file chooser
	  dialog would return a directory if the user selected one and
	  clicked "Open"; then, or if the users specified a directory on
	  the command line, Gnucash would present the rather misleading
	  error "No backend found". So, first, if the user selects a
	  directory and clicks open, the chooser will now open the
	  directory for browsing, just as if she had double-clicked on the
	  directory name in the tree view. Next, if a directory is
	  presented to qof_session_begin it will detect that and set
	  ERR_BACKEND_BAD_URL, which gnc_post_file_open will detect and
	  re-present the file chooser, open to that directory. (To prevent
	  confusion, gnc_post_file_open will put up the error dialog for
	  BAD_URL; the new file chooser dialog will open after that's
	  dismissed. Since there are other possible causes of a BAD_URL,
	  if the filename isn't a directory the chooser will open to the
	  registered default directory from GConf.) BP

2011-10-18 18:10  gjanssens

	* [r21458] po/POTFILES.in, src/gnome-utils/dialog-file-access.c,
	  src/gnome-utils/dialog-totd.c, src/gnome-utils/dialog-totd.h,
	  src/gnome-utils/glade/Makefile.am,
	  src/gnome-utils/glade/dialog-file-access.glade,
	  src/gnome-utils/glade/totd.glade, src/gnome-utils/gnc-file.c,
	  src/gnome-utils/gtkbuilder/Makefile.am,
	  src/gnome-utils/gtkbuilder/dialog-file-access.glade,
	  src/gnome-utils/gtkbuilder/dialog-totd.glade: Bug #661852 -
	  Migrate Totd and file access dialog from GladeXML to Builder
	  Patch by Robert Fewell
	* [r21457] po/POTFILES.in, src/gnome-utils/dialog-account.c,
	  src/gnome-utils/gnc-tree-view-account.c,
	  src/gnome-utils/gnc-tree-view-owner.c,
	  src/gnome-utils/gtkbuilder/Makefile.am,
	  src/gnome-utils/gtkbuilder/dialog-account.glade,
	  src/gnome-utils/gtkbuilder/gnc-tree-view-owner.glade,
	  src/gnome/gnc-plugin-page-account-tree.c,
	  src/gnome/gtkbuilder/Makefile.am,
	  src/gnome/gtkbuilder/account.glade,
	  src/gnome/gtkbuilder/owner.glade: Bug #661851 - Migrate Account
	  and Owner glade files Patch by Robert Fewell

2011-10-17 20:10  cstim

	* [r21431] configure.ac, src/optional/gtkmm/Makefile.am,
	  src/optional/gtkmm/test, src/optional/gtkmm/test/Makefile.am,
	  src/optional/gtkmm/test/test-book.cpp,
	  src/optional/gtkmm/test/test-gtkmm.cpp: Add first unittest for
	  glibmm C++ wrapper of QofBook. Unfortunately, this reveals the
	  C++ wrappers will only work if the GObject system is used
	  properly, that is, including ref() and unref() and such. This is
	  not what I'd expect throughout gnucash.

2011-10-17 19:07  cstim

	* [r21430] src/backend/dbi/gnc-backend-dbi.c,
	  src/business/business-gnome/dialog-invoice.c,
	  src/engine/Split.c, src/engine/gncInvoice.c,
	  src/gnome-utils/gnc-account-sel.c,
	  src/gnome-utils/gnc-frequency.c,
	  src/gnome-utils/gnc-main-window.c,
	  src/gnome/assistant-acct-period.c,
	  src/gnome/dialog-lot-viewer.c, src/gnome/dialog-sx-from-trans.c,
	  src/gnome/gnc-plugin-page-register.c,
	  src/gnome/gnc-plugin-page-sx-list.c,
	  src/import-export/csv/gnc-csv-import.c,
	  src/plugins/bi_import/bi_import.c,
	  src/report/report-gnome/dialog-report-style-sheet.c,
	  test-templates/test-suite.c, test-templates/testmain.c:
	  Re-indentation of source code. As usual, re-indentation was done
	  using astyle-1.24 using the following options: astyle
	  --indent=spaces=4 --brackets=break --pad-oper --pad-header
	  --suffix=none
	* [r21429] src/gnome-utils/gnc-autosave.c,
	  src/gnome-utils/gnc-file.c, src/gnome-utils/gnc-main-window.c:
	  I18n: Use ngettext for translation string with plural form.

2011-10-16 21:01  gjanssens

	* [r21423] src/engine/Split.c: Bug #626970 - Crash when saving a
	  transaction whose destination account was deleted in the
	  meantime Improved fix BP

2011-10-15 12:04  gjanssens

	* [r21422] src/engine/Split.c: Bug #626970 - Crash when saving a
	  transaction whose destination account was deleted in the
	  meantime BP

2011-10-14 17:45  gjanssens

	* [r21421] src/engine/Account.c, src/engine/Account.h,
	  src/gnome/gnc-plugin-page-register.c,
	  src/gnome/gtkbuilder/gnc-plugin-page-register.glade: Bug #420342
	  - remember register filter and ordering settings

2011-10-14 16:12  gjanssens

	* [r21419] src/gnome-utils/gnc-file.c: Bug #661721 - Exposed
	  Password BP

2011-10-14 14:58  gjanssens

	* [r21418] src/business/business-ledger/gncEntryLedgerLoad.c: Fix
	  summary bar errors on invoices since commit 21411.

2011-10-14 14:57  gjanssens

	* [r21417] src/libqof/qof/qofid.c: Bug #661220 - Critical errors
	  when closing down Gnucash Patch by Robert Fewell

2011-10-12 08:02  mikee

	* [r21416] src/import-export/csv/gnc-csv-import.c: Bug #650482 -
	  Cant resize width of import columns when importing a CSV.

2011-10-10 20:05  gjanssens

	* [r21414] src/gnome-search/dialog-search.c: Bug #651522 - crash
	  in query_free_compiled, gnc_query_list_reset_query BP

2011-10-10 15:31  gjanssens

	* [r21412] src/engine/gncInvoice.c: Assert that the invoice type
	  is never an unknown type.

2011-10-10 12:34  gjanssens

	* [r21411] src/backend/xml/gnc-owner-xml-v2.c,
	  src/backend/xml/gnc-owner-xml-v2.h,
	  src/business/business-gnome/business-gnome-utils.c,
	  src/business/business-gnome/dialog-invoice.c,
	  src/business/business-gnome/dialog-invoice.h,
	  src/business/business-gnome/dialog-payment.c,
	  src/business/business-gnome/dialog-payment.h,
	  src/business/business-ledger/gncEntryLedgerDisplay.c,
	  src/business/business-ledger/gncEntryLedgerLoad.c,
	  src/engine/gncInvoice.c, src/engine/gncInvoice.h,
	  src/engine/gncInvoiceP.h, src/engine/gncOwner.c,
	  src/engine/gncOwner.h: Some const correctness improvements in
	  owner and invoice functions

2011-10-09 21:06  gjanssens

	* [r21408] packaging/win32/dist-impl.sh: Use "Nimbus" gtk theme on
	  Windows. A previous attempt failed to set this in the installer.
	  BP
	* [r21407] src/engine/gncInvoice.c, src/engine/gncInvoice.h:
	  Prepare internal post-to code to handle credit notes At the same
	  time clear up some confusing parameter names
	* [r21406] src/engine/gncInvoice.c: Rename an ambiguous parameter
	  to avoid confusion.
	* [r21405] src/report/business-reports/owner-report.scm: Add link
	  to split in its account register to all payment lines on the
	  owner report.
	* [r21404] src/business/business-gnome/dialog-invoice.c,
	  src/engine/gncInvoice.c, src/engine/gncInvoice.h: Prepare
	  invoice search to handle both invoices and credit notes

2011-10-09 21:05  jralls

	* [r21403] checks/Makefile.am, checks/quicken_check_21.chk: [Bug
	  644977] Add new Quicken Check 21 format Thanks to Steve Holland
	  <sholland@napervillegi.com> BP

2011-10-08 20:30  cstim

	* [r21401] src/business/business-gnome/dialog-payment.c,
	  src/business/business-gnome/dialog-payment.h,
	  src/business/business-gnome/gnc-plugin-business.c: Let the
	  "assign payment" feature choose customer or vendor payment,
	  depending on whether the amount is positive or negative.

2011-10-08 19:19  mikee

	* [r21400] src/import-export/csv/gnc-csv-import.c: Bug #660875 -
	  Make columns have minumum width in import dialog.

2011-10-08 19:14  jralls

	* [r21398] configure.ac, src/bin/Makefile.am,
	  src/core-utils/Makefile.am, src/core-utils/binreloc.c,
	  src/gnome-utils/Makefile.am, src/gnome-utils/gnc-main-window.c,
	  src/gnome/Makefile.am: Update Mac customizations for
	  gtk-mac-integration-1.0.0 Mac integration has had a name and api
	  change from ige-mac-integration as part of migration from
	  Sourceforge to Gnome. Also,
	  gtk_osxapplication_add_app_menu_item() has been replaced with
	  gtk_osxapplication_insert_menu_item(),
	  gtk_osxapplication_add_app_menu_group() has been removed (just
	  insert a separator where you want it), and gtk_osxapplication
	  path functions had been deprecated in favor of
	  quartz-application equivalents; those deprecated convenience
	  macros were removed in 1.0.0 BP

2011-10-08 17:00  gjanssens

	* [r21397] po/POTFILES.in: Update POTFILES.in after last commit

2011-10-08 16:59  gjanssens

	* [r21396] po/POTFILES.in, src/gnome-utils/gtkbuilder/Makefile.am,
	  src/gnome-utils/gtkbuilder/dialog-userpass.glade,
	  src/gnome/dialog-new-user.c, src/gnome/dialog-progress.c,
	  src/gnome/glade/Makefile.am, src/gnome/glade/newuser.glade,
	  src/gnome/glade/progress.glade, src/gnome/glade/userpass.glade,
	  src/gnome/gtkbuilder/Makefile.am,
	  src/gnome/gtkbuilder/dialog-new-user.glade,
	  src/gnome/gtkbuilder/dialog-progress.glade,
	  src/gnome/gtkbuilder/newuser.glade,
	  src/gnome/gtkbuilder/progress.glade,
	  src/gnome/gtkbuilder/userpass.glade: Bug #661218 - Migrate New
	  user, progress and user pass dialogs to Builder from GladeXML
	  Patch by Robert Fewell
	* [r21395] src/engine/gncInvoice.c, src/engine/gncInvoice.h:
	  Introduce credit_note flag in invoice object
	* [r21394] src/business/business-gnome/dialog-invoice.c: Use
	  GncInvoiceType in query for bills due reminder At the same time,
	  prepare for credit notes.
	* [r21393] src/business/business-gnome/dialog-invoice.c,
	  src/engine/gncInvoice.c, src/engine/gncInvoice.h: Introduce
	  GncInvoiceType enum and start using it instead of the char based
	  Invoice Type. This also puts a first structure in place to add
	  credit notes later on.

2011-10-08 13:33  gjanssens

	* [r21392] src/gnome/assistant-hierarchy.c,
	  src/gnome/gtkbuilder/assistant-hierarchy.glade: Small
	  improvements to the hierarchy assistant: * Set a default height
	  to the assistant so it gets rid of one of the scroll bars and
	  make the currency drop down larger to show all text. * Also make
	  the assistant window stay on top as when it is started from the
	  new user dialog, the main save window used to hide the assistant
	  window and could confuse the user Patch by Robert Fewell

2011-10-08 09:20  cstim

	* [r21390] src/business/business-gnome/dialog-payment.c: Try to
	  get rid of CRIT trace messages by checking for owner validity
	  first.
	* [r21389] src/business/business-gnome/dialog-payment.c: Fix
	  failed assertion if there is no A/R or A/P account involved.

2011-10-08 09:19  cstim

	* [r21388] src/engine/gncOwner.h: Documentation improvement of
	  GncOwner functions.

2011-10-08 08:46  cstim

	* [r21387] src/business/business-gnome/Makefile.am: Win32: Add
	  missing linking of libgncmod-business-gnome against libgnc-gnome
	  which is needed since r21383.

2011-10-07 21:50  cstim

	* [r21383] src/business/business-gnome/gnc-plugin-business.c,
	  src/business/business-gnome/ui/gnc-plugin-business-ui.xml: Add
	  right-click menu item "Assign payment" to assign a transaction
	  as a payment. Feature request as described on
	  https://gnucash.uservoice.com/forums/101223-feature-request/suggestions/1536285-reassociate-already-existing-transactions-with-a-b?ref=title

2011-10-07 21:49  cstim

	* [r21382] src/business/business-gnome/dialog-payment.c,
	  src/business/business-gnome/dialog-payment.h: Extend "Process
	  Payment" dialog so that it accepts an existing transaction as
	  well, and marks this as payment.

2011-10-07 12:21  gjanssens

	* [r21381] src/gnome-utils/dialog-utils.c,
	  src/gnome-utils/gnc-gnome-utils.c: Add more debugging info in an
	  effort to find the cause of bug #510720

2011-10-07 10:16  gjanssens

	* [r21379] src/business/business-gnome/dialog-invoice.c: Bug
	  #553432 - Status line of edit invoice page mixes invoice
	  currency amount with default currency symbol BP

2011-10-07 10:00  cstim

	* [r21378] packaging/win32/dist-impl.sh: Win32 build: Make sure to
	  distribute all of gwenhywfar's share directory. In newer
	  gwenhywfar versions there are more sub-directories here which
	  are required for the online banking setup GUI.

2011-10-06 20:19  gjanssens

	* [r21376] src/business/business-gnome/dialog-invoice.c: Bug
	  #365928 - Jobs do not stick in Expense Vouchers

2011-10-04 23:37  jralls

	* [r21373] src/bin/Makefile.am: Add gnucash-setup-env-osx.in to
	  EXTRA_DIST so that it will be in the tarball. BP

2011-10-03 19:17  gjanssens

	* [r21372] po/POTFILES.in, src/report/report-gnome/Makefile.am,
	  src/report/report-gnome/custom-report-dialog.glade,
	  src/report/report-gnome/dialog-column-view.c,
	  src/report/report-gnome/dialog-column-view.h,
	  src/report/report-gnome/dialog-custom-report.c,
	  src/report/report-gnome/dialog-custom-report.glade,
	  src/report/report-gnome/dialog-report-column-view.c,
	  src/report/report-gnome/dialog-report-column-view.h,
	  src/report/report-gnome/dialog-report-style-sheet.c,
	  src/report/report-gnome/dialog-report-style-sheet.h,
	  src/report/report-gnome/dialog-report.glade,
	  src/report/report-gnome/dialog-style-sheet.c,
	  src/report/report-gnome/dialog-style-sheet.h,
	  src/report/report-gnome/report-gnome.i,
	  src/report/report-gnome/report.glade,
	  src/report/stylesheets/gnc-plugin-stylesheets.c: Bug #660369 -
	  Migrate Report dialogs to Builder from GladeXML Patch by Robert
	  Fewell with minor tweaks

2011-10-03 18:15  gjanssens

	* [r21371] src/gnome-utils/gtkbuilder, src/gnome/gtkbuilder,
	  src/python, src/python/pycons, src/report/jqplot: Ignore some
	  autogenerated files

2011-10-03 16:52  gjanssens

	* [r21369] packaging/win32/defaults.sh,
	  packaging/win32/install-impl.sh: Bug 651645 - Windows SVN trunk
	  nightly builds fails to open compressed xml files

2011-09-30 18:48  cstim

	* [r21368] src/business/business-gnome/dialog-invoice.c,
	  src/business/business-gnome/dialog-invoice.h,
	  src/business/business-gnome/gnc-plugin-page-invoice.c: Need to
	  rename enum symbols to not conflict with those from
	  gnc-split-reg.h.

2011-09-30 18:47  cstim

	* [r21367] src/engine/gncOwner.c, src/engine/gncOwner.h: Refactor
	  gncOwnerApplyPayment() so that the second part is available as
	  separate function gncOwnerAssignPaymentTxn().
	* [r21366] src/engine/gncOwner.c, src/engine/gncOwner.h: Add some
	  const where applicable.

2011-09-29 14:22  cstim

	* [r21365] src/gnome/assistant-acct-period.c: I18n: Use ngettext
	  for translation string with plural form.

2011-09-29 11:00  gjanssens

	* [r21364] src/optional/python-bindings/tests/test_business.py:
	  Added test for Employee name (uses GncOwner*Name). Patch by
	  Hendrik van Antwerpen <hendrik@van-antwerpen.net>
	* [r21363] src/base-typemaps.i,
	  src/optional/python-bindings/gnucash_business.py,
	  src/optional/python-bindings/gnucash_core.i,
	  src/optional/python-bindings/tests/Makefile.am,
	  src/optional/python-bindings/tests/runTests.py,
	  src/optional/python-bindings/tests/test_book.py,
	  src/optional/python-bindings/tests/test_business.py,
	  src/optional/python-bindings/tests/test_split.py,
	  src/optional/python-bindings/tests/test_transaction.py:
	  Completed mapping for owner types and added tests. Patch by
	  Hendrik van Antwerpen <hendrik@van-antwerpen.net> * Include
	  gncOwner later, to use typemap. * Add gncOwner functions to
	  GnuCashBusinessEntity. * Removed Owner, since it's basically
	  GnuCashBusinessEntity. * Included test for some business
	  classes. * Added currency to tests to reduce complaining.
	* [r21362] src/base-typemaps.i,
	  src/optional/python-bindings/gnucash_business.py: Added bindings
	  for Employee, Job and Owner types. Patch by Hendrik van
	  Antwerpen <hendrik@van-antwerpen.net>

2011-09-29 10:06  cstim

	* [r21361] packaging/win32/defaults.sh: Win32 build: Update
	  version numbers of aqbanking, gwenhywfar, ktoblzcheck.

2011-09-28 13:29  gjanssens

	* [r21359] src/base-typemaps.i: Added gncVendor and gncCustomer to
	  base-typemap.i. Patch by Hendrik van Antwerpen
	  <hendrik@van-antwerpen.net>

2011-09-28 13:00  gjanssens

	* [r21358] po/POTFILES.in, src/gnome/glade/Makefile.am,
	  src/gnome/glade/reconcile.glade, src/gnome/glade/register.glade,
	  src/gnome/gnc-plugin-page-register.c,
	  src/gnome/gnc-plugin-page-register.h,
	  src/gnome/gtkbuilder/Makefile.am,
	  src/gnome/gtkbuilder/gnc-plugin-page-register.glade,
	  src/gnome/gtkbuilder/reconcile.glade,
	  src/gnome/gtkbuilder/register.glade,
	  src/gnome/gtkbuilder/window-reconcile.glade,
	  src/gnome/window-reconcile.c,
	  src/register/ledger-core/dialog-dup-trans.c: Bug #659504 -
	  Migrate Register and reconcile from GladeXML to Builder Patch by
	  Robert Fewel Note: this patch is limited to the conversion of
	  widgets found in the libglade files. Both the Register and the
	  Reconcile features still depend on deprecated Gtk/Gnome widgets
	  (like GtkCList), which are added programmatically. Eventually
	  these widgets still have to be replaced with supported
	  alternatives.

2011-09-22 21:06  mta

	* [r21303] src/app-utils/test/Makefile.am: Don't include
	  core-utils/gnc-gconf-utils.c in the source file list. It's
	  already part of one of the libraries the tests are linked with.

2011-09-22 21:04  mta

	* [r21302] src/app-utils/Makefile.am: The build fails if python
	  bindings are requested and parallel build is on. The make file
	  knows how to build libgncmod-app-utils.la but doesn't realize
	  that ${top_builddir}/src/app-utils/libgncmod-app-utils.la is the
	  same file.

2011-09-22 21:02  mta

	* [r21301] macros/ac_python_devel.m4: Find the python libraries
	  and includes even if the path to them includes a symlink. When
	  python is installed using MacPorts there is a symlink in the
	  path.

2011-09-22 20:14  cstim

	* [r21300] src/optional/gtkmm/Makefile.am,
	  src/optional/gtkmm/gncmm/Book.hpp,
	  src/optional/gtkmm/gncmm/Commodity.hpp,
	  src/optional/gtkmm/gncmm/GncInstance.hpp,
	  src/optional/gtkmm/gncmm/Numeric.hpp,
	  src/optional/gtkmm/gncmm/Split.cpp,
	  src/optional/gtkmm/gncmm/Split.hpp,
	  src/optional/gtkmm/gncmm/Transaction.cpp,
	  src/optional/gtkmm/gncmm/Transaction.hpp,
	  src/optional/gtkmm/gncmm/private/Split_p.hpp,
	  src/optional/gtkmm/gncmm/private/Transaction_p.hpp,
	  src/optional/gtkmm/gncmm/wrap_init.cpp: Glibmm: Add the final
	  important engine objects as glibmm wrappers.

2011-09-22 10:50  cstim

	* [r21294] src/optional/gtkmm/Makefile.am,
	  src/optional/gtkmm/gncmm/Account.hpp,
	  src/optional/gtkmm/gncmm/GncInstance.hpp: Glibmm: Add the common
	  QofInstance methods by using an additional base class. Not yet
	  complete, but at least compiles fine.
	* [r21293] src/optional/gtkmm/Makefile.am,
	  src/optional/gtkmm/gncmm, src/optional/gtkmm/gncmm/Account.cpp,
	  src/optional/gtkmm/gncmm/Account.hpp,
	  src/optional/gtkmm/gncmm/Book.cpp,
	  src/optional/gtkmm/gncmm/Book.hpp,
	  src/optional/gtkmm/gncmm/Commodity.cpp,
	  src/optional/gtkmm/gncmm/Commodity.hpp,
	  src/optional/gtkmm/gncmm/Numeric.cpp,
	  src/optional/gtkmm/gncmm/Numeric.hpp,
	  src/optional/gtkmm/gncmm/private,
	  src/optional/gtkmm/gncmm/private/Account_p.hpp,
	  src/optional/gtkmm/gncmm/private/Book_p.hpp,
	  src/optional/gtkmm/gncmm/private/Commodity_p.hpp,
	  src/optional/gtkmm/gncmm/wrap_init.cpp,
	  src/optional/gtkmm/gncmm/wrap_init.hpp,
	  src/optional/gtkmm/gncmod-gtkmm.cpp: Add Glibmm C++ wrappers of
	  GObject objects to the optional gtkmm module.

2011-09-18 17:57  jralls

	* [r21270] src/backend/dbi/gnc-backend-dbi.c: Make sure that
	  exiting conn_test_dbi_library on a failure doesn't leave the
	  locale at "C". BP
	* [r21269] src/backend/dbi/gnc-backend-dbi-priv.h,
	  src/backend/dbi/gnc-backend-dbi.c, src/gnome-utils/gnc-file.c,
	  src/libqof/qof/qofbackend.h: [Bug #645216] Wrong permissions on
	  server result in bogus error message Author: John W. O'Brien
	  <john@saltant.com> In gnc-backend-dbi.c, accept enumerated
	  result from conn_test_dbi_library(), then throw
	  ERR_SQL_DBI_UNTESTABLE if the test setup failed, or
	  ERR_SQL_BAD_DBI if at least one test case failed. Define
	  ERR_SQL_DBI_UNTESTABLE error code and message. Define
	  GncDbiTestResult enumerated type. BP

2011-09-18 17:28  gjanssens

	* [r21268] src/gnome-utils/dialog-transfer.c: Bug #612562 -
	  Transfer Funds dialog - 'Show Income/Expense' checkboxes are not
	  working Subaccounts of income and expense are not always shown.
	  BP

2011-09-17 17:40  gjanssens

	* [r21267] src/gnome-utils/gnc-frequency.c: Bug #657596 - Migrate
	  Scheduled Transactions from GladeXML to Builder Add destroy
	  object for GncFrequency Patch by Robert Fewell

2011-09-17 17:20  gjanssens

	* [r21266] src/plugins/bi_import/README: Business import: add a
	  note about the quoting differences

2011-09-17 17:19  gjanssens

	* [r21265] src/plugins/bi_import/bi_import.c,
	  src/plugins/bi_import/bi_import.h,
	  src/plugins/bi_import/glade/bi_import.glade,
	  src/plugins/bi_import/gui.c: Opening new bills / invoices made
	  configurable from UI. Patch by Rafał Krzewski
	* [r21264] src/plugins/bi_import/glade/bi_import.glade: Tweaked
	  alignment of import type radio button group for better
	  consistency and dialog resize behavior. Patch by Rafał Krzewski

2011-09-17 16:50  gjanssens

	* [r21263] src/plugins/bi_import/gui.c: Normalized regexps. Non
	  quoted regexp require complete match (no trailing garbage
	  allowed). Default regexp was brought in sync with GUI option 1
	  (selected by default). Now a complete set of fields (possibly
	  empty) on each line is required.
	* [r21262] src/plugins/bi_import/bi_import.c,
	  src/plugins/bi_import/gui.c: Improved regexps for CSV files with
	  quotes - quotes are allowed but not required on all fields.

2011-09-14 12:29  gjanssens

	* [r21257] src/business/business-gnome/dialog-invoice.c: Change
	  default post date: * customer invoices: post at the current date
	  * bills/vouchers: post at the last date on the bill/voucher BP

2011-09-13 18:49  cstim

	* [r21256] src/gnc/fpo/ViewletModel.cpp: Bug #658851: [Cutecash]
	  Sort the dashboard from latest to earliest.

2011-09-11 14:54  gjanssens

	* [r21255] src/optional/python-bindings/Makefile.am,
	  src/optional/python-bindings/example_scripts/Invoice.tex,
	  src/optional/python-bindings/example_scripts/latex_invoices.py:
	  Bug #651175 - Script to export invoices to LaTeX Patch by
	  Christoph Holtermann

2011-09-11 14:32  gjanssens

	* [r21254] AUTHORS: The previous seven patches were by Rafał
	  Krzewski. Adding his coordinates to the AUTHORS file for proper
	  attribution.

2011-09-11 14:24  gjanssens

	* [r21253] src/plugins/bi_import/bi_import.c: minor formating fix
	* [r21252] src/plugins/bi_import/gui.c: Changed 3rd import regexp
	  to actually accept quotes on all fields, and 4rd to accept
	  commas and quotes, as advertised in the UI.
	* [r21251] src/plugins/bi_import/bi_import.c: Open invoice in a
	  new tab only if it has not been posted yet.
	* [r21250] src/plugins/bi_import/bi_import.c: Check correct field
	  when testing if date_opened was set for a document.
	* [r21249] src/plugins/bi_import/bi_import.c: Inverted conditions
	  for gnc_search_bill_on_id / gnc_search_invoice_on_id.
	  g_ascii_strcasecmp returns 0 when arguments are equal.
	* [r21248] src/plugins/bi_import/bi_import.c,
	  src/plugins/bi_import/bi_import.h, src/plugins/bi_import/gui.c:
	  Pass document type to gnc_bi_import_fix_bis function and use it
	  to perform correct document owner check: vendor for bill,
	  customer for invoice.

2011-09-11 14:23  gjanssens

	* [r21247] src/plugins/bi_import/bi_import.c,
	  src/plugins/bi_import/gui.c: Use billing_id consistently (fixed
	  billing_id/billingid/biing_id mixup)

2011-09-11 13:44  gjanssens

	* [r21245] src/report/business-reports/taxinvoice.eguile.scm: Bug
	  #658244 - Custom css stylesheet and logo in Tax Invoice report
	  require protocol in exported HTML BP

2011-09-11 10:58  gjanssens

	* [r21244] src/gnome-utils/gnc-ui.h: Bug #655901 - Fix build with
	  guile 2.0, part 2 BP
	* [r21243] po/POTFILES.in, src/gnome-utils/gnc-frequency.c,
	  src/gnome-utils/gnc-frequency.h,
	  src/gnome-utils/gtkbuilder/Makefile.am,
	  src/gnome-utils/gtkbuilder/gnc-frequency.glade,
	  src/gnome/dialog-sx-editor.c, src/gnome/dialog-sx-editor.h,
	  src/gnome/dialog-sx-from-trans.c,
	  src/gnome/dialog-sx-from-trans.h,
	  src/gnome/dialog-sx-since-last-run.c,
	  src/gnome/dialog-sx-since-last-run.h,
	  src/gnome/glade/sched-xact.glade,
	  src/gnome/gnc-plugin-page-sx-list.c,
	  src/gnome/gnc-plugin-page-sx-list.h,
	  src/gnome/gtkbuilder/Makefile.am,
	  src/gnome/gtkbuilder/dialog-sx.glade,
	  src/gnome/gtkbuilder/sched-xact.glade: Bug #657596 - Migrate
	  Scheduled Transactions from GladeXML to Builder Patch by Robert
	  Fewell

2011-09-07 18:03  cstim

	* [r21241] src/gnc/CMakeLists.txt, src/gnc/Numeric.hpp,
	  src/gnc/RecentFileMenu.cpp, src/gnc/RecentFileMenu.hpp,
	  src/gnc/dashboard.cpp, src/gnc/dashboard.hpp,
	  src/gnc/dashboard.ui, src/gnc/fpo, src/gnc/fpo/FPO.cpp,
	  src/gnc/fpo/FPO.hpp, src/gnc/fpo/ViewletModel.cpp,
	  src/gnc/fpo/ViewletModel.hpp, src/gnc/fpo/ViewletView.cpp,
	  src/gnc/fpo/ViewletView.hpp, src/gnc/main.cpp,
	  src/gnc/mainwindow-file.cpp, src/gnc/mainwindow.cpp,
	  src/gnc/mainwindow.hpp, src/gnc/mainwindow.ui, src/gnc/qss,
	  src/gnc/qss/default.qss, src/gnc/stylesheets.qrc: GSoC Cutecash
	  project by Nitish Dodagatta (last half) Summary of the project
	  by the GSoC student, copied from
	  http://wiki.gnucash.org/wiki/GSoC2011#Student_Summaries : A new
	  user interface for Gnucash core using Qt/C++ was started by one
	  of the Gnucash developers in 2010. [1] The idea is to create a
	  lightweight user friendly UI, reusing the backend core API of
	  Gnucash. During the project, I created a widget to allow a user
	  to add two split transaction to/from different accounts. After
	  that I worked on adding an overview widget showing a list of
	  recent transactions entered. It consists of two report views
	  containing income and expense. This view also called as First
	  Person Overview provides an easy to browse list of transactions.
	  The idea is to integrate common handy features with these views.
	  The present view lists four entries for each transaction: date
	  of the transaction, transaction description, split account name
	  and split amount. Each of the entries are inside their own
	  QWidget, so as to allow interactive features to be coded on each
	  of the entries. The already existing code had some C++ wrappers
	  to convert the return values of C functions to Qt data types. I
	  made use of them whenever possible. And at some parts of the
	  code I used the C functions directly where it made things easier
	  for me. The FPO consists of one or more viewlets. A viewlet is
	  nothing but a list of transactions, a slightly minified version
	  of General Journal, to easily browse transactions sorted by
	  date. The viewlet generator function works such that there is no
	  date entry or account name entry, if it is the same as the
	  previous (above) one. This information is then used by
	  ViewletView to generate the UI part. To make the views visually
	  appealing and readable, QStyleSheets are used which
	  distinguishes the various types of entries in the viewlet.
	  Overall, it was a rewarding experience, I learned a lot of new
	  things, common pitfalls, handy tips and tricks, and a better
	  understanding of the Gnucash core API . The project was observed
	  only by myself and my mentor. During the course I also generated
	  windows builds for two of my friends who were interested to have
	  a look at the features implemented. I received positive feedback
	  from them and couple of feature requests from them. Working on
	  this project within GSoC was a rewarding experience. I thank my
	  mentor Christian Stimming for guiding me along and giving very
	  helpful advices and hints during the summer. I definitely would
	  like to continue contributing to Gnucash community in future.
	  [1] http://wiki.gnucash.org/wiki/Cutecash
	* [r21240] src/gnc/CMakeLists.txt, src/gnc/dashboard.cpp,
	  src/gnc/dashboard.hpp, src/gnc/dashboard.ui,
	  src/gnc/fallback-icons.qrc, src/gnc/icons, src/gnc/icons/oxygen,
	  src/gnc/icons/oxygen/48x48, src/gnc/icons/oxygen/48x48/actions,
	  src/gnc/icons/oxygen/48x48/actions/document-new.png,
	  src/gnc/icons/oxygen/48x48/actions/document-open.png,
	  src/gnc/icons/oxygen/48x48/actions/document-save-as.png,
	  src/gnc/icons/oxygen/48x48/actions/document-save.png,
	  src/gnc/icons/oxygen/48x48/actions/edit-copy.png,
	  src/gnc/icons/oxygen/48x48/actions/edit-cut.png,
	  src/gnc/icons/oxygen/48x48/actions/edit-paste.png,
	  src/gnc/icons/oxygen/48x48/actions/edit-redo.png,
	  src/gnc/icons/oxygen/48x48/actions/edit-undo.png,
	  src/gnc/icons/oxygen/48x48/actions/help-about.png,
	  src/gnc/icons/oxygen/48x48/actions/list-add.png,
	  src/gnc/icons/oxygen/48x48/actions/tab-close-other.png,
	  src/gnc/icons/oxygen/48x48/actions/window-close.png,
	  src/gnc/icons/oxygen/index.theme, src/gnc/mainwindow.cpp,
	  src/gnc/mainwindow.hpp, src/gnc/mainwindow.ui: GSoC Cutecash
	  project by Nitish Dodagatta (first half) - Use system icons,
	  fallback icon theme included - Prototype of unified transaction
	  entry widget

2011-09-06 07:21  mta

	* [r21239] src/engine/test-core/test-engine-stuff.c: Use the
	  correct #define for the number of account types instead of
	  assuming that ACCT_TYPE_CREDITLINE is the last one.

2011-09-01 06:51  cstim

	* [r21233] src/html/gnc-html-graph-gog-webkit.c,
	  src/html/gnc-html-webkit.c: (cppcheck) Fix several memory leaks
	* [r21232] src/gnome-utils/gnc-tree-model-account.c,
	  src/gnome-utils/gnc-tree-model-owner.c,
	  src/gnome-utils/gnc-tree-view.c: (cppcheck) Fix mismatching
	  allocation and deallocation

2011-09-01 06:50  cstim

	* [r21231] src/gnome-utils/gnc-main-window.c: (cppcheck) Fix a
	  possible memory leak: data
	* [r21230] src/gnome-utils/dialog-commodity.c: (cppcheck) Fix
	  mismatching allocation and deallocation: namespace
	* [r21229] src/engine/Split.c, src/engine/gncInvoice.c,
	  src/engine/gncOrder.c: (cppcheck) Remove several redundant null
	  checks

2011-08-27 11:21  gjanssens

	* [r21223] src/backend/dbi/gnc-backend-dbi.c,
	  src/backend/xml/gnc-backend-xml.c: Add some warnings to help
	  tracing file loading issues

2011-08-25 21:38  jralls

	* [r21221] src/app-utils/gnc-sx-instance-model.c,
	  src/backend/xml/gnc-backend-xml.c,
	  src/backend/xml/io-gncxml-v2.c, src/engine/Account.c,
	  src/gnome-search/dialog-search.c,
	  src/gnome-search/gnc-general-search.c,
	  src/gnome-search/gnc-general-search.h,
	  src/gnome-utils/gnc-commodity-edit.c,
	  src/gnome-utils/gnc-commodity-edit.h,
	  src/gnome-utils/gnc-currency-edit.c,
	  src/gnome-utils/gnc-currency-edit.h,
	  src/gnome-utils/gnc-date-edit.c,
	  src/gnome-utils/gnc-general-select.c,
	  src/gnome-utils/gnc-general-select.h, src/libqof/qof/gnc-date.c,
	  src/libqof/qof/qofinstance.c,
	  src/register/register-gnome/combocell-gnome.c,
	  src/register/register-gnome/gnucash-color.c,
	  src/register/register-gnome/gnucash-cursor.c,
	  src/register/register-gnome/gnucash-cursor.h,
	  src/register/register-gnome/gnucash-grid.c,
	  src/register/register-gnome/gnucash-grid.h,
	  src/register/register-gnome/gnucash-header.c,
	  src/register/register-gnome/gnucash-header.h,
	  src/register/register-gnome/gnucash-item-edit.c,
	  src/register/register-gnome/gnucash-item-edit.h,
	  src/register/register-gnome/gnucash-item-list.c,
	  src/register/register-gnome/gnucash-item-list.h,
	  src/register/register-gnome/gnucash-sheet.c,
	  src/register/register-gnome/gnucash-sheet.h,
	  src/register/register-gnome/gnucash-style.c,
	  src/register/register-gnome/gnucash-style.h,
	  src/register/register-gnome/quickfillcell-gnome.c,
	  src/register/register-gnome/table-gnome.c: Delete the
	  often-conflicting and occasionally unsafe Gnucash local
	  variables which have leaked in over the years. Emacs users
	  should add the following to their .emacs files: (c-add-style
	  "gnucash" '("k&r" (c-basic-offset . 4) (c-offsets-alist .
	  ((case-label . +)) ) (c-hanging-braces-alist .
	  ((substatement-open before after) (block-close before after)) )
	  )) Users with Emacs version 23 and later can add this as well:
	  (dir-locals-set-class-variables 'gnucash-project
	  '((indent-tabs-mode . nil) (fill-column . 80) (c-mode .
	  ((c-file-style . "gnucash"))) (c++-mode . ((c-file-style .
	  "gnucash"))))) (dir-locals-set-directory-class
	  "/path/to/gnucash-svn" 'gnucash-project) Users with earlier
	  versions should at least add (setq indent-tabs-mode nil) and
	  should consider adding (c-default-style ('((c-mode .
	  "gnucash"))))

2011-08-25 07:57  cstim

	* [r21218] src/app-utils/CMakeLists.txt, src/gnc/Numeric.hpp:
	  Include refactored ui related balance functions.

2011-08-24 20:56  gjanssens

	* [r21217] src/gnome-utils/gnc-account-sel.c: When posting an
	  invoice it warns of no post-to account selected. This bug was
	  introduced by the patch of bug #653109

2011-08-23 21:20  gjanssens

	* [r21216] po/POTFILES.in, src/app-utils/Makefile.am,
	  src/app-utils/gnc-ui-balances.c,
	  src/app-utils/gnc-ui-balances.h, src/app-utils/gnc-ui-util.c,
	  src/app-utils/gnc-ui-util.h,
	  src/gnome-utils/gnc-tree-model-account.c,
	  src/gnome-utils/gnc-tree-model-owner.c,
	  src/gnome-utils/gnc-tree-view-account.c,
	  src/gnome-utils/gnc-tree-view-owner.c,
	  src/gnome/window-reconcile.c: Move ui related balance
	  calculation functions to separate file
	* [r21215] src/base-typemaps.i, src/bin/overrides/Makefile.am,
	  src/bin/overrides/gnucash-env.in,
	  src/optional/python-bindings/gnucash_business.py,
	  src/optional/python-bindings/gnucash_core.i,
	  src/optional/python-bindings/gnucash_core.py: Add qof queries to
	  python bindings and set PYTHON_PATH in gnucash-env Patch by
	  Hendrik van Antwerpen

2011-08-23 12:01  gjanssens

	* [r21214] contrib/xslt/acctlist.xsl, contrib/xslt/gnc2xea.xsl:
	  contrib: add license information for style sheets
	* [r21213] contrib/README, contrib/xslt/README: contrib:
	  update/add README files for style sheets
	* [r21212] contrib/xslt/gnc2xea.xsl: contrib: add a style sheet to
	  create an account hierarchy template from a GnuCash file Add an
	  XSLT style sheet that takes an existing (uncompressed) GnuCash
	  file and creates an account hierarchy template from it. Takes
	  parameters for the account hierarchy name, short, and long
	  description.

2011-08-23 12:00  gjanssens

	* [r21211] contrib/xslt, contrib/xslt/acctlist.xsl: contrib: add
	  an XSLT style sheet to create an account list Add a simple XSLT
	  style sheet that takes an (uncompressed) GnuCash file or
	  template, and generates a comma-separated list of account
	  numbers, names, and types.

2011-08-23 08:26  gjanssens

	* [r21210] src/gnome/dialog-lot-viewer.c,
	  src/gnome/gtkbuilder/dialog-lot-viewer.glade: Bug #656786 -
	  Allow splits to be added to/removed from lots in lotviewer

2011-08-22 23:45  jralls

	* [r21209] src/gnome-utils/gnc-main-window.c: Fix tab-indent in
	  gnc-main-window.c, reverting r21207

2011-08-22 18:19  jralls

	* [r21208] src/engine/Account.c, src/engine/Account.h,
	  src/gnome/assistant-hierarchy.c: [Decruftification] Combine
	  xaccCloneAccountSimple and xaccCloneAccountCommon into a single
	  xaccCloneAccount Since removing the qofinstance-gemini
	  xaccCloneAccount means that the only user of
	  xaccCloneAccountCommon is xaccCloneAccountSimple, which adds
	  only one line beyond calling xaccCloneAccountCommon, combine
	  them into a single function, called xaccCloneAccount (no need to
	  make it simple since it's the only one.)

2011-08-22 18:18  jralls

	* [r21207] src/gnome-utils/gnc-main-window.c: Missed a free in
	  main_window_update_page_name

2011-08-22 07:12  cstim

	* [r21206] src/engine/CMakeLists.txt: Remove Period.[hc] file also
	  from cmake files.

2011-08-22 07:10  cstim

	* [r21205] src/app-utils/file-utils.c, src/app-utils/gfec.c,
	  src/app-utils/gnc-ui-util.c, src/app-utils/gnc-ui-util.h,
	  src/app-utils/guile-util.c, src/app-utils/option-util.c,
	  src/app-utils/test/test-scm-query-string.c,
	  src/backend/dbi/gnc-backend-dbi.c,
	  src/business/business-gnome/gnc-plugin-business.c,
	  src/business/business-gnome/gnc-plugin-page-owner-tree.c,
	  src/engine/Account.h, src/engine/gncOwner.c,
	  src/gnc-module/gnc-module.c, src/gnome-search/dialog-search.c,
	  src/gnome-utils/assistant-utils.c,
	  src/gnome-utils/assistant-utils.h,
	  src/gnome-utils/dialog-account.c,
	  src/gnome-utils/dialog-commodity.c,
	  src/gnome-utils/dialog-options.c,
	  src/gnome-utils/dialog-transfer.c,
	  src/gnome-utils/dialog-utils.c,
	  src/gnome-utils/gnc-account-sel.c,
	  src/gnome-utils/gnc-amount-edit.h,
	  src/gnome-utils/gnc-date-format.c,
	  src/gnome-utils/gnc-dense-cal.c,
	  src/gnome-utils/gnc-main-window.c,
	  src/gnome-utils/gnc-menu-extensions.c,
	  src/gnome-utils/gnc-recurrence.c,
	  src/gnome-utils/gnc-tree-model-owner.c,
	  src/gnome-utils/gnc-tree-view-account.c,
	  src/gnome-utils/gnc-tree-view-owner.c,
	  src/gnome-utils/gnc-tree-view-owner.h,
	  src/gnome-utils/window-main-summarybar.c,
	  src/gnome/assistant-acct-period.c,
	  src/gnome/assistant-hierarchy.c, src/gnome/assistant-loan.c,
	  src/gnome/assistant-stock-split.c,
	  src/gnome/dialog-lot-viewer.c, src/gnome/dialog-price-editor.c,
	  src/gnome/dialog-print-check.c, src/gnome/dialog-tax-info.c,
	  src/gnome/gnc-plugin-page-budget.c,
	  src/gnome/window-autoclear.c,
	  src/import-export/aqbanking/gnc-ab-utils.c,
	  src/import-export/aqbanking/gnc-file-aqb-import.c,
	  src/import-export/import-backend.c,
	  src/import-export/qif-import/dialog-account-picker.c,
	  src/import-export/qif-import/druid-qif-import.c,
	  src/libqof/qof/qofobject.c,
	  src/libqof/qof/test/test-kvp_frame.c,
	  src/libqof/qof/test/test-qofbook.c,
	  src/libqof/qof/test/test-qofinstance.c,
	  src/libqof/qof/test/test-qofobject.c,
	  src/python/gncmod-python.c,
	  src/register/register-gnome/gnucash-sheet.c,
	  src/report/report-gnome/dialog-column-view.c,
	  src/report/report-gnome/dialog-custom-report.c,
	  src/report/report-gnome/dialog-style-sheet.c,
	  src/report/report-gnome/gnc-plugin-page-report.c,
	  src/report/report-gnome/window-report.c,
	  src/report/report-system/gnc-report.c,
	  src/test-core/test-stuff.c, src/test-core/test-stuff.h:
	  Re-indentation of source code. As usual, re-indentation was done
	  using astyle-1.24 using the following options: astyle
	  --indent=spaces=4 --brackets=break --pad-oper --pad-header
	  --suffix=none

2011-08-22 03:58  jralls

	* [r21204] src/gnome-utils/gnc-main-window.c: Missed a free in
	  main_window_update_page_name
	* [r21203] src/engine/Account.c, src/engine/Account.h,
	  src/engine/gncAddress.c, src/engine/gncAddressP.h,
	  src/engine/gncBillTerm.c, src/engine/gncBillTermP.h,
	  src/engine/gncCustomer.c, src/engine/gncCustomerP.h,
	  src/engine/gncEmployee.c, src/engine/gncEmployeeP.h,
	  src/engine/gncEntry.c, src/engine/gncEntryP.h,
	  src/engine/gncInvoice.c, src/engine/gncInvoiceP.h,
	  src/engine/gncJob.c, src/engine/gncJobP.h,
	  src/engine/gncOrder.c, src/engine/gncOrderP.h,
	  src/engine/gncOwner.c, src/engine/gncOwnerP.h,
	  src/engine/gncTaxTable.c, src/engine/gncTaxTableP.h,
	  src/engine/gncVendor.c, src/engine/gncVendorP.h,
	  src/libqof/qof/qofinstance.c, src/libqof/qof/qofinstance.h,
	  src/libqof/qof/test/test-qofinstance.c: Delete
	  qofinstance_gemini and all related functions; they were left
	  over from the clone-the-book-when-closing code abandoned in 2005

2011-08-21 19:42  cstim

	* [r21202] src/gnome-utils/gnc-main-window.c: (cppcheck) fix two
	  possible memory leaks Patch by Aurimas Fišeras.
	* [r21201] src/experimental/cgi-bin/fastcgi-hello.c: (cppcheck)
	  Fix "error: Memory leak: bufp" Patch by Aurimas Fišeras.
	* [r21200] src/engine/test-core/test-engine-stuff.c: (cppcheck)
	  Fix a possible memory leak Patch by Aurimas Fišeras.
	* [r21199] src/engine/SX-book.c: (cppcheck) Remove redundant null
	  check Patch by Aurimas Fišeras.
	* [r21198] src/backend/xml/io-example-account.c: (cppcheck) Fix
	  "error: Memory leak: gea" Patch by Aurimas Fišeras.
	* [r21197] src/app-utils/gfec.c: (cppcheck) Fix "error: Memory
	  leak: msg" Patch by Aurimas Fišeras.

2011-08-21 19:41  cstim

	* [r21196] src/app-utils/option-util.c: (cppcheck) Fix "error:
	  Mismatching allocation and deallocation: symbol" Patch by
	  Aurimas Fišeras.

2011-08-20 13:29  gjanssens

	* [r21195] po/POTFILES.in, src/gnome-utils/gnc-recurrence.c,
	  src/gnome-utils/gtkbuilder/Makefile.am,
	  src/gnome-utils/gtkbuilder/gnc-recurrence.glade,
	  src/gnome/glade/Makefile.am, src/gnome/glade/budget.glade,
	  src/gnome/gnc-plugin-budget.h,
	  src/gnome/gnc-plugin-page-budget.c,
	  src/gnome/gtkbuilder/Makefile.am,
	  src/gnome/gtkbuilder/budget.glade,
	  src/gnome/gtkbuilder/gnc-plugin-page-budget.glade: Bug #656752 -
	  Migrate Budgets from GladeXML to Builder Patch by Robert Fewell

2011-08-20 03:45  jralls

	* [r21194] po/POTFILES.in, src/engine/Makefile.am,
	  src/engine/Period.c, src/engine/Period.h,
	  src/engine/test/Makefile.am, src/engine/test/test-period.c,
	  src/gnome/assistant-acct-period.c: Delete unused Period.c and
	  ifdeffed-away call to it
	* [r21193] src/libqof/qof/kvp_frame.c, src/libqof/qof/kvp_frame.h,
	  src/libqof/qof/test/test-kvp_frame.c: Remove unused functions
	  from kvp_frame

2011-08-20 03:44  jralls

	* [r21192] src/libqof/qof/qofinstance.c,
	  src/libqof/qof/qofinstance.h,
	  src/libqof/qof/test/test-qofinstance.c: Delete unused functions
	  from qofinstance.c
	* [r21191] src/libqof/qof/qofbook.c, src/libqof/qof/qofbook.h:
	  Delete unused functions from qofbook.c
	* [r21190] src/engine/test/Makefile.am,
	  src/engine/test/test-recursive.c, src/libqof/qof/qofsession.c,
	  src/libqof/qof/qofsession.h: Delete unused QofInstance copy
	  functions from qofsession.c

2011-08-17 10:54  gjanssens

	* [r21186] src/app-utils/gnc-ui-util.c: Owner balances: flip sign
	  Now a positive balance means, amount still due, a negative
	  balance means overpayment. This aligns with other uses of
	  balances like in the "Bills Due Reminder" dialog
	* [r21185] src/engine/gncOwner.c, src/engine/gncOwner.h,
	  src/gnome-utils/gnc-tree-model-owner.c: Fix crash in invoice
	  payment introduced in commit 21181

2011-08-13 15:33  gjanssens

	* [r21182] src/app-utils/gnc-ui-util.c,
	  src/app-utils/gnc-ui-util.h, src/engine/gncOwner.c,
	  src/engine/gncOwner.h, src/gnome-utils/gnc-tree-model-owner.c,
	  src/gnome-utils/gnc-tree-model-owner.h,
	  src/gnome-utils/gnc-tree-view-owner.c: Implement a balance for
	  owners and show it on the owners view page The Balance column is
	  not visible by default, but can be activated with the blue arrow
	  in the top-right of the page.
	* [r21181] src/business/business-gnome/business-gnome-utils.c,
	  src/business/business-gnome/business-gnome-utils.h,
	  src/business/business-gnome/dialog-invoice.c,
	  src/business/business-gnome/dialog-payment.c,
	  src/engine/gncInvoice.c, src/engine/gncInvoice.h,
	  src/engine/gncOwner.c, src/engine/gncOwner.h: Move some
	  functions to better locations - two functions in
	  business-gnome-utils weren't gui related functions - invoice
	  payment should be in gncOwner as already stated in the sourcefile
	* [r21180] src/app-utils/gnc-ui-util.c, src/engine/Account.h:
	  Spelling corrections in comments
	* [r21179] src/gnome/gnc-plugin-page-register.c: Fix critical
	  error This patch fixes a critical error regarding the color tabs
	  when trying to display the search results and also on the
	  scheduled transactions template. Patch by Robert Fewell BP

2011-08-13 15:32  gjanssens

	* [r21178] po/POTFILES.in, src/gnome-search/Makefile.am,
	  src/gnome-search/dialog-search.c,
	  src/gnome-search/dialog-search.glade,
	  src/gnome-search/search.glade: Bug #656422 Migrate Search from
	  GladeXML to Builder Patch by Robert Fewell

2011-08-11 20:35  gjanssens

	* [r21166] src/business/business-gnome/dialog-payment.c: Bug
	  #542020 invoice/bill payment dialogue: automatic account as
	  default
	* [r21165] src/doc/lots.txt, src/engine/gnc-lot-p.h,
	  src/engine/gnc-lot.c, src/engine/gnc-lot.h: Spelling and comment
	  improvements
	* [r21164] src/gnome/dialog-lot-viewer.c: Restructure file to make
	  it easier to read

2011-08-11 20:26  gjanssens

	* [r21163] po/POTFILES.in: Update POTFILES.in based the last few
	  commits
	* [r21162] src/gnome-utils/dialog-commodity.c,
	  src/gnome-utils/dialog-transfer.c,
	  src/gnome-utils/gtkbuilder/Makefile.am,
	  src/gnome-utils/gtkbuilder/commodity.glade,
	  src/gnome-utils/gtkbuilder/dialog-commodity.glade,
	  src/gnome-utils/gtkbuilder/dialog-transfer.glade,
	  src/gnome-utils/gtkbuilder/transfer.glade: Rename gnome-utils
	  gtkbuilder files to match the source file they are called from
	  Patch by Robert Fewell

2011-08-11 20:25  gjanssens

	* [r21161] src/gnome/dialog-commodities.c,
	  src/gnome/dialog-fincalc.c, src/gnome/dialog-price-edit-db.c,
	  src/gnome/dialog-price-editor.c,
	  src/gnome/gtkbuilder/Makefile.am,
	  src/gnome/gtkbuilder/autoclear.glade,
	  src/gnome/gtkbuilder/commodities.glade,
	  src/gnome/gtkbuilder/dialog-commodities.glade,
	  src/gnome/gtkbuilder/dialog-fincalc.glade,
	  src/gnome/gtkbuilder/dialog-price.glade,
	  src/gnome/gtkbuilder/fincalc.glade,
	  src/gnome/gtkbuilder/price.glade,
	  src/gnome/gtkbuilder/window-autoclear.glade,
	  src/gnome/window-autoclear.c: Rename gnome gtkbuilder files to
	  match the source file they are called from Patch by Robert Fewell
	* [r21160] src/gnome-utils/glade/Makefile.am,
	  src/gnome-utils/glade/gnc-date-format.glade,
	  src/gnome-utils/gnc-date-format.c,
	  src/gnome-utils/gtkbuilder/Makefile.am,
	  src/gnome-utils/gtkbuilder/gnc-date-format.glade,
	  src/gnome/dialog-print-check.c, src/gnome/glade/Makefile.am,
	  src/gnome/glade/print.glade, src/gnome/gtkbuilder/Makefile.am,
	  src/gnome/gtkbuilder/dialog-print-check.glade,
	  src/gnome/gtkbuilder/print.glade: Bug #656174 Migrate Cheque /
	  date from GladeXML to Builder Patch by Robert Fewell

2011-08-11 08:32  cmarchi

	* [r21156] src/bin/gnucash-bin.c: Last stable release is GnuCash
	  2.4.7.

2011-08-10 21:10  gjanssens

	* [r21148] po/POTFILES.in,
	  src/business/business-gnome/gnc-plugin-page-owner-tree.c,
	  src/engine/gnc-lot.c, src/gnome/Makefile.am,
	  src/gnome/dialog-lot-viewer.c, src/gnome/dialog-lot-viewer.h,
	  src/gnome/gnc-plugin-page-account-tree.c,
	  src/gnome/gnc-plugin-page-register.c,
	  src/gnome/gtkbuilder/Makefile.am,
	  src/gnome/gtkbuilder/dialog-lot-viewer.glade,
	  src/gnome/gtkbuilder/lots.glade, src/gnome/lot-viewer.c,
	  src/gnome/lot-viewer.h: Rename lot viewer related files to be
	  more in line with other dialogs
	* [r21147] po/POTFILES.in, src/gnome/glade/Makefile.am,
	  src/gnome/glade/lots.glade, src/gnome/gtkbuilder/lots.glade,
	  src/gnome/lot-viewer.c: Convert lot viewer GUI to gtkbuilder
	  format
	* [r21146] src/gnome/glade/lots.glade, src/gnome/lot-viewer.c:
	  Remove deprecated clist.

2011-08-10 15:17  cmarchi

	* [r21144] src/gnome/assistant-acct-period.c: Fix another typo.

2011-08-10 14:42  cmarchi

	* [r21143] src/gnome/gtkbuilder/assistant-loan.glade: Fix a typo.

2011-08-10 08:25  gjanssens

	* [r21142] po/POTFILES.in: Update POTFILES.in after recent glade
	  to gtkbuilder conversions

2011-08-08 14:31  gjanssens

	* [r21130] src/libqof/qof/gnc-numeric.c: Add note for qofmath128.c
	  include in the source file itself

2011-08-08 07:00  cstim

	* [r21128] src/engine/Account.h: Minor documentation
	  clarifications.

2011-08-08 06:59  cstim

	* [r21127] src/libqof/qof/Makefile.am,
	  src/libqof/qof/gnc-numeric.c: Revert r21121, "Fix a weird
	  include", and improve documentation of that. Note: The
	  qofmath128 functions are used mostly here and almost nowhere
	  else. Hence, we inline the C code directly into here so that the
	  compiler can potentially inline the code as-is and speed up the
	  gnc-numeric.c functions.

2011-08-07 21:30  jralls

	* [r21126] src/libqof/qof/qofobject.c,
	  src/libqof/qof/test/Makefile.am, src/libqof/qof/test/test-qof.c,
	  src/libqof/qof/test/test-qofobject.c: [GSOC 2011 Unit Testing]
	  Test QofObject. Author: Muslim Chochlov

2011-08-07 09:15  gjanssens

	* [r21121] src/libqof/qof/Makefile.am,
	  src/libqof/qof/gnc-numeric.c: Fix a weird include
	* [r21120] src/gnome-utils/dialog-commodity.c,
	  src/gnome-utils/glade/Makefile.am,
	  src/gnome-utils/glade/commodity.glade,
	  src/gnome-utils/gtkbuilder/Makefile.am,
	  src/gnome-utils/gtkbuilder/commodity.glade,
	  src/gnome/dialog-price-edit-db.c,
	  src/gnome/dialog-price-editor.c, src/gnome/glade/Makefile.am,
	  src/gnome/glade/price.glade, src/gnome/gtkbuilder/price.glade:
	  Bug #655518 Migrate Price / Securities from GladeXML to Builder
	  Patch by Robert Fewell

2011-08-07 09:14  gjanssens

	* [r21119] src/gnome/assistant-acct-period.c,
	  src/gnome/assistant-hierarchy.c,
	  src/gnome/assistant-stock-split.c,
	  src/gnome/gtkbuilder/Makefile.am,
	  src/gnome/gtkbuilder/account.glade,
	  src/gnome/gtkbuilder/acctperiod.glade,
	  src/gnome/gtkbuilder/assistant-acct-period.glade,
	  src/gnome/gtkbuilder/assistant-hierarchy.glade,
	  src/gnome/gtkbuilder/assistant-stock-split.glade,
	  src/gnome/gtkbuilder/stocks.glade: Use separate glade file per
	  assistant Patch by Bob
	* [r21118] src/gnome-utils/gnc-account-sel.c,
	  src/gnome/Makefile.am, src/gnome/assistant-loan.c,
	  src/gnome/assistant-loan.h, src/gnome/druid-loan.c,
	  src/gnome/druid-loan.h, src/gnome/glade/sched-xact.glade,
	  src/gnome/gnc-plugin-basic-commands.c,
	  src/gnome/gtkbuilder/Makefile.am,
	  src/gnome/gtkbuilder/assistant-loan.glade,
	  src/gnome/gtkbuilder/sched-xact.glade: Bug #653109 Change Loan
	  Druid to an Assistant Patch by Bob
	* [r21117]
	  src/business/business-gnome/gnc-plugin-page-owner-tree.c: Add
	  missing include file

2011-08-04 09:41  gjanssens

	* [r21108] src/guile-mappings.h,
	  src/plugins/bi_import/Makefile.am: Bug #655901 - Fix build with
	  guile 2.0 Patch by Petr Gajdos BP

2011-07-18 12:00  jralls

	* [r20939] src/test-core/test-stuff.c: Testing: Fix compile error
	  introduced in r20928

2011-07-17 21:22  jralls

	* [r20938] src/test-core/test-stuff.h: Testing: Fixed
	  test_reset_called() return type Author: Muslim Chochlov

2011-07-17 21:21  jralls

	* [r20937] src/libqof/qof/kvp_frame.c,
	  src/libqof/qof/test/Makefile.am,
	  src/libqof/qof/test/test-kvp_frame.c,
	  src/libqof/qof/test/test-qof.c: [GSOC 2011 Unit Testing] Test
	  KVPFrame. Author: Muslim Chochlov

2011-07-17 17:35  jralls

	* [r20936] src/engine/Recurrence.c, src/engine/Scrub.c,
	  src/engine/TransLog.c, src/engine/Transaction.c,
	  src/engine/engine-helpers.c, src/engine/glib-helpers.c,
	  src/engine/gncOwner.c, src/engine/kvp-scm.c: Formatting Fixes
	  with astyle --indent=spaces=4 --brackets=break --pad-oper
	  --pad-header --suffix=none
	* [r20935] src/engine/Account.c: [Engine Test] Fix parameter setup
	  error detected with unit test.

2011-07-14 17:06  jralls

	* [r20928] src/test-core/test-stuff.c, src/test-core/test-stuff.h:
	  Testing: Add some convenience functions to make it easier to
	  test callbacks and to intercept and ignore or test expected
	  error log messages. Much lifted from Muslim's test-qofbook.c
	* [r20927] src/test-core/test-stuff.h: Testing: Fix an error in
	  the GNC_TEST_ADD macro that ate user data for the fixture.

2011-07-13 22:10  micha

	* [r20926] po/fr.po: Fix french translation error: 'Case
	  Insensitive?' -> 'Ignorer la casse?' This was reported some time
	  ago in a Debian bug http://bugs.debian.org/549479 BP --Cette
	  ligne, et les suivantes ci-dessous, seront ignorées-- M po/fr.po

2011-07-10 02:02  alex.aycinena

	* [r20886] src/gnome/dialog-tax-info.c: Correct memory leak found
	  with Valgrind.

2011-07-08 10:08  gjanssens

	* [r20850] po/POTFILES.in: Remove local-only file frop POTFILES.in
	  This wasn't meant to be added

2011-07-01 05:33  jralls

	* [r20811] src/libqof/qof/test/test-qofinstance.c: [GSOC2011 Unit
	  Testing] Unit tests for QofInstance. Author: Muslim Chochlov

2011-07-01 04:56  jralls

	* [r20810] src/libqof/qof/test/test-qofinstance.c: Revert
	  "[GSOC2011 Unit Testing] Unit tests for QofInstance: Incomplete
	  changeset." This reverts commit
	  c7b6b45e9e97f210d2bb145ef2e355f1c660d35f.

2011-07-01 03:50  alex.aycinena

	* [r20809] src/gnome/dialog-tax-info.c: Reverse changeset 20663;
	  wrong place to correct memory leak found with Valgrind.

2011-06-30 17:06  jralls

	* [r20808] src/libqof/qof/test/test-qofbook.c: [GSOC2011 Unit
	  Testing] Fix memory error by not trying to test pointers in
	  deallocated objects. Author: Muslim Chochlov
	* [r20807] src/libqof/qof/test/test-qofinstance.c: [GSOC2011 Unit
	  Testing] Unit tests for QofInstance. Author: Muslim Chochlov

2011-06-27 18:12  jralls

	* [r20804] src/gnome-utils/gnc-main-window.c: Bug #653056: Fix
	  menu accelerators not working, crash on save-while-quitting. BP

2011-06-27 08:02  cstim

	* [r20803] src/engine/Account.h: Clarify documentation of
	  gnc_account_get_children() vs. xaccAccountGetSplitList().

2011-06-27 07:23  cstim

	* [r20802] src/gnc/mainwindow.hpp: [Cutecash] Add predicate of
	  whether a file is open.

2011-06-25 14:31  gjanssens

	* [r20800] src/business/business-ledger/gncEntryLedger.c: Bug
	  #646541 - new invoice line items default to invoice open date
	  instead of current date This commit partially reverts the
	  changes in r19134 so that customer invoices and employee
	  vouchers default to the current date. Vendor bills still default
	  to the invoice open date. BP

2011-06-23 14:33  gjanssens

	* [r20798] src/html/gnc-html-history.c: Fix report reload and
	  options change that got broken by the previous commit. BP

2011-06-23 09:37  gjanssens

	* [r20796] src/html/gnc-html.c: Force custom url handlers to
	  lowercase to deal with Webkit 1.4's case sensitivity. For more
	  details, consult this Fedora bugreport:
	  https://bugzilla.redhat.com/show_bug.cgi?id=712268 BP

2011-06-21 12:18  gjanssens

	* [r20792] src/gnome-utils/gnc-file.c: Bug #652257 - Memory leak
	  in gnc-file.c Patch by Tim M BP

2011-06-21 09:51  gjanssens

	* [r20786] src/report/business-reports/fancy-invoice.scm: Bug
	  #652435 - Fancy invoice export has <generic> tags in it
	  preventing html validation Patch by Bert Claesen BP
	* [r20785] src/report/report-system/html-document.scm,
	  src/report/report-system/html-table.scm,
	  src/report/report-system/html-text.scm: Bug #652377 - XHTML 1.0
	  Transitional compliance for reports Patch by Tim M BP
	* [r20784] src/report/standard-reports/advanced-portfolio.scm: Bug
	  #632931 - Advanced Portfolio: new income column shows negative
	  amount Patch by Sebastien Alborini BP
	* [r20783] src/gnome-utils/dialog-transfer.c,
	  src/gnome-utils/dialog-transfer.h,
	  src/register/ledger-core/split-register-control.c: Bug #651889 -
	  Using trading accounts, new non-expanded trading transaction
	  shows inverted rates in exchange dialog When using trading
	  accounts, the exchange rate dialog has a slightly different
	  behavior. This patch fixes the behavior for transactions that
	  are created in-line and are not expanded (single-line). It does
	  not affect the expanded transactions or transactions created in
	  the new transaction dialog. Patch by Mathieu De Zutter BP

2011-06-21 09:50  gjanssens

	* [r20782] src/report/business-reports/fancy-invoice.scm: Bug
	  #651992 - Exported invoices do not render correctly in Firefox
	  Patch by Bert Claesen BP

2011-06-20 21:34  gjanssens

	* [r20781] src/gnome/gtkbuilder/fincalc.glade: Remove unused dialog
	* [r20780] src/gnome/dialog-fincalc.c,
	  src/gnome/glade/Makefile.am, src/gnome/glade/fincalc.glade,
	  src/gnome/gtkbuilder/fincalc.glade: Convert loan repayment
	  calculator to gtkbuilder format
	* [r20779] src/gnome/gtkbuilder/account.glade: Account Hierarchy
	  assistant: correct page type
	* [r20778] src/gnome/dialog-commodities.c,
	  src/gnome/glade/Makefile.am, src/gnome/glade/commodities.glade:
	  Convert commodities dialog to gtkbuilder format

2011-06-20 18:55  cstim

	* [r20777] src/gnc/mainwindow.cpp: [Cutecash] Set QCoreApplication
	  properties used by QSettings in a single place, constructor.
	  Patch by Nitish Dodagatta.

2011-06-19 22:06  gjanssens

	* [r20776]
	  src/business/business-gnome/gnc-plugin-page-owner-tree.c,
	  src/business/business-gnome/ui/gnc-plugin-page-owner-tree-ui.xml:
	  Owner overview: use consistent action names

2011-06-19 21:31  gjanssens

	* [r20775]
	  src/business/business-gnome/gnc-plugin-page-owner-tree.c,
	  src/business/business-gnome/ui/gnc-plugin-page-owner-tree-ui.xml:
	  Owner Tree: add menu to open owner report
	  (Vendor/Customer/Employee) And some small tweaks to the owner
	  listing report
	* [r20774] src/report/business-reports/owner-report.scm: Owner
	  report: add link to edit options in case of error
	* [r20773] src/report/business-reports/owner-report.scm:
	  Whitespace cleanup
	* [r20772] src/report/report-system/html-utilities.scm,
	  src/report/report-system/report-system.scm: Factor out some
	  common report code

2011-06-18 23:20  jralls

	* [r20769] src/libqof/qof/test/test-qofbook.c: Unit test QofBook
	* [r20768] src/libqof/qof/test/Makefile.am,
	  src/test-core/test-stuff.h: Add unit test utility macros

2011-06-18 15:18  gjanssens

	* [r20767] src/gnome/glade/Makefile.am,
	  src/gnome/glade/autoclear.glade,
	  src/gnome/gtkbuilder/autoclear.glade,
	  src/gnome/window-autoclear.c: Convert Autoclear dialog to
	  gtkbuilder with some additional code cleanups

2011-06-18 12:59  gjanssens

	* [r20766]
	  src/business/business-gnome/gnc-plugin-page-owner-tree.c,
	  src/business/business-gnome/ui/gnc-plugin-page-owner-tree-ui.xml,
	  src/report/business-reports/aging.scm,
	  src/report/business-reports/business-reports.scm,
	  src/report/business-reports/payables.scm,
	  src/report/business-reports/receivables.scm: Owner Tree: add
	  vendor/customer listing buttons/menu items These are shortcuts
	  to the payable/receivable aging reports with slightly different
	  default presets.
	* [r20765]
	  src/business/business-gnome/gnc-plugin-page-owner-tree.c,
	  src/gnome-utils/gnc-tree-view-owner.c,
	  src/gnome-utils/gnc-tree-view-owner.h: Owner tree: define better
	  set of default visible columns

2011-06-16 16:21  gjanssens

	* [r20764]
	  src/business/business-gnome/gnc-plugin-page-owner-tree.c: Owner
	  page: double click now opens edit window, name no longer
	  editable in place. Regarding the latter, changing names is
	  rarely done, so it only leads to confusion if the name field
	  changes to editable by accidentally clicking twice on it.

2011-06-16 00:11  alex.aycinena

	* [r20763] src/import-export/qif-import/druid-qif-import.c:
	  Correct memory handling of scm_to_locale_string per guile manual

2011-06-15 16:31  gjanssens

	* [r20761] configure.ac, src/gnome-utils/Makefile.am,
	  src/gnome-utils/dialog-transfer.c,
	  src/gnome-utils/glade/Makefile.am,
	  src/gnome-utils/glade/transfer.glade,
	  src/gnome-utils/gtkbuilder,
	  src/gnome-utils/gtkbuilder/Makefile.am,
	  src/gnome-utils/gtkbuilder/transfer.glade: Convert transfer
	  dialog to gtkbuilder format

2011-06-15 16:30  gjanssens

	* [r20760] src/gnome-utils/dialog-transfer.c: Bug #612562 -
	  Transfer Funds dialog - 'Show Income/Expense' checkboxes are not
	  working BP

2011-06-13 04:42  alex.aycinena

	* [r20758] src/import-export/qif-import/dialog-account-picker.c:
	  Correct memory handling of scm_to_locale_string per guile manual

2011-06-13 03:49  alex.aycinena

	* [r20757] src/app-utils/gfec.c: Correct memory handling of
	  scm_to_locale_string per guile manual

2011-06-13 03:11  alex.aycinena

	* [r20756] src/app-utils/file-utils.c: Correct memory handling of
	  scm_to_locale_string per guile manual

2011-06-13 01:05  alex.aycinena

	* [r20755] src/engine/glib-helpers.c: Correct memory handling of
	  scm_to_locale_string per guile manual

2011-06-12 19:54  cstim

	* [r20754] packaging/win32/defaults.sh: [Win32 build] Update
	  aqbanking versino to 5.0.10

2011-06-12 19:29  cstim

	* [r20753] src/libqof/qof/gnc-numeric.h: Add some more doxygen
	  comments for gnc_numeric.

2011-06-11 19:26  cstim

	* [r20752] packaging/win32/defaults.sh: [win32 build] Update
	  gwenhywfar version.

2011-06-11 10:56  gjanssens

	* [r20750] packaging/win32/install-impl.sh: Windows build: change
	  default gtk theme to work around a number of problems in the
	  Ms-Windows theme we used before. Particularly, this prevents the
	  crash caused by bug #614636 and fixes the black notebook tabs
	  that appeared after Phil upgraded webkit and many related gnome
	  dependencies. The new default theme is "Nimbus" following a
	  suggestion by Kim Wood on the mailing list. BP

2011-06-10 13:31  gjanssens

	* [r20746] src/gnome-utils/gnc-dense-cal.c: Bug #652193 - Upcoming
	  Scheduled Transactions Calendar Starting Month Error Patch by
	  Rich

2011-06-10 12:46  gjanssens

	* [r20745] accounts/cs/acctchrt_brokerage.gnucash-xea,
	  accounts/cs/acctchrt_carloan.gnucash-xea,
	  accounts/cs/acctchrt_cdmoneymkt.gnucash-xea,
	  accounts/cs/acctchrt_childcare.gnucash-xea,
	  accounts/cs/acctchrt_common.gnucash-xea,
	  accounts/cs/acctchrt_currency.gnucash-xea,
	  accounts/cs/acctchrt_eduloan.gnucash-xea,
	  accounts/cs/acctchrt_fixedassets.gnucash-xea,
	  accounts/cs/acctchrt_homeloan.gnucash-xea,
	  accounts/cs/acctchrt_homeown.gnucash-xea,
	  accounts/cs/acctchrt_otherloan.gnucash-xea,
	  accounts/cs/acctchrt_renter.gnucash-xea,
	  accounts/cs/acctchrt_retiremt.gnucash-xea,
	  accounts/cs/acctchrt_spouseinc.gnucash-xea,
	  accounts/cs/acctchrt_spouseretire.gnucash-xea,
	  accounts/da/acctchrt_car.gnucash-xea,
	  accounts/da/acctchrt_common.gnucash-xea,
	  accounts/da/acctchrt_homeloan.gnucash-xea,
	  accounts/da/acctchrt_homeown.gnucash-xea,
	  accounts/es_ES/acctchrt_brokerage.gnucash-xea,
	  accounts/es_ES/acctchrt_carloan.gnucash-xea,
	  accounts/es_ES/acctchrt_cdmoneymkt.gnucash-xea,
	  accounts/es_ES/acctchrt_childcare.gnucash-xea,
	  accounts/es_ES/acctchrt_common.gnucash-xea,
	  accounts/es_ES/acctchrt_currency.gnucash-xea,
	  accounts/es_ES/acctchrt_eduloan.gnucash-xea,
	  accounts/es_ES/acctchrt_fixedassets.gnucash-xea,
	  accounts/es_ES/acctchrt_homeloan.gnucash-xea,
	  accounts/es_ES/acctchrt_homeown.gnucash-xea,
	  accounts/es_ES/acctchrt_otherloan.gnucash-xea,
	  accounts/es_ES/acctchrt_renter.gnucash-xea,
	  accounts/es_ES/acctchrt_retiremt.gnucash-xea,
	  accounts/es_ES/acctchrt_spouseinc.gnucash-xea,
	  accounts/es_ES/acctchrt_spouseretire.gnucash-xea,
	  accounts/es_MX/acctchrt_brokerage.gnucash-xea,
	  accounts/es_MX/acctchrt_carloan.gnucash-xea,
	  accounts/es_MX/acctchrt_cdmoneymkt.gnucash-xea,
	  accounts/es_MX/acctchrt_childcare.gnucash-xea,
	  accounts/es_MX/acctchrt_common.gnucash-xea,
	  accounts/es_MX/acctchrt_currency.gnucash-xea,
	  accounts/es_MX/acctchrt_eduloan.gnucash-xea,
	  accounts/es_MX/acctchrt_fixedassets.gnucash-xea,
	  accounts/es_MX/acctchrt_homeloan.gnucash-xea,
	  accounts/es_MX/acctchrt_homeown.gnucash-xea,
	  accounts/es_MX/acctchrt_otherloan.gnucash-xea,
	  accounts/es_MX/acctchrt_renter.gnucash-xea,
	  accounts/es_MX/acctchrt_retiremt.gnucash-xea,
	  accounts/es_MX/acctchrt_spouseinc.gnucash-xea,
	  accounts/es_MX/acctchrt_spouseretire.gnucash-xea,
	  accounts/fr_CH/acctchrt_brokerage.gnucash-xea,
	  accounts/fr_CH/acctchrt_carloan.gnucash-xea,
	  accounts/fr_CH/acctchrt_cdmoneymkt.gnucash-xea,
	  accounts/fr_CH/acctchrt_childcare.gnucash-xea,
	  accounts/fr_CH/acctchrt_common.gnucash-xea,
	  accounts/fr_CH/acctchrt_currency.gnucash-xea,
	  accounts/fr_CH/acctchrt_eduloan.gnucash-xea,
	  accounts/fr_CH/acctchrt_fixedassets.gnucash-xea,
	  accounts/fr_CH/acctchrt_homeloan.gnucash-xea,
	  accounts/fr_CH/acctchrt_homeown.gnucash-xea,
	  accounts/fr_CH/acctchrt_otherloan.gnucash-xea,
	  accounts/fr_CH/acctchrt_renter.gnucash-xea,
	  accounts/fr_CH/acctchrt_retiremt.gnucash-xea,
	  accounts/fr_CH/acctchrt_spouseinc.gnucash-xea,
	  accounts/fr_CH/acctchrt_spouseretire.gnucash-xea,
	  accounts/fr_FR/acctchrt_brokerage.gnucash-xea,
	  accounts/fr_FR/acctchrt_carloan.gnucash-xea,
	  accounts/fr_FR/acctchrt_cdmoneymkt.gnucash-xea,
	  accounts/fr_FR/acctchrt_childcare.gnucash-xea,
	  accounts/fr_FR/acctchrt_common.gnucash-xea,
	  accounts/fr_FR/acctchrt_currency.gnucash-xea,
	  accounts/fr_FR/acctchrt_eduloan.gnucash-xea,
	  accounts/fr_FR/acctchrt_fixedassets.gnucash-xea,
	  accounts/fr_FR/acctchrt_homeloan.gnucash-xea,
	  accounts/fr_FR/acctchrt_homeown.gnucash-xea,
	  accounts/fr_FR/acctchrt_otherloan.gnucash-xea,
	  accounts/fr_FR/acctchrt_renter.gnucash-xea,
	  accounts/fr_FR/acctchrt_retiremt.gnucash-xea,
	  accounts/fr_FR/acctchrt_spouseinc.gnucash-xea,
	  accounts/fr_FR/acctchrt_spouseretire.gnucash-xea,
	  accounts/pt_BR/acctchrt_brokerage.gnucash-xea,
	  accounts/pt_BR/acctchrt_carloan.gnucash-xea,
	  accounts/pt_BR/acctchrt_cdmoneymkt.gnucash-xea,
	  accounts/pt_BR/acctchrt_childcare.gnucash-xea,
	  accounts/pt_BR/acctchrt_common.gnucash-xea,
	  accounts/pt_BR/acctchrt_currency.gnucash-xea,
	  accounts/pt_BR/acctchrt_eduloan.gnucash-xea,
	  accounts/pt_BR/acctchrt_fixedassets.gnucash-xea,
	  accounts/pt_BR/acctchrt_homeloan.gnucash-xea,
	  accounts/pt_BR/acctchrt_homeown.gnucash-xea,
	  accounts/pt_BR/acctchrt_otherloan.gnucash-xea,
	  accounts/pt_BR/acctchrt_renter.gnucash-xea,
	  accounts/pt_BR/acctchrt_retiremt.gnucash-xea,
	  accounts/pt_BR/acctchrt_spouseinc.gnucash-xea,
	  accounts/pt_BR/acctchrt_spouseretire.gnucash-xea,
	  accounts/sk/acctchrt_brokerage.gnucash-xea,
	  accounts/sk/acctchrt_carloan.gnucash-xea,
	  accounts/sk/acctchrt_cdmoneymkt.gnucash-xea,
	  accounts/sk/acctchrt_childcare.gnucash-xea,
	  accounts/sk/acctchrt_common.gnucash-xea,
	  accounts/sk/acctchrt_currency.gnucash-xea,
	  accounts/sk/acctchrt_eduloan.gnucash-xea,
	  accounts/sk/acctchrt_fixedassets.gnucash-xea,
	  accounts/sk/acctchrt_homeloan.gnucash-xea,
	  accounts/sk/acctchrt_homeown.gnucash-xea,
	  accounts/sk/acctchrt_otherloan.gnucash-xea,
	  accounts/sk/acctchrt_renter.gnucash-xea,
	  accounts/sk/acctchrt_retiremt.gnucash-xea,
	  accounts/sk/acctchrt_spouseinc.gnucash-xea,
	  accounts/sk/acctchrt_spouseretire.gnucash-xea: Replace
	  deprecated xml tag in chart of accounts templates

2011-06-09 22:40  alex.aycinena

	* [r20744] src/app-utils/guile-util.c,
	  src/app-utils/test/test-scm-query-string.c: Correct memory
	  handling of scm_to_locale_string per guile manual

2011-06-09 21:43  alex.aycinena

	* [r20743] src/gnome-utils/gnc-menu-extensions.c: Correct memory
	  leak found with valgrind

2011-06-09 15:17  gjanssens

	* [r20742] src/engine/Recurrence.c: Follow up on bug #650598 -
	  Cannot Enter Nth Day of Month Scheduled Transactions

2011-06-09 00:29  alex.aycinena

	* [r20741] src/app-utils/option-util.c,
	  src/gnome-utils/dialog-options.c: Correct memory leaks found
	  with valgrind

2011-06-08 16:46  alex.aycinena

	* [r20739] src/report/report-gnome/dialog-column-view.c,
	  src/report/report-gnome/dialog-style-sheet.c,
	  src/report/report-gnome/window-report.c: Fix memory leaks found
	  with valgrind

2011-06-06 21:02  micha

	* [r20736] Makefile.am, configure.ac, doc/Makefile.am,
	  doc/examples/Makefile.am, src/doc/Makefile.am: Don't ignore
	  --docdir from ./configure for documentation destination dir This
	  was discussed in more detail here:
	  http://lists.gnucash.org/pipermail/gnucash-devel/2011-June/032066.html
	  This might change the default location where the documentation
	  is installed to.

2011-06-04 03:37  alex.aycinena

	* [r20735] src/report/report-gnome/dialog-custom-report.c: Correct
	  memory leak found with Valgrind.

2011-06-03 23:54  alex.aycinena

	* [r20734] src/report/report-gnome/gnc-plugin-page-report.c:
	  Correct memory leak found with Valgrind.

2011-06-03 08:24  alex.aycinena

	* [r20733] src/engine/engine-helpers.c: Correct memory leak found
	  with Valgrind.

2011-06-02 18:47  jralls

	* [r20732] src/gnome-utils/gnc-main-window.c: Remove extra call to
	  gtk_action_group_add_radio_actions, should have been removed
	  from r20620

2011-06-01 21:51  gjanssens

	* [r20731] src/gnome/glade/Makefile.am: Restore accidentally
	  deleted file in r20730

2011-06-01 17:34  gjanssens

	* [r20730] src/engine/gnc-engine.h, src/gnome/Makefile.am,
	  src/gnome/assistant-acct-period.c,
	  src/gnome/assistant-acct-period.h,
	  src/gnome/druid-acct-period.c, src/gnome/druid-acct-period.h,
	  src/gnome/glade/Makefile.am, src/gnome/glade/acctperiod.glade,
	  src/gnome/gnc-plugin-basic-commands.c,
	  src/gnome/gtkbuilder/acctperiod.glade: Bug #651648 - Change
	  Account period Druid to an Assistant Patch by Bob

2011-06-01 16:55  gjanssens

	* [r20729]
	  src/business/business-gnome/gnc-plugin-page-owner-tree.c,
	  src/business/business-gnome/ui/gnc-plugin-page-owner-tree-ui.xml:
	  Add New Invoice/Bill/Voucher toolbar button on owner list page
	* [r20728]
	  src/business/business-gnome/gnc-plugin-page-owner-tree.c: Minor
	  code cleanups in owner list code
	* [r20727]
	  src/business/business-gnome/ui/gnc-plugin-page-owner-tree-ui.xml:
	  Fix warning for missing Delete Owner action

2011-05-31 13:07  gjanssens

	* [r20723] po/POTFILES.in: Update POTFILES.in

2011-05-31 10:51  cstim

	* [r20722] src/gnc/.gitignore, src/gnc/Doxyfile: Cutecash: Add
	  separate doxygen file to show the C++ code structure.

2011-05-29 03:23  alex.aycinena

	* [r20719] src/engine/kvp-scm.c: Correct memory leak found with
	  Valgrind.

2011-05-28 23:32  alex.aycinena

	* [r20718] src/engine/engine-helpers.c: Correct memory leak found
	  with Valgrind.

2011-05-28 21:53  jralls

	* [r20717] src/gnome-utils/gnc-main-window.c,
	  src/gnome-utils/ui/osx_accel_map: Disable quartz accelerators to
	  avoid hang in bundle during shutdown. (The g_idle_add apparently
	  caused a deadlock between multiple g_main_loop instances.) BP

2011-05-28 21:52  jralls

	* [r20716] src/gnome-utils/gnc-main-window.c: Rename
	  gtk_quartz_shutdown, gtk_quartz_should_quit, and
	  gtk_quartz_set_menu to gnc_quartz_... for better naming
	  consistency and conformance to GObject naming standards.

2011-05-28 18:53  cstim

	* [r20714]
	  src/optional/python-bindings/example_scripts/gnc_convenience.py,
	  src/optional/python-bindings/example_scripts/quotes_historic.py,
	  src/optional/python-bindings/gnucash_core.py: Bug #651329: Add
	  some python convenience functions Patch by Christoph Holtermann:
	  1) gnc_convenience.py adds some convenient functions. 2)
	  quotes_historic.py uses find_account() from 1) 3) Small Bug
	  removed : GetNthSplit() already returns a Split-Object because
	  that is returned by GetSplitList(). In this case it returns a
	  nested Split-Object.

2011-05-28 09:27  gjanssens

	* [r20711] packaging/win32/dist-impl.sh, packaging/win32/dist.sh,
	  packaging/win32/install-impl.sh, packaging/win32/install.sh:
	  Windows build: be sure to restore msys environment even when the
	  build fails BP
	* [r20710] packaging/win32/install-impl.sh: Windows build:
	  properly configure msys before checking mingw availability BP

2011-05-27 23:15  jralls

	* [r20708] src/gnome-utils/gnc-main-window.c: Fix naming error
	  from r20690. Thanks to Alex Aycinena for pointing it out.

2011-05-27 07:37  cstim

	* [r20699] src/report/business-reports/owner-report.scm: I18n:
	  Minor string improvement so that the capitalization is unified
	  in all similar translated strings. BP

2011-05-27 06:54  cstim

	* [r20696] packaging/win32/defaults.sh: Win32: Update aqbanking
	  version

2011-05-27 06:39  cstim

	* [r20695]
	  src/optional/python-bindings/example_scripts/str_methods.py,
	  src/optional/python-bindings/function_class.py,
	  src/optional/python-bindings/gnucash_business.py: Improve python
	  bindings: str_methods.py improved. Patch by Christoph
	  Holtermann: str_methods.py - added a flagging system to change
	  the output of the __str__ methods - added unicode and
	  str-methods to invoice and entry function_class.py - added
	  modified add_method and add_classmethods to implement the
	  previous gnucash_business.py - add methods_return_instance_lists
	  for method Invoice.GetEntries

2011-05-26 23:20  jralls

	* [r20694] src/gnome-utils/ui/gnc-windows-menu-ui-quartz.xml,
	  src/gnome-utils/ui/gnc-windows-menu-ui.xml: Add the menu ui
	  files for r20690.

2011-05-26 23:14  jralls

	* [r20693] src/gnome-utils/gnc-main-window.c: Fix up the Mac
	  shutdown process to give Gnucash a chance to clean up without
	  spewing critical errors about the main loop already running
	  (because of calling gnc_shutdown in an event handler). BP
	* [r20692] src/gnome-utils/gnc-main-window.c: Add a
	  gnc_quartz_set_menu call to main_window_new() so that newly
	  created windows get their menus on the mac menu. BP

2011-05-26 23:13  jralls

	* [r20691] src/gnome-utils/gnc-main-window.c: Disable updates of
	  (no longer extant) window menu items when using MAC_INTEGRATION
	* [r20690] src/gnome-utils/gnc-main-window.c,
	  src/gnome-utils/ui/Makefile.am,
	  src/gnome-utils/ui/gnc-main-window-ui.xml: Separate window menu
	  to separate ui file, separate function load function called only
	  when not using MAC_INTEGRATION. Quartz takes care of this on its
	  own, and having Gnucash do it too creates two lists. The old
	  approach, of just ifdeffing away the actions, worked but caused
	  the trace log to fill up with "action missing" errors.

2011-05-24 20:35  cstim

	* [r20689] src/register/register-gnome/gnucash-sheet.c: Preserve
	  selection around the call to gtk_editable_set_position. Patch by
	  Jim Paris: This lets us drop the racy
	  gnucash_sheet_select_data_cb, which fixes problems with lost
	  input. BP

2011-05-24 11:01  cstim

	* [r20688] src/engine/CMakeLists.txt: CMake: Add correct
	  dependencies of generated swig.c files on all headers

2011-05-23 22:26  alex.aycinena

	* [r20687] src/engine/engine-helpers.c: Correct memory leak found
	  with Valgrind.

2011-05-23 19:44  jralls

	* [r20686] "src, Makefile.am, configure.ac, src/engine/Account.c,
	  src/engine/Account.h, src/engine/AccountP.h,
	  src/engine/Makefile.am, src/engine/Split.h,
	  src/gnome-utils/gnc-main-window.c, src/libqof/qof/Makefile.am,
	  src/libqof/qof/qofutil.h: Reverting screwups r20683, 20684, and
	  20685

2011-05-23 19:36  jralls

	* [r20685] Makefile.am, configure.ac, src/engine/Account.c,
	  src/engine/Account.h, src/engine/AccountP.h,
	  src/engine/Makefile.am, src/engine/Split.h,
	  src/gnome-utils/gnc-main-window.c100644
	  01901c6c8752987f426cff1e6534ba0b27867fae src,
	  src/libqof/qof/Makefile.am, src/libqof/qof/qofutil.h: revert
	  bogus directory added in r20682

2011-05-23 19:28  jralls

	* [r20684] src/gnome-utils/gnc-main-window.c: Remove
	  account.glade, deleted in r20669, from
	  src/gnome/glade/Makefile.am

2011-05-23 19:27  jralls

	* [r20683] "src, "src/gnome-utils,
	  "src/gnome-utils/gnc-main-window.c100644
	  01901c6c8752987f426cff1e6534ba0b27867fae\tsrc,
	  "src/gnome-utils/gnc-main-window.c100644
	  01901c6c8752987f426cff1e6534ba0b27867fae\tsrc/gnome-utils,
	  "src/gnome-utils/gnc-main-window.c100644
	  01901c6c8752987f426cff1e6534ba0b27867fae\tsrc/gnome-utils/ui,
	  "src/gnome-utils/gnc-main-window.c100644
	  01901c6c8752987f426cff1e6534ba0b27867fae\tsrc/gnome-utils/ui/Makefile.am100644
	  94c76a9e4c6a8f6ceaacfff0c1ed4c9e3d4128e1\tsrc,
	  "src/gnome-utils/gnc-main-window.c100644
	  01901c6c8752987f426cff1e6534ba0b27867fae\tsrc/gnome-utils/ui/Makefile.am100644
	  94c76a9e4c6a8f6ceaacfff0c1ed4c9e3d4128e1\tsrc/gnome-utils,
	  "src/gnome-utils/gnc-main-window.c100644
	  01901c6c8752987f426cff1e6534ba0b27867fae\tsrc/gnome-utils/ui/Makefile.am100644
	  94c76a9e4c6a8f6ceaacfff0c1ed4c9e3d4128e1\tsrc/gnome-utils/ui,
	  "src/gnome-utils/gnc-main-window.c100644
	  01901c6c8752987f426cff1e6534ba0b27867fae\tsrc/gnome-utils/ui/Makefile.am100644
	  94c76a9e4c6a8f6ceaacfff0c1ed4c9e3d4128e1\tsrc/gnome-utils/ui/gnc-main-window-ui.xml0
	  0000000000000000000000000000000000000000\tsrc,
	  "src/gnome-utils/gnc-main-window.c100644
	  01901c6c8752987f426cff1e6534ba0b27867fae\tsrc/gnome-utils/ui/Makefile.am100644
	  94c76a9e4c6a8f6ceaacfff0c1ed4c9e3d4128e1\tsrc/gnome-utils/ui/gnc-main-window-ui.xml0
	  0000000000000000000000000000000000000000\tsrc/gnome-utils,
	  "src/gnome-utils/gnc-main-window.c100644
	  01901c6c8752987f426cff1e6534ba0b27867fae\tsrc/gnome-utils/ui/Makefile.am100644
	  94c76a9e4c6a8f6ceaacfff0c1ed4c9e3d4128e1\tsrc/gnome-utils/ui/gnc-main-window-ui.xml0
	  0000000000000000000000000000000000000000\tsrc/gnome-utils/ui,
	  "src/gnome-utils/gnc-main-window.c100644
	  01901c6c8752987f426cff1e6534ba0b27867fae\tsrc/gnome-utils/ui/Makefile.am100644
	  94c76a9e4c6a8f6ceaacfff0c1ed4c9e3d4128e1\tsrc/gnome-utils/ui/gnc-main-window-ui.xml0
	  0000000000000000000000000000000000000000\tsrc/gnome-utils/ui/gnc-windows-menu-ui-quartz.xml0
	  0000000000000000000000000000000000000000\tsrc,
	  "src/gnome-utils/gnc-main-window.c100644
	  01901c6c8752987f426cff1e6534ba0b27867fae\tsrc/gnome-utils/ui/Makefile.am100644
	  94c76a9e4c6a8f6ceaacfff0c1ed4c9e3d4128e1\tsrc/gnome-utils/ui/gnc-main-window-ui.xml0
	  0000000000000000000000000000000000000000\tsrc/gnome-utils/ui/gnc-windows-menu-ui-quartz.xml0
	  0000000000000000000000000000000000000000\tsrc/gnome-utils,
	  "src/gnome-utils/gnc-main-window.c100644
	  01901c6c8752987f426cff1e6534ba0b27867fae\tsrc/gnome-utils/ui/Makefile.am100644
	  94c76a9e4c6a8f6ceaacfff0c1ed4c9e3d4128e1\tsrc/gnome-utils/ui/gnc-main-window-ui.xml0
	  0000000000000000000000000000000000000000\tsrc/gnome-utils/ui/gnc-windows-menu-ui-quartz.xml0
	  0000000000000000000000000000000000000000\tsrc/gnome-utils/ui,
	  "src/gnome-utils/gnc-main-window.c100644
	  01901c6c8752987f426cff1e6534ba0b27867fae\tsrc/gnome-utils/ui/Makefile.am100644
	  94c76a9e4c6a8f6ceaacfff0c1ed4c9e3d4128e1\tsrc/gnome-utils/ui/gnc-main-window-ui.xml0
	  0000000000000000000000000000000000000000\tsrc/gnome-utils/ui/gnc-windows-menu-ui-quartz.xml0
	  0000000000000000000000000000000000000000\tsrc/gnome-utils/ui/gnc-windows-menu-ui.xml":
	  Provide a quartz-only Window menu instead of hacking up the X11
	  one; eliminates a lot of spew in the log every time the menu was
	  redrawn.
	* [r20682] src/gnome-utils/gnc-main-window.c,
	  src/gnome-utils/gnc-main-window.c100644
	  01901c6c8752987f426cff1e6534ba0b27867fae src,
	  src/gnome-utils/gnc-main-window.c100644
	  01901c6c8752987f426cff1e6534ba0b27867fae src/gnome-utils,
	  src/gnome-utils/gnc-main-window.c100644
	  01901c6c8752987f426cff1e6534ba0b27867fae src/gnome-utils/ui,
	  src/gnome-utils/gnc-main-window.c100644
	  01901c6c8752987f426cff1e6534ba0b27867fae
	  src/gnome-utils/ui/Makefile.am100644
	  94c76a9e4c6a8f6ceaacfff0c1ed4c9e3d4128e1 src,
	  src/gnome-utils/gnc-main-window.c100644
	  01901c6c8752987f426cff1e6534ba0b27867fae
	  src/gnome-utils/ui/Makefile.am100644
	  94c76a9e4c6a8f6ceaacfff0c1ed4c9e3d4128e1 src/gnome-utils,
	  src/gnome-utils/gnc-main-window.c100644
	  01901c6c8752987f426cff1e6534ba0b27867fae
	  src/gnome-utils/ui/Makefile.am100644
	  94c76a9e4c6a8f6ceaacfff0c1ed4c9e3d4128e1 src/gnome-utils/ui,
	  src/gnome-utils/gnc-main-window.c100644
	  01901c6c8752987f426cff1e6534ba0b27867fae
	  src/gnome-utils/ui/Makefile.am100644
	  94c76a9e4c6a8f6ceaacfff0c1ed4c9e3d4128e1
	  src/gnome-utils/ui/gnc-main-window-ui.xml0
	  0000000000000000000000000000000000000000 src,
	  src/gnome-utils/gnc-main-window.c100644
	  01901c6c8752987f426cff1e6534ba0b27867fae
	  src/gnome-utils/ui/Makefile.am100644
	  94c76a9e4c6a8f6ceaacfff0c1ed4c9e3d4128e1
	  src/gnome-utils/ui/gnc-main-window-ui.xml0
	  0000000000000000000000000000000000000000 src/gnome-utils,
	  src/gnome-utils/gnc-main-window.c100644
	  01901c6c8752987f426cff1e6534ba0b27867fae
	  src/gnome-utils/ui/Makefile.am100644
	  94c76a9e4c6a8f6ceaacfff0c1ed4c9e3d4128e1
	  src/gnome-utils/ui/gnc-main-window-ui.xml0
	  0000000000000000000000000000000000000000 src/gnome-utils/ui,
	  src/gnome-utils/gnc-main-window.c100644
	  01901c6c8752987f426cff1e6534ba0b27867fae
	  src/gnome-utils/ui/Makefile.am100644
	  94c76a9e4c6a8f6ceaacfff0c1ed4c9e3d4128e1
	  src/gnome-utils/ui/gnc-main-window-ui.xml0
	  0000000000000000000000000000000000000000
	  src/gnome-utils/ui/gnc-windows-menu-ui-quartz.xml0
	  0000000000000000000000000000000000000000 src,
	  src/gnome-utils/gnc-main-window.c100644
	  01901c6c8752987f426cff1e6534ba0b27867fae
	  src/gnome-utils/ui/Makefile.am100644
	  94c76a9e4c6a8f6ceaacfff0c1ed4c9e3d4128e1
	  src/gnome-utils/ui/gnc-main-window-ui.xml0
	  0000000000000000000000000000000000000000
	  src/gnome-utils/ui/gnc-windows-menu-ui-quartz.xml0
	  0000000000000000000000000000000000000000 src/gnome-utils,
	  src/gnome-utils/gnc-main-window.c100644
	  01901c6c8752987f426cff1e6534ba0b27867fae
	  src/gnome-utils/ui/Makefile.am100644
	  94c76a9e4c6a8f6ceaacfff0c1ed4c9e3d4128e1
	  src/gnome-utils/ui/gnc-main-window-ui.xml0
	  0000000000000000000000000000000000000000
	  src/gnome-utils/ui/gnc-windows-menu-ui-quartz.xml0
	  0000000000000000000000000000000000000000 src/gnome-utils/ui,
	  src/gnome-utils/gnc-main-window.c100644
	  01901c6c8752987f426cff1e6534ba0b27867fae
	  src/gnome-utils/ui/Makefile.am100644
	  94c76a9e4c6a8f6ceaacfff0c1ed4c9e3d4128e1
	  src/gnome-utils/ui/gnc-main-window-ui.xml0
	  0000000000000000000000000000000000000000
	  src/gnome-utils/ui/gnc-windows-menu-ui-quartz.xml0
	  0000000000000000000000000000000000000000
	  src/gnome-utils/ui/gnc-windows-menu-ui.xml: Rename
	  gtk_quartz_shutdown, gtk_quartz_should_quit, and
	  gtk_quartz_set_menu to gnc_quartz... for better naming
	  consistency.

2011-05-23 19:15  cstim

	* [r20676] src/gnome/glade/Makefile.am: Fix makefile after file
	  removal in r20669

2011-05-23 19:14  cstim

	* [r20675] src/report/stylesheets/stylesheet-easy.scm,
	  src/report/stylesheets/stylesheet-footer.scm: Bug #650757: Fix
	  Easy & footer styles output wrong tags </btd> iso </b></td>
	  preventing HTML 4.01 Transitional validation Patch by Bert: This
	  patch removes the wrong </btd> tags and closes the center tag in
	  the footer and easy stylesheets. Just like Bug #650163 (and
	  related to bug #616611) the easy & footer stylesheets: *output
	  </btd> tags instead of <b></td> *are missing a </center> tag
	  preventing html validation. This patch removes the intended </b>
	  and makes a clean </td> out of the necessary tags. The styles
	  are set through css anyhow. Furthmore it adds the closing
	  </center> tag. BP
	* [r20674] src/report/stylesheets/stylesheet-easy.scm,
	  src/report/stylesheets/stylesheet-fancy.scm,
	  src/report/stylesheets/stylesheet-footer.scm: Bug #645221: Patch
	  to show the headline as an h3 across all stylesheets Patch by
	  Bert: The attached patch makes sure that the title fonts set
	  through the options menu behaves consistently across all style
	  sheets. More specifically, it patches the following style
	  sheets: *stylesheet-fancy *stylesheet-footer *stylesheet-easy
	  Since I don't know how to change the default values, this will
	  change the visual appearance until people alter the settings
	  (e.g. move everything to Sans, 10, bold). BP
	* [r20673] src/report/standard-reports/trial-balance.scm: Bug
	  #620123: Patch to make account name a header cell, iso td in
	  trial-balance Patch by Bert. BP

2011-05-23 19:13  cstim

	* [r20672] src/engine/Recurrence.c,
	  src/gnome-utils/gnc-frequency.c,
	  src/gnome/glade/sched-xact.glade,
	  src/gnome/gtkbuilder/sched-xact.glade: Bug #650598: Patches to
	  allow scheduling of Nth Day of Month Transactions. Patch by
	  "Rich": I have transactions that should be scheduled on the
	  second Wednesday of every month. There is presently no way to do
	  it. I made changes and have tested them. This patch enhances the
	  scheduled transaction feature to allow nth day of week monthly
	  entries. The weekend adjust spinner is ignored when an nth day
	  of week entry is scheduled.

2011-05-21 20:16  cstim

	* [r20671] packaging/win32/defaults.sh: Win32: Update aqbanking5
	  version.

2011-05-21 19:37  gjanssens

	* [r20670] src/gnome-utils/gnc-tree-view-account.c: Remove unused
	  variable
	* [r20669] src/gnome-utils/dialog-account.c,
	  src/gnome/glade/account.glade,
	  src/gnome/gtkbuilder/account.glade: Convert "Renumber
	  Subaccounts" dialog to gtkbuilder format
	* [r20668] src/gnome-utils/gnc-tree-view-account.c,
	  src/gnome/glade/account.glade,
	  src/gnome/gtkbuilder/account.glade: Convert Account Filter By
	  dialog to gtkbuilder format

2011-05-20 16:36  gjanssens

	* [r20666] src/business/business-gnome/dialog-vendor.c,
	  src/gnome-utils/gnc-amount-edit.c,
	  src/gnome-utils/gnc-tree-view-account.c,
	  src/gnome-utils/gnc-tree-view-owner.c,
	  src/gnome/gnc-plugin-page-account-tree.c: Spelling and other
	  fixes in comments

2011-05-20 16:31  gjanssens

	* [r20665] src/gnome-utils/assistant-utils.c: Replace obsolete
	  gnome include with gtk include

2011-05-20 14:04  gjanssens

	* [r20664] src/gnome-utils/gnc-amount-edit.c,
	  src/gnome-utils/gnc-amount-edit.h,
	  src/gnome/assistant-stock-split.c,
	  src/gnome/gtkbuilder/stocks.glade: Stock Split Assistant -
	  improve validation steps This is a follow up on bug #650584
	  (r20662)

2011-05-19 23:20  alex.aycinena

	* [r20663] src/gnome/dialog-tax-info.c: Correct memory leak found
	  with Valgrind.

2011-05-19 17:22  gjanssens

	* [r20662] src/gnome/Makefile.am,
	  src/gnome/assistant-stock-split.c,
	  src/gnome/assistant-stock-split.h,
	  src/gnome/druid-stock-split.c, src/gnome/druid-stock-split.h,
	  src/gnome/glade/Makefile.am, src/gnome/glade/stocks.glade,
	  src/gnome/gnc-plugin-page-register.c,
	  src/gnome/gtkbuilder/stocks.glade: Bug #650584 - Change Stock
	  Split Druid to an Assistant Patch by Bob
	* [r20661] src/gnome/glade/account.glade,
	  src/gnome/gnc-plugin-page-account-tree.c,
	  src/gnome/gtkbuilder/account.glade: Convert "Delete Account"
	  dialog to gtkbuilder.
	* [r20660] src/gnome/glade/account.glade,
	  src/gnome/gtkbuilder/account.glade: Delete unused dialog

2011-05-18 23:06  alex.aycinena

	* [r20659] src/html/gnc-html-webkit.c: Correct memory leaks found
	  with Valgrind.

2011-05-18 20:15  gjanssens

	* [r20658] src/business/business-gnome/dialog-customer.c,
	  src/business/business-gnome/dialog-employee.c,
	  src/business/business-gnome/dialog-vendor.c: Fix crash when
	  editing existing owners from the new owner tree overview pages

2011-05-18 18:52  cstim

	* [r20657] src/backend/xml/io-gncxml-v2.c, src/engine/gncEntry.c:
	  Win32: Fix compiler warnings about potentially uninitialized
	  functions.

2011-05-18 14:56  gjanssens

	* [r20656] packaging/win32/gnucash.iss.in: Windows build: fix
	  additional obsolete references to guile 1.6 Pointed out by
	  Robert Fewell

2011-05-17 18:24  jralls

	* [r20655] src/engine/gncEntry.c: Bug #648554: SQL backend doesn't
	  correctly save taxable flag on bills. Nicely illustrates why
	  copying and pasting code leads to errors. BP
	* [r20654] util/gnc-svnversion: Force /bin/echo in git section
	  Apple's version of bash version 3, when called as /bin/sh, uses
	  an internal echo command which doesn't handle the "-n" argument
	  and contaminates the git version string. /bin/echo correctly
	  handles the -n argument.

2011-05-16 09:13  cstim

	* [r20652] src/engine/Split.h, src/engine/Transaction.h: Minor
	  doxygen improvements: The important types Split, Transaction
	  must be mentioned in the group heading.

2011-05-16 06:09  mta

	* [r20651]
	  src/business/business-gnome/gnc-plugin-page-owner-tree.c: Fix an
	  unintialized variable warning.

2011-05-15 19:28  cstim

	* [r20649] src/gnome-search/search-string.c: Bug #602052: Fix text
	  search options with small revisions for usability Patch by Leigh
	  Honeywell: Revised patch to change the search case insensitive
	  to a checkbox This should work better - it now defaults to off,
	  and is captioned "Match case" instead of "Case Insensitive?"
	  which I think is clearer.
	* [r20648] src/report/business-reports/owner-report.scm: Bug
	  #650241: Fix style for aging table in owner reports that has
	  changed (after defining doctype) Patch by Bert: Prevent
	  inheriting the parent tablestyle for aging table in owner-report
	  Bug #650139 & its patch in r20639 have some side-effects:
	  positive is that borders are shown for empty cell (#642222).
	  However, the aging table in the owner report now inherits the
	  style from its parent table, which means that all cells of the
	  aging table are showing as "centered-label-cell". This means:
	  *In the regular stylesheet: all text in the cells is bold *In
	  technicolor stylesheet: all cells have a yellow background This
	  patch removes the "centered-label-cell" class from the parent
	  table cell and shows the layout of the aging table to how it was
	  before.
	* [r20647] src/report/stylesheets/stylesheet-fancy.scm: Bug
	  #650163: Fix Technicolor style that outputs wrong tags <btd>
	  instead of <b><td> Patch by Bert: The technicolor stylesheet
	  outputs </btd> tags where what they actually meant to do was
	  </b></td>. This may render report outputs wrongly in different
	  browsers and prevents HTML validation. The proposed patch
	  removes the bold tags as well (for example for the total rows)
	  since the font and its weight are set in the options (and thus
	  reflected in the CSS style). There is no need for the report to
	  set the bold face with the <b> tag. In addition, the attached
	  patch also closed the <center> tag at the beginning of the body
	  (also preventing validation). Note that that this tag is
	  deprecated for newer version of html (but will pass HTML 4.01
	  Transitional).

2011-05-15 19:21  cstim

	* [r20646] src/gnome/druid-loan.c,
	  src/gnome/glade/sched-xact.glade: Bug #647532: Enter APR as
	  interest rate in Loan Druid Patch by Nick: This patch allows the
	  user to enter the APR for a loan rather than the simple interest
	  rate and then the druid will calculate the correct interest rate
	  for the scheduled transaction that it produces. It includes a
	  small change to the shed-xact.glade file which provides a
	  dropdown box to select the rate that has been entered and
	  changes to druid-loan.c which calculate the simple interest rate
	  as the scheduled transaction strings are generated.

2011-05-15 00:37  alex.aycinena

	* [r20645] src/report/report-system/gnc-report.c: Correct memory
	  leaks found with Valgrind.

2011-05-14 16:17  alex.aycinena

	* [r20644] src/gnome/dialog-tax-info.c: Correct memory leaks found
	  with Valgrind.

2011-05-13 20:17  cstim

	* [r20639] src/report/report-system/html-document.scm: Bug
	  #650139: Fix missing doctype preventing HTML 4.01 transitional
	  validation Patch by "Bert": This patch fixes part of the missing
	  doctype for most reports through html-document.scm Exported
	  reports lack a document type, preventing HTML validation. When
	  exporting this may lead browsers to incorrectly read the reports
	  generated by GnuCash. The attached patch aims for HTML 4.01
	  transitional validation of reports in the long term and thus
	  adds this doctype on top of the reports. While it is far from
	  perfect, 4.01 Trans looks like a good first target and can be
	  read by most (including older) browsers. BP
	* [r20638] src/report/stylesheets/stylesheet-plain.scm: Bug
	  #650138: Style plain: Fix incorrect <p> tag around <h3>
	  preventing HTML 4.01 transitional validation Patch by "Bert":
	  The stylesheet_plain.scm file renders the headline as a <h3> tag
	  within a <p> tag. This prevents several files (including and
	  tested on owner.scm) to pass W3C validation on HTML 4.01
	  Transitional. BP
	* [r20637] src/report/business-reports/owner-report.scm: Bug
	  #649992: Let owner-report aging table include due date / post
	  date options in aging. Patch by "Bert": Follow up on bug:
	  https://bugzilla.gnome.org/show_bug.cgi?id=502066 #502066 called
	  "The aging in business reports should use the due date instead
	  of the post date". In that bug the aging reports were extended
	  to use the due date when reporting overdue in buckets such as
	  Current - 0-30 etc. This created an inconsistency since the
	  owner reports (such as Customer Report) did not report the
	  Current bucket and did not include the option to select Date
	  Posted or Date due. The attached patch patches the owner report
	  to: *Allow a choice between the use of Due Date and Date Posted
	  *Report with the current bucket BP

2011-05-12 18:18  cstim

	* [r20636] src/engine/Makefile.am: Minor makefile code cleanup

2011-05-12 18:15  cstim

	* [r20635] src/app-utils/gnc-sx-instance-model.c: Revert r20633:
	  Accidental double-commit
	* [r20634] src/engine/Makefile.am: Add dependency of SWIG
	  generated file on all headers

2011-05-12 18:13  cstim

	* [r20633] src/app-utils/gnc-sx-instance-model.c: Bug #649608:
	  Skip non-enabled Scheduled Transactions for Future Txn report

2011-05-12 16:11  gjanssens

	* [r20632] src/gnome-utils/gnc-tree-view-owner.c,
	  src/gnome/gtkbuilder/Makefile.am,
	  src/gnome/gtkbuilder/owner.glade, src/gnome/gtkbuilder/owner.ui:
	  Rename owner.ui to owner.glade I read that .ui should be the
	  devault extension for gtkbuilder files, but it turns out that
	  would conflict with qt designer files. On Fedora (at least) only
	  .glade is recognized as a file editable by glade-3.

2011-05-11 22:17  alex.aycinena

	* [r20631] src/app-utils/gnc-ui-util.c: Correct memory leaks found
	  with Valgrind.

2011-05-11 21:52  gjanssens

	* [r20630]
	  src/business/business-gnome/gnc-plugin-page-owner-tree.c:
	  Disable delete owner feature for now, it causes a crash
	* [r20629]
	  src/business/business-gnome/gnc-plugin-page-owner-tree.c: Fix
	  improper qof instance conversion in owner plugin page
	* [r20628] src/gnome-utils/gnc-tree-model-owner.c: Properly handle
	  owner add events in the owner tree view
	* [r20627] src/engine/gncOwner.c: Always explicitly define an
	  owner when converting from a qof entity This can be ownertype
	  (none) if the entity to be converted is not a valid owner.
	* [r20626] src/business/business-gnome/dialog-customer.c,
	  src/business/business-gnome/dialog-employee.c,
	  src/business/business-gnome/dialog-job.c,
	  src/business/business-gnome/dialog-vendor.c: Emit qof add events
	  when a new owner is added

2011-05-11 21:51  gjanssens

	* [r20625] src/engine/gncOwner.h: Fix doxygen comments
	* [r20624] src/engine/gncOwner.c, src/engine/gncOwner.h,
	  src/gnome-utils/gnc-tree-model-owner.c: Owner tree: fix crash
	  when modifying owner name
	* [r20623] src/business/business-gnome/Makefile.am,
	  src/business/business-gnome/gnc-plugin-business.c,
	  src/business/business-gnome/gnc-plugin-page-owner-tree.c,
	  src/business/business-gnome/gnc-plugin-page-owner-tree.h,
	  src/business/business-gnome/ui/Makefile.am,
	  src/business/business-gnome/ui/gnc-plugin-business-ui.xml,
	  src/business/business-gnome/ui/gnc-plugin-page-owner-tree-ui.xml:
	  Add a page/tab to display an owner tree with some basic toolbar
	  buttons and menus The page will list vendors, customers or
	  employees, can be sorted and filtered so far. But attempts to
	  edit any owner will cause a crash for now.
	* [r20622] src/engine/gncOwner.c, src/engine/gncOwner.h: Add
	  gncOnwer* convenience wrappers for BeginEdit, CommitEdit and
	  Destroy. This allows to begin edit, commit edit or destroy an
	  owner without knowing its type.
	* [r20621] src/business/business-core/business-core.scm,
	  src/business/business-gnome/gnc-plugin-business.c,
	  src/business/business-utils/business-options.scm,
	  src/engine/gncBusiness.c, src/engine/gncOwner.c,
	  src/engine/gncOwner.h, src/gnome-utils/gnc-tree-view-owner.c,
	  src/optional/python-bindings/gnucash_core.i,
	  src/plugins/bi_import/bi_import.c,
	  src/report/business-reports/aging.scm,
	  src/report/business-reports/owner-report.scm: Refactor
	  gncOwnerCreate/Destroy into gncOwnerNew/Free to avoid confusion
	  with similar gnc<ownertype>Create/Destroy functions, like
	  gncVendorCreate, gncCustomerDestroy and so on. The type specific
	  functions add or delete the owner from the book, while the
	  generic one only allocated memory or freed memory to hold a
	  generic owner. Changing the name makes it clear the generic and
	  specific functions are not related. Note: this change may
	  require a clean rebuild. I'm not sure if swig picks this up
	  automatically.
	* [r20620] src/gnome-utils/Makefile.am,
	  src/gnome-utils/gnc-tree-view-owner.c,
	  src/gnome-utils/gnc-tree-view-owner.h,
	  src/gnome/gtkbuilder/Makefile.am, src/gnome/gtkbuilder/owner.ui:
	  Add Tree view widget for owner objects, not used yet

2011-05-11 21:50  gjanssens

	* [r20619] src/engine/gncOwner.c, src/engine/gncOwner.h: Add
	  convenience function to set name of an owner regardless of its
	  type
	* [r20618] src/engine/gncOwner.c, src/engine/gncOwner.h: Add
	  generic owner setter function for the active property
	* [r20617] src/gnome-utils/Makefile.am,
	  src/gnome-utils/gnc-tree-model-owner.c,
	  src/gnome-utils/gnc-tree-model-owner.h: Add owner tree model
	  similar to accounts tree model. This is not used yet.
	* [r20616] src/engine/gncJob.h, src/engine/gncOwner.c: gncOwner
	  convenience functions: jobs do have an active state, fix the
	  getter function. At the same time, move the Job Active getter
	  with the other getters. This is why I missed it the first time.

2011-05-10 11:05  cstim

	* [r20615] packaging/win32/defaults.sh,
	  packaging/win32/install-impl.sh: Win32 build: Revert r20614
	  libxml2 version update because the win build seems to stop due
	  to bad linker flags in libxml-2.0.pc. Also, fix the pkgconfig
	  files unconditionally.

2011-05-08 20:05  cstim

	* [r20614] packaging/win32/defaults.sh,
	  packaging/win32/install-impl.sh: Win32 build: Update libxml2 to
	  slightly more recent version. Add version check.
	* [r20613] packaging/win32/defaults.sh,
	  packaging/win32/install-impl.sh: Win32 build: Fix pixman URL
	  (old version has disappeared from URL)

2011-05-07 16:26  cstim

	* [r20612] src/app-utils/gnc-sx-instance-model.c: Bug #649608:
	  Skip non-enabled Scheduled Transactions for Future Txn report BP

2011-05-06 00:02  alex.aycinena

	* [r20611] src/app-utils/gnc-ui-util.c,
	  src/gnome/dialog-tax-info.c,
	  src/report/locale-specific/us/taxtxf.scm,
	  src/tax/us/txf-de_DE.scm, src/tax/us/txf.scm: Improve txf scheme
	  routines to handle invalid tax-entity-types more gracefully.

2011-05-03 20:08  cstim

	* [r20610] CMakeLists.txt, src/CMakeLists.txt,
	  src/gnc/CMakeLists.txt, src/import-export/CMakeLists.txt,
	  src/import-export/aqbanking/CMakeLists.txt: Cutecash: Add cmake
	  files for import module and for aqbanking module. However, this
	  couldn't really re-use all non-GUI code because most code still
	  contains minor gtk bits here and there. But in the long run much
	  more code might be available.

2011-05-03 19:24  cstim

	* [r20609] CMakeLists.txt: Cutecash: Fix guile check.

2011-05-03 00:06  alex.aycinena

	* [r20608] src/app-utils/gnc-ui-util.c,
	  src/gnome/dialog-tax-info.c: Add validation of tax-entity-type
	  in book relative to locale-based tsx.scm

2011-05-01 21:03  cstim

	* [r20606] packaging/win32/install-impl.sh: Win32 build: Add
	  missing include flags when building aqbanking5.

2011-05-01 20:56  cstim

	* [r20605] CMakeLists.txt, src/cmake_modules/FindGuile.cmake,
	  src/gnc/CMakeLists.txt: Cutecash: Use pkg-config lookup of guile
	  instead of custom macro.
	* [r20604] src/libqof/CMakeLists.txt: Win32 cutecash: Add missing
	  precompiler flag

2011-04-29 20:09  cstim

	* [r20603] packaging/win32/install-impl.sh,
	  packaging/win32/install.sh: Win32 build: libxslt requires gnutls
	  includes.

2011-04-29 16:35  gjanssens

	* [r20600] src/gnome-utils/gnc-main-window.c: Revert "Bug #436479
	  - Gnucash doesn't display the data file name in the title" This
	  commit will cause a segfault when selecting File->New. This
	  reverts commit f27c9a8ca95391acafed58d3933f6e9661755d24.

2011-04-29 14:31  gjanssens

	* [r20599] src/gnome-utils/gnc-main-window.c: Bug #436479 -
	  Gnucash doesn't display the data file name in the title bar.

2011-04-29 09:44  gjanssens

	* [r20598] src/gnome/assistant-hierarchy.c: Restore save after new
	  account hierarchy as submitted by Robert Fewell in r19377. This
	  was accidentally removed during the conversion from GnomeDruid
	  to GtkAssistant

2011-04-29 07:48  gjanssens

	* [r20597] packaging/win32/gnucash.iss.in: Fix guile load path for
	  guile 1.8

2011-04-26 18:42  gjanssens

	* [r20596] src/gnome-utils/dialog-account.c,
	  src/gnome/assistant-hierarchy.c: Remove unwanted use of
	  G_MODULE_EXPORT again from the new gtkbuilder based widget
	  callback routines.

2011-04-23 20:33  cstim

	* [r20595] packaging/win32/defaults.sh,
	  packaging/win32/install-impl.sh: Win32 build: Additional tweaks
	  for easier cross-compiling.

2011-04-23 20:32  cstim

	* [r20594] packaging/win32/defaults.sh,
	  packaging/win32/install-impl.sh: Win32 build: Add version checks
	  for guile and libxslt.

2011-04-23 18:58  cstim

	* [r20593] src/gnome-utils/dialog-account.c,
	  src/gnome/assistant-hierarchy.c: Win32: Undefine G_MODULE_EXPORT
	  in our internal libraries. Please do not use it. The rest of
	  gnucash relies on *everything* being exported. This is done by
	  mingw's linker, but only if no symbol at all was marked as being
	  exported. As soon as at least one symbol is manually marked as
	  export, nothing except those marked symbols are exported, which
	  will immediately lead to "unresolved symbols" in the win32 build.

2011-04-23 14:52  gjanssens

	* [r20592] src/gnome-utils/dialog-account.c,
	  src/gnome/glade/account.glade,
	  src/gnome/gtkbuilder/account.glade: Convert Account dialog from
	  libglade to gtkbuilder
	* [r20591] src/gnome-utils/dialog-utils.c,
	  src/gnome-utils/dialog-utils.h, src/gnome/assistant-hierarchy.c:
	  Refactor utility function to allow merging multiple (glade)
	  objects together in one gtkbuilder object

2011-04-23 08:42  cstim

	* [r20590] packaging/win32/install-impl.sh: Win32 build: Tweak
	  webkit.pc prefix path to match the installation.

2011-04-22 19:59  cstim

	* [r20589] src/backend/dbi/gnc-backend-dbi.c: Win32: Change
	  filename case sensitivity because this will match on
	  cross-compile Linux as well.
	* [r20588] packaging/win32/install-impl.sh: Win32 build: Remove
	  manually setting guile variables because pkg-config finds them
	  correctly now even in cross-compile.

2011-04-22 19:44  cstim

	* [r20587] packaging/win32/dist-impl.sh: Win32 build: Fix
	  aqbanking version lookup

2011-04-22 19:43  cstim

	* [r20586] packaging/win32/install-impl.sh: Win32 build: GUILE
	  must be in PKG_CONFIG_PATH
	* [r20585] Makefile.am, configure.ac,
	  macros/gnome-guile-checks.m4: Replace guile configure check by
	  PKG_CHECK_MODULE so that it also works in cross-compiling.

2011-04-22 19:20  cstim

	* [r20584] packaging/win32/install-impl.sh: Win32 build: Add
	  linker directories for xslt and pthread.

2011-04-22 12:56  cstim

	* [r20583] packaging/win32/install-impl.sh: Win32: another try to
	  have gnucash pick up the correct libdirs.

2011-04-22 12:52  cstim

	* [r20582] packaging/win32/install-impl.sh: Win32 build: Fixes for
	  cross-compiling.

2011-04-22 12:27  cstim

	* [r20581] packaging/win32/install-impl.sh: Win32 build:
	  Potentially fix another typo?
	* [r20580] packaging/win32/defaults.sh,
	  packaging/win32/gnucash.iss.in: Win32 build: Enable aqbanking5
	  instead of aqbanking4, which is possible because of updated gtk.

2011-04-22 12:11  cstim

	* [r20579] packaging/win32/install-impl.sh: Win32 build: Fix typo

2011-04-22 10:07  cstim

	* [r20578] packaging/win32/install-impl.sh: Win32 build: Add
	  missing LDFLAGS for correct usage of new webkit.

2011-04-21 10:54  cstim

	* [r20576] src/backend/xml/gnc-backend-xml.c: Bug #646729: Create
	  the lockfile with at least read write user permissions Patch by
	  Jim Radford: My backups fail when they attempt to read a GnuCash
	  LCK or LNK file because they are created without read
	  permissions. As best I can tell it can't hurt to create them
	  with user read permissions.

2011-04-21 10:53  cstim

	* [r20575] packaging/win32/install-impl.sh: Win32 build: Add
	  version check for webkit

2011-04-19 20:15  cstim

	* [r20570] src/engine/engine-helpers.c: Bug #647945: Add sanity
	  check to hopefully fix crash when running custom reports BP

2011-04-19 19:12  jralls

	* [r20569] src/import-export/aqbanking/gnc-file-aqb-import.c: Bug
	  #646268: Fix minor error on r20565

2011-04-19 12:15  cstim

	* [r20568] src/gnome-utils/window-main-summarybar.c,
	  src/gnome/assistant-hierarchy.c: Bug #613502: Summary bar total
	  display uses wrong currency Patch by Ajay Thomas: I have
	  attached a proposed patch for this bug. It would work in all
	  cases wherein the user enters the currency of the book to be
	  different from the default report currency. For Example: Suppose
	  the user set the default report and account default currency
	  (through GnuCash preferences dialog) to be USD. If user creates
	  a new account hierarchy (new book) with the currency as INR, The
	  summary bar would be displayed as: -Grand Total in INR
	  -TOTAL_SINGLE_MODE in INR ( any accounts within the book which
	  has amount in INR) -OTHER CURRENCIES (if accounts within the
	  book belong to other currencies) The new account hierarchy
	  dialog creates a new book or adds accounts to an already
	  existing account tree. This summary bar will display the book
	  default currency for all books created after applying the patch.
	  My change sets the currency of the new book as the commodity of
	  the root account of the book. Earlier, the user entered currency
	  for the newly created book was not saved as an attribute in the
	  book or root account. I have tested the patch with 3 test cases
	  by: 1. creating a new book with currency different from the
	  default currency ( both account default and report default
	  currency within the report) . 2. using an existing book to setup
	  an account hierarchy which sets a new default currency for the
	  book ( it merges the existing account tree with the newly
	  created book) 3. Already existing books summary bars work the
	  same way as before. BP

2011-04-19 11:32  cstim

	* [r20567] packaging/win32/defaults.sh,
	  packaging/win32/install-impl.sh: Win32 build: Update libofx
	  version.

2011-04-19 09:22  cstim

	* [r20566] src/bin/Makefile.am: Bug #644897: Correctly link in
	  libgncmod-report-gnome.la to avoid linking against an installed
	  version. Also, sort the linker libraries by dependencies. BP

2011-04-19 08:05  cstim

	* [r20565] src/import-export/aqbanking/gnc-file-aqb-import.c: Bug
	  #646268: Fix missing GWEN_SYNCIO initialization.

2011-04-17 16:42  plongstaff

	* [r20561] packaging/win32/defaults.sh: Modify win32 component
	  directories - remove remaining version numbers from directory
	  names. I'd like to add them back, eventually, but this matches
	  the naming used when I built the webkit 1.2.7 zip.

2011-04-12 23:52  plongstaff

	* [r20560] packaging/win32/defaults.sh,
	  packaging/win32/dist-impl.sh, packaging/win32/install-impl.sh,
	  packaging/win32/install.sh,
	  packaging/win32/libxslt-1.1.22.Makefile.in.patch,
	  packaging/win32/webkit-1.2.7-configure.patch,
	  packaging/win32/webkit-1.2.7-datadir.patch,
	  packaging/win32/webkit-1.2.7-gccpath.patch,
	  packaging/win32/webkit-1.2.7-makefile.patch,
	  packaging/win32/webkit-1.2.7-mingw32.patch,
	  packaging/win32/webkit-1.2.7-nosvg.patch,
	  packaging/win32/webkitenumtypes.cpp,
	  packaging/win32/webkitenumtypes.h: Update win32 components: Gtk
	  to 2.24 Webkit to 1.2.7 Others to latest version install-impl.sh
	  now has option to build webkit if BUILD_WEBKIT_FROM_SOURCE is
	  defined as "yes".

2011-04-10 20:18  cstim

	* [r20554] src/engine/gncInvoice.c: Bug #647360: Invoice entries
	  in expense voucher are created in old voucher, not in new one.
	  It worked fine for customer invoices, and vendor bills, but not
	  expense vouchers, where the feature was broken all along. BP

2011-04-10 18:52  plongstaff

	* [r20553] src/backend/xml/sixtp-dom-parsers.c: Replace use of
	  deprecated g_strcasecmp() by g_ascii_strncasecmp()

2011-04-10 00:08  plongstaff

	* [r20552] src/gnome-utils/cursors.c: Spell the function name
	  correctly. Sigh.

2011-04-09 23:34  plongstaff

	* [r20551] src/gnome-utils/cursors.c: Remove direct access to
	  window inside GtkWidget - use accessor instead

2011-04-09 21:34  cstim

	* [r20549] src/report/report-system/report.scm: Bug #647316: Fix
	  crash when deleting custom report if no backup file existed.
	  Before deleting the backup file by (delete-file), it must be
	  checked whether the to-be-deleted file exists, otherwise the
	  guile procedure will crash. BP

2011-04-09 18:44  cstim

	* [r20547] src/app-utils/date-utilities.scm: Bug #647242: Fix
	  broken averaging for quarter or half-year step size Patch by
	  "joshua": I think the problem is in the file date-utilities.scm
	  in the define statement starting on line 191. There were no
	  options for TwoWeekDelta, QuarterDelta, or HalfYearDelta. BP

2011-04-09 13:28  gjanssens

	* [r20546] src/bin/gnucash-bin.c: Bug #626408 - Gnucash File Open
	  Error when double-clicking the File (on Windows XP) From the
	  GOptions documentation I suspect this bug is the result of
	  setlocale being called too late in our startup process.
	  (http://developer.gnome.org/glib/unstable/glib-Commandline-option-parser.html)
	  If this fix actually works, it could be a candidate for BP

2011-04-06 21:05  gjanssens

	* [r20540] src/gnome-utils/gnc-plugin-file-history.c: Bug #628342
	  - Quick open on File menu deleted if failed BP
	* [r20539] src/gnome-utils/gnc-plugin-file-history.c: Bug #629156
	  Recently Used Filenames incorrectly displayed BP

2011-04-06 16:02  gjanssens

	* [r20538] packaging/win32/build_tags.sh: Windows build: fix
	  logfile naming for tag builds

2011-04-06 10:20  cstim

	* [r20537] src/gnome-utils/dialog-utils.c,
	  src/gnome-utils/druid-gconf-setup.c,
	  src/gnome-utils/gnc-gnome-utils.c: Add useful error message when
	  running gnucash from an incomplete installation (such as from
	  the build directory).

2011-04-05 20:18  gjanssens

	* [r20536] src/business/business-gnome/dialog-choose-owner.c,
	  src/engine/engine.i, src/engine/gnc-event.h,
	  src/engine/kvp-scm.c, src/engine/kvp-scm.h,
	  src/libqof/qof/test/test-qof.c,
	  src/libqof/qof/test/test-qofbook.c,
	  src/libqof/qof/test/test-qofinstance.c,
	  src/libqof/qof/test/test-qofsession.c: Use quotes instead of <>
	  to include project local header files

2011-04-05 19:56  gjanssens

	* [r20535] src/gnome/gtkbuilder/account.glade: Fix currency entry
	  alignment in hierarchy assistant

2011-04-05 19:55  gjanssens

	* [r20534] src/gnome/assistant-hierarchy.c: Remove gnome dependency
	* [r20533] src/gnome/Makefile.am, src/gnome/assistant-hierarchy.c,
	  src/gnome/assistant-hierarchy.h, src/gnome/dialog-new-user.c,
	  src/gnome/druid-hierarchy.c, src/gnome/druid-hierarchy.h,
	  src/gnome/glade/account.glade,
	  src/gnome/gnc-plugin-page-account-tree.c, src/gnome/top-level.c:
	  Replace Account Hierarchy setup druid with gtkbuilder compatible
	  gtkassistant
	* [r20532] src/gnome-utils/dialog-utils.c,
	  src/gnome-utils/dialog-utils.h: Provide gtkbuilder equivalents
	  for some libglade based support functions
	* [r20531] configure.ac, src/core-utils/gnc-path.c,
	  src/core-utils/gnc-path.h, src/gnome/Makefile.am,
	  src/gnome/gtkbuilder, src/gnome/gtkbuilder/Makefile.am,
	  src/gnome/gtkbuilder/account.glade,
	  src/gnome/gtkbuilder/acctperiod.glade,
	  src/gnome/gtkbuilder/autoclear.glade,
	  src/gnome/gtkbuilder/budget.glade,
	  src/gnome/gtkbuilder/commodities.glade,
	  src/gnome/gtkbuilder/fincalc.glade,
	  src/gnome/gtkbuilder/lots.glade,
	  src/gnome/gtkbuilder/newuser.glade,
	  src/gnome/gtkbuilder/price.glade,
	  src/gnome/gtkbuilder/print.glade,
	  src/gnome/gtkbuilder/progress.glade,
	  src/gnome/gtkbuilder/reconcile.glade,
	  src/gnome/gtkbuilder/register.glade,
	  src/gnome/gtkbuilder/sched-xact.glade,
	  src/gnome/gtkbuilder/stocks.glade,
	  src/gnome/gtkbuilder/tax.glade,
	  src/gnome/gtkbuilder/userpass.glade: Introduce a new directory
	  to store all gtkbuilder compatible ui files It already holds a
	  first set of files that were converted from libglade to
	  gtkbuilder. CAUTION: not all the GUI objects in these files work
	  properly already ! Glade (the tool) simply deletes all widgets
	  that are not supported by gtkbuilder during the conversion.
	  These will all be fixed gradually while the corresponding calls
	  in the C code are converted. The idea is that with each GUI
	  element that gets fixed in the gtkbuilder file, and subsequently
	  called from C, the old GUI element is removed from the
	  corresponding libglade file until all the libglade files are
	  empty and can be removed. This way the conversion can be done
	  gradually and both methods can coexist until all widgets and
	  code are converted. This first commit for example contains a
	  converted account hierarchy setup assistant, but not yet the
	  code to use it, so the old druid is still in the libglade file.
	  Once the code can succesfully use the new assistant from the
	  gtkbuilder file, the old druid will be removed from the libglade
	  file.
	* [r20530] src/gnome/glade/account.glade: Add New Account
	  Hierarchy assistant to replace the druid
	* [r20529] src/gnome-utils/Makefile.am,
	  src/gnome-utils/assistant-utils.c,
	  src/gnome-utils/assistant-utils.h: Add assistant-utils,
	  equivalent of druid-utils to be used with GtkAssistant based
	  dialogs.

2011-04-04 09:25  cstim

	* [r20526] src/libqof/qof/gnc-date.c, src/libqof/qof/gnc-date.h,
	  src/libqof/qof/guid.c, src/libqof/qof/guid.h,
	  src/libqof/qof/kvp_frame.c, src/libqof/qof/kvp_frame.h,
	  src/libqof/qof/qofbackend.c, src/libqof/qof/qofbackend.h,
	  src/libqof/qof/qofbook-p.h, src/libqof/qof/qofbook.h,
	  src/libqof/qof/qofid.c, src/libqof/qof/qofid.h,
	  src/libqof/qof/qofutil.c, src/libqof/qof/qofutil.h: Remove some
	  more functions from libqof which are unused and look weird.

2011-04-03 20:16  cstim

	* [r20525] src/report/report-system/report-utilities.scm: Fix
	  warning about NULL guid_list in xaccQueryAddAccountGUIDMatch,
	  which caused some total amounts in reports to disappear.
	  Apparently gnc:account-get-trans-type-splits-interval didn't
	  watch out for empty lists of accounts, and the resulting split
	  list somehow was bogus. Now that we check for empty account
	  list, all is fine again. This was broken for some months by now,
	  maybe since r20404? BP

2011-04-02 20:18  cstim

	* [r20518] src/libqof/CMakeLists.txt, src/libqof/qof/Makefile.am:
	  Sort Makefile/CMakeLists alphabetically.

2011-04-02 20:17  cstim

	* [r20517] src/libqof/CMakeLists.txt, src/libqof/qof/Makefile.am,
	  src/libqof/qof/qofgobj.c, src/libqof/qof/qofgobj.h: Remove
	  another unused and un-compiled file from libqof. Now we got all
	  of them.
	* [r20516] src/libqof/qof/kvp_frame.c, src/libqof/qof/kvp_frame.h:
	  Remove a set of kvp_frame functions which are unused throughout
	  gnucash.

2011-04-02 19:59  cstim

	* [r20515] src/libqof/CMakeLists.txt, src/libqof/qof/Makefile.am,
	  src/libqof/qof/qof.h, src/libqof/qof/qofreference-p.h,
	  src/libqof/qof/qofreference.c, src/libqof/qof/qofreference.h,
	  src/libqof/qof/qofsession.c: Revert r20509, "Rename header
	  <qof/qofreference.h> into <qofreference-p.h> " Somehow I missed
	  the reference from src/engine/test/test-recursive.c.
	* [r20514] po/POTFILES.in, src/engine/test/Makefile.am,
	  src/engine/test/test-book-merge.c, src/libqof/CMakeLists.txt,
	  src/libqof/qof/Makefile.am, src/libqof/qof/qof.h,
	  src/libqof/qof/qofbookmerge.c, src/libqof/qof/qofbookmerge.h:
	  Remove the qof_book_merge code because it is unused in gnucash.
	* [r20513] src/libqof/qof/gnc-date.c, src/libqof/qof/gnc-date.h,
	  src/libqof/qof/qofreference-p.h, src/libqof/qof/qofsession.c:
	  Make some functions static which are used only inside libqof.

2011-04-02 19:58  cstim

	* [r20512] src/libqof/qof/qofutil.c, src/libqof/qof/qofutil.h:
	  Remove a few completely unused and weird functions from
	  qofutils.[hc].
	* [r20511] src/libqof/qof/Makefile.am,
	  src/libqof/qof/gnc-numeric.c, src/libqof/qof/qofmath128-p.h,
	  src/libqof/qof/qofmath128.c, src/libqof/qof/qofmath128.h: Rename
	  qofmath128.h header to qofmath128-p.h because those functions
	  are only private to libqof.

2011-04-02 19:02  cstim

	* [r20510] src/libqof/qof/qoflog.h: Minor code documentation
	  update: Add explanatory comment w.r.t. MSVC.
	* [r20509] src/libqof/CMakeLists.txt, src/libqof/qof/Makefile.am,
	  src/libqof/qof/qof.h, src/libqof/qof/qofreference-p.h,
	  src/libqof/qof/qofreference.c, src/libqof/qof/qofreference.h,
	  src/libqof/qof/qofsession.c: Rename header <qof/qofreference.h>
	  into <qofreference-p.h> because it is used only internally in
	  the libqof module (in qofsession.c)
	* [r20508] src/libqof/CMakeLists.txt, src/libqof/qof/Makefile.am,
	  src/libqof/qof/qof.h, src/libqof/qof/qofquery-deserial.c,
	  src/libqof/qof/qofquery-deserial.h,
	  src/libqof/qof/qofquery-serialize.c,
	  src/libqof/qof/qofquery-serialize.h, src/libqof/qof/qofsql.c,
	  src/libqof/qof/qofsql.h: Remove completely unused and code from
	  libqof which also doesn't get compiled for years by now.

2011-04-01 18:08  gjanssens

	* [r20507] src/engine/Account.c: Various spelling fixes in
	  comments and translatable strings. BP

2011-03-30 07:13  cstim

	* [r20505] README, README.dependencies: Note webkit dependency in
	  README.

2011-03-29 01:17  plongstaff

	* [r20501] packaging/win32/install-impl.sh: During win32 build, if
	  a component is already installed, print the installation path

2011-03-28 18:51  cstim

	* [r20500] configure.ac: Slightly lower the requirements from
	  r20489 again so that the windows build builds.

2011-03-28 15:58  warlord

	* [r20499] src/Makefile.am: Several people reporting that
	  swig-runtime.h wasn't being created. That's because '.' wasn't
	  in the front of the SUBDIRS, so the Makefile wasn't building the
	  local targets.

2011-03-27 19:18  cstim

	* [r20496] src/app-utils/gnc-ui-util.c: Bug #645518: Partly revert
	  r20378, "Correct memory leaks found with valgrind" The original
	  author (Alex) asked to have this part reverted as it seems to
	  cause the crash explained in the bugreport, but he doesn't have
	  time to investigate this in detail right now. BP

2011-03-26 12:58  cstim

	* [r20491] src/import-export/generic-import.glade: Fix glade
	  message with unintended whitespaces.
	* [r20490] po/de.po: Update German translation.

2011-03-26 12:50  cstim

	* [r20489] CMakeLists.txt, configure.ac,
	  src/gnome-utils/dialog-account.c, src/libqof/qof/Makefile.am:
	  Bump required gtk version to 2.16 as discussed on gnucash-devel.
	  This requirement will be increased to 2.18.1 once our win32
	  build is upgraded. Following the gtk version, I increased also
	  all the other related libraries according to what I found here:
	  ftp://ftp.gnome.org/pub/gnome/platform/2.26/2.26.3/sources/

2011-03-26 10:50  gjanssens

	* [r20487] packaging/win32/build_package.sh: Windows nightly
	  build: fix webserver directory creation hack BP

2011-03-26 09:23  cstim

	* [r20484] configure.ac: Bump gnucash version to 2.4.99 to
	  distinguish this from stable ones.
	* [r20483] configure.ac, po/POTFILES.in,
	  src/gnome-utils/gnc-gnome-utils.c, src/html/Makefile.am,
	  src/html/gnc-html-factory.c,
	  src/html/gnc-html-graph-gog-gtkhtml.c,
	  src/html/gnc-html-graph-gog-gtkhtml.h,
	  src/html/gnc-html-gtkhtml-p.h, src/html/gnc-html-gtkhtml.c,
	  src/html/gnc-html-gtkhtml.h, src/html/gnc-html-p.h,
	  src/html/gnc-html-webkit.c, src/html/gnc-html.h: Remove
	  gtkhtml-related sources completely.

2011-03-26 08:59  cstim

	* [r20482] configure.ac: Disable gtkhtml choice from gnucash as we
	  now require the CSS/javascript features of webkit.

2011-03-25 21:19  cstim

	* [r20481] src/gnome-utils/dialog-transfer.c,
	  src/gnome-utils/dialog-transfer.h,
	  src/import-export/aqbanking/gnc-ab-transfer.c: Bug #645640:
	  Online transfer must not allow to change amount in second window
	  BP

2011-03-25 19:57  cstim

	* [r20480] src/report/business-reports/owner-report.scm: Bug
	  #645352: Customer and Vendor Reports should have separate income
	  and expense subtotals per period; error if 'Amount' is not
	  selected Patch by Chris Curtis: Add 'Credit' and 'Debit' columns
	  and options; fix error if 'Amount' is not selected. For tax
	  purposes it would be helpful if the customer and vendor reports
	  included the totals for the amounts earned, received, or billed
	  for a given time period. The reports currently give a total,
	  which is (if you're lucky) zero because the credits cancel out
	  the debits. But for verifying or providing the amounts of a
	  1099-MISC, for instance, the report should show just the amounts
	  credited or debited depending on your business' accounting
	  method. Secondarily, if the 'Amount' column is deselected the
	  report fails with an error. The attached patch both corrects
	  this problem and adds the requested features. The new columns
	  are labeled simply 'Credit' and 'Debit' and do not attempt
	  context-aware naming ("Paid", "Billed", etc.) for simplicity and
	  applicability (cash versus accrual accounting). The columns
	  contain a running total, and the final totals appear in a line
	  above the Amount (running) total. If the beginning period splits
	  an invoice/payment pair an opening balance appears and is
	  accounted for in the Amount total as before, but is not included
	  in the Credit/Debit totals as it is outside the reporting
	  period. If the Amount column is not selected for display then
	  neither is the opening balance, even if it otherwise would have
	  been.
	* [r20479] src/optional/python-bindings/function_class.py: Bug
	  #644762: Deprecated __new__() call in function_class.py Patch by
	  Sara Arenson: Patch to fix the deprecated __new__() call in
	  function_class.py When you create an object of type
	  ClassFromFunctions (a subclass of object), you get the following
	  warning:
	  /opt/gnucash-2.4.0/lib/python2.6/site-packages/gnucash/function_class.py:55:
	  DeprecationWarning: object.__new__() takes no parameters return
	  super(ClassFromFunctions, cls).__new__(cls, *args, **kargs) As
	  per Python docs
	  (http://docs.python.org/reference/datamodel.html), __new__()
	  accepts class name and a list of arguments for the object's
	  constructor. Since ClassFromFunctions's superclass's constructor
	  has no arguments, we should not be passing *args and **kargs.

2011-03-25 19:56  cstim

	* [r20478] src/import-export/import-backend.c: Bug #645406: Make
	  transaction matching on memo and description case-insensitive
	  Patch by gnemas: The function split_find_match() in
	  import-backend.c scores transactions according to comparisons of
	  amount, date, description, etc. I noticed that the comparison of
	  the description and memo fields is case-sensitive. This means
	  that my supermarket entries that have descriptions "Giant Food"
	  do not match the downloaded descriptions "GIANT FOOD". This
	  applies to both the exact and the 50% match cases, and for both
	  the memo and the description fields. The attached patch should
	  fix this.

2011-03-25 07:57  cstim

	* [r20477] configure.ac: Correctly disable python unless
	  --enable-python was given

2011-03-24 21:50  gjanssens

	* [r20475] packaging/win32/build_package.sh,
	  packaging/win32/daily_build.bat: Windows build: fix weekly 2.4
	  build and move log files into separate directory BP

2011-03-24 21:30  cstim

	* [r20474] src/report/report-system/Makefile.am,
	  src/report/report-system/html-jqplot.scm: Shared code between
	  the various jqplot charts From: Andy Clayton <q3aiml@gmail.com>
	* [r20473] configure.ac, src/report/Makefile.am,
	  src/report/jqplot, src/report/jqplot/Makefile.am,
	  src/report/jqplot/gpl-2.0.txt,
	  src/report/jqplot/jquery-1.4.2.min.js,
	  src/report/jqplot/jquery.jqplot.css,
	  src/report/jqplot/jquery.jqplot.js, src/report/jqplot/plugins,
	  src/report/jqplot/plugins/jqplot.BezierCurveRenderer.js,
	  src/report/jqplot/plugins/jqplot.barRenderer.js,
	  src/report/jqplot/plugins/jqplot.blockRenderer.js,
	  src/report/jqplot/plugins/jqplot.bubbleRenderer.js,
	  src/report/jqplot/plugins/jqplot.canvasAxisLabelRenderer.js,
	  src/report/jqplot/plugins/jqplot.canvasAxisTickRenderer.js,
	  src/report/jqplot/plugins/jqplot.canvasTextRenderer.js,
	  src/report/jqplot/plugins/jqplot.categoryAxisRenderer.js,
	  src/report/jqplot/plugins/jqplot.ciParser.js,
	  src/report/jqplot/plugins/jqplot.cursor.js,
	  src/report/jqplot/plugins/jqplot.dateAxisRenderer.js,
	  src/report/jqplot/plugins/jqplot.donutRenderer.js,
	  src/report/jqplot/plugins/jqplot.dragable.js,
	  src/report/jqplot/plugins/jqplot.enhancedLegendRenderer.js,
	  src/report/jqplot/plugins/jqplot.funnelRenderer.js,
	  src/report/jqplot/plugins/jqplot.highlighter.js,
	  src/report/jqplot/plugins/jqplot.json2.js,
	  src/report/jqplot/plugins/jqplot.logAxisRenderer.js,
	  src/report/jqplot/plugins/jqplot.mekkoAxisRenderer.js,
	  src/report/jqplot/plugins/jqplot.mekkoRenderer.js,
	  src/report/jqplot/plugins/jqplot.meterGaugeRenderer.js,
	  src/report/jqplot/plugins/jqplot.ohlcRenderer.js,
	  src/report/jqplot/plugins/jqplot.pieRenderer.js,
	  src/report/jqplot/plugins/jqplot.pointLabels.js,
	  src/report/jqplot/plugins/jqplot.trendline.js: Add javascript
	  jqplot 0.9.7r635 module so that it can be used in reports. From:
	  Andy Clayton <q3aiml@gmail.com>

2011-03-24 20:10  cstim

	* [r20472] src/app-utils/Makefile.am: Add needed python linker
	  flags to app-utils-python.
	* [r20471] configure.ac, src/python/Makefile.am,
	  src/python/init.py, src/python/pycons,
	  src/python/pycons/Makefile.am, src/python/pycons/__init__.py,
	  src/python/pycons/console.py, src/python/pycons/ishell.py,
	  src/python/pycons/pycons, src/python/pycons/setup.py,
	  src/python/pycons/shell.py, src/python/pycons/simple_plot.py:
	  Add code to start up a Python console during Py module init, but
	  disabled by default. If a python console is wanted, change the
	  last section of src/python/init.py to "if True:". From: Andy
	  Clayton <q3aiml@gmail.com>

2011-03-24 19:47  cstim

	* [r20470] configure.ac, po/POTFILES.in, src/Makefile.am,
	  src/bin/gnucash-bin.c, src/optional/Makefile.am, src/python,
	  src/python/Makefile.am, src/python/gncmod-python.c,
	  src/python/init.py: A somewhat rough start to a gnucash python
	  module This also renames the configure option to
	  --enable-python. From: Andy Clayton <q3aiml@gmail.com> (with
	  minor modifications by myself)
	* [r20469] configure.ac, src/app-utils/Makefile.am: Enclose
	  building of app-utils-python in AM_CONDITIONAL so that it isn't
	  build on a non-python build.

2011-03-24 19:25  gjanssens

	* [r20461] packaging/win32/reset.sh: Windows build: allow reset.sh
	  to remove mingw BP

2011-03-23 21:38  gjanssens

	* [r20460] packaging/win32/build_package.sh: Windows build: fix
	  upload code

2011-03-23 21:37  cstim

	* [r20459] src/app-utils/Makefile.am, src/app-utils/app-utils.i:
	  Build Python swig wrappers for app-utils From Andy Clayton
	  <q3aiml@gmail.com> (modified by me a little bit)

2011-03-23 17:48  gjanssens

	* [r20458] packaging/win32/defaults.sh,
	  packaging/win32/guile-1.8.8.patch,
	  packaging/win32/install-impl.sh: Fix windows build: - Add
	  missing patch for guile 1.8.8 - Add missing mingwrt dev package

2011-03-23 17:28  gjanssens

	* [r20457] packaging/win32/functions.sh: Improve message printed
	  on screen

2011-03-22 21:46  gjanssens

	* [r20456] packaging/win32/build_package.sh,
	  packaging/win32/functions.sh, packaging/win32/weekly_build.sh:
	  Some additional Windows nightly build fixes: - restore the
	  original mingw/msys link, even when the build script abort (due
	  to a die command) - only restore the mingw/msys link if it was
	  saved before - weekly builds should be on Monday, not Tuesday -
	  upload tag rebuilds to a directory named 'releases' instead of
	  'tags' BP

2011-03-22 21:03  gjanssens

	* [r20455] packaging/win32/build_package.sh: Build server:
	  automatically create directories on webserver for new branches

2011-03-22 20:24  gjanssens

	* [r20454] packaging/win32/daily_build.bat,
	  packaging/win32/weekly_build.bat,
	  packaging/win32/weekly_build.sh: Rework the Windows weekly 2.4
	  build to avoid parallel builds (which would fail BP (note that
	  r20452 should be backported first, though I forgot to add the BP
	  marker)

2011-03-22 19:43  gjanssens

	* [r20452] packaging/win32/dist-impl.sh, packaging/win32/dist.sh,
	  packaging/win32/functions.sh, packaging/win32/install-impl.sh,
	  packaging/win32/install.sh, packaging/win32/weekly_build.bat:
	  Adapt the windows build system to deal with swapping mingw
	  installations on one build machine

2011-03-21 21:37  jralls

	* [r20447] src/import-export/aqbanking/gnc-ab-utils.c: Allow
	  AQBanking & Gwenhywfar log-level environment variables to
	  override the gnucash preferences settings

2011-03-21 15:11  gjanssens

	* [r20446] packaging/win32/dist-impl.sh: Windows build: update
	  dist script for guile 1.8
	* [r20445] packaging/win32/install-impl.sh: Windows build: fix
	  libstdc++-6 DLL error This may be a hack, but I have no clue how
	  to fix it otherwise...
	* [r20444] packaging/win32/defaults.sh,
	  packaging/win32/install-impl.sh, packaging/win32/install.sh:
	  Windows build: update guile to 1.8.8 and remove slib Note: The
	  Windows GnuCash build will still fail as GnuCash still depends
	  on slib...

2011-03-21 15:10  gjanssens

	* [r20443] packaging/win32/libofx-0.8.3-patch.diff: Windows build:
	  patch libofx to build with mingw gcc 4.5.2 Note: the complete
	  gnucash build is still broken and will be fixed with following
	  patches.
	* [r20442] packaging/win32/defaults.sh,
	  packaging/win32/install-impl.sh: Windows build: update gcc to
	  4.5.2 Note this breaks the build as some other parts still need
	  tweaking before this works.
	* [r20441] configure.ac, src/app-utils/app-utils.i,
	  src/app-utils/guile-util.c, src/engine/engine-helpers.c,
	  src/engine/engine.i, src/gnome-utils/gnc-menu-extensions.c,
	  src/guile-mappings.h: Require guile 1.8.5 and remove all 1.6.x
	  specific conditions
	* [r20440] src/app-utils/app-utils.scm,
	  src/app-utils/c-interface.scm: Bug #615168: N_ in the root
	  module Fix variable not found crasher.
	* [r20439] src/app-utils/gnc-exp-parser.c: Windows: avoid
	  GROUP_NAME redefined error with mingw gcc 4.5.2
	* [r20438] src/app-utils/app-utils.scm,
	  src/app-utils/c-interface.scm: [PATCH 4/4] Bug #615168: N_ in
	  the root module * src/app-utils/app-utils.scm: *
	  src/app-utils/c-interface.scm: Make N_ available to all of
	  Gnucash. A hack, but a correct hack that permits the Scheme code
	  to be compiled. Patch by Andy Wingo.
	* [r20437] configure.ac: [PATCH 3/4] Bug #615168: Remove
	  configure.in check for slib Gnucash no longer requires slib.
	  Patch by Andy Wingo.

2011-03-21 15:09  gjanssens

	* [r20436] src/app-utils/c-interface.scm,
	  src/report/business-reports/aging.scm,
	  src/report/business-reports/easy-invoice.scm,
	  src/report/business-reports/fancy-invoice.scm,
	  src/report/business-reports/invoice.scm,
	  src/report/report-system/report-system.scm,
	  src/report/standard-reports/standard-reports.scm: [PATCH 2/4]
	  Bug #615168: Remove instances of (use-modules (ice-9 slib))
	  There are no more instances of (require ...), so Guile's slib
	  support is no longer needed. Patch by Andy Wingo.
	* [r20435] src/app-utils/c-interface.scm, src/app-utils/prefs.scm,
	  src/report/business-reports/aging.scm,
	  src/report/business-reports/easy-invoice.scm,
	  src/report/business-reports/fancy-invoice.scm,
	  src/report/business-reports/invoice.scm,
	  src/report/report-system/report-system.scm,
	  src/report/standard-reports/standard-reports.scm: [PATCH 1/4]
	  Bug #615168: Remove spurious (require 'hash-table) instances
	  Patch by Andy Wingo. There is nothing that the slib hash-table
	  module provides that was used in any of these files; they all
	  used Guile's stock hash tables.

2011-03-20 19:33  gjanssens

	* [r20433] src/engine/gncOwner.c, src/engine/gncOwner.h: Add some
	  convenience getter functions to gncOwner.

2011-03-20 19:17  gjanssens

	* [r20432] src/engine/gnc-lot.h, src/engine/gncCustomer.h,
	  src/engine/gncEmployee.h, src/engine/gncInvoice.h,
	  src/engine/gncJob.h, src/engine/gncOwner.c,
	  src/engine/gncVendor.h,
	  src/gnome-utils/gnc-tree-model-account.c,
	  src/gnome-utils/gnc-tree-model-account.h: Whitespace and
	  spelling corrections

2011-03-19 04:41  fell

	* [r20431] src/engine/iso-4217-currencies.scm: Bug #642176: Add
	  four decimals to CLF (Chilean Unidades de fomento) Oops, I
	  forgot 1 digit

2011-03-19 04:09  fell

	* [r20430] src/engine/iso-4217-currencies.scm: Bug #642176: Add
	  four decimals to CLF (Chilean Unidades de fomento) While we
	  could not find a document, which defines the decimals, they are
	  indispensable for the conversion of payments in "real" CLP.

2011-03-18 19:40  gjanssens

	* [r20429] configure.ac: Bug #645173 - [PATCH] Configure check
	  uses hardcoded webkit library name Patch by Andy Clayton.

2011-03-17 04:57  cmarchi

	* [r20427] po/nl.po: Updated Dutch translation, copied from the
	  translation project.

2011-03-15 17:17  gjanssens

	* [r20426] packaging/win32/install-fq-mods.cmd: Bug #641645 -
	  Support ActivePerl 5.12 for Finance:Quote on Windows

2011-03-15 14:24  jralls

	* [r20425] src/engine/Account.c, src/gnome-utils/dialog-account.c,
	  src/gnome-utils/gnc-tree-view-account.c: Bug #644688: Account
	  edit fails to detect that no changes have been made and marks
	  the account 'dirty'.

2011-03-15 10:08  cstim

	* [r20424] src/bin/gnucash-bin.c: Note last stable version number

2011-03-14 05:39  cstim

	* [r20420] configure.ac: Make error message on missing <dbi/dbi.h>
	  more verbose. Also mention the infamous dbi database drivers
	  here,
	  https://lists.gnucash.org/pipermail/gnucash-devel/2011-February/031171.html

2011-03-13 17:47  cmarchi

	* [r20419] po/it.po: Updated Italian translation.

2011-03-13 16:47  plongstaff

	* [r20417] configure.ac: Update rev to 2.4.4
	* [r20416] po/POTFILES.in: Update POTFILES.in

2011-03-13 11:28  cstim

	* [r20413] src/import-export/ofx/gnc-ofx-import.c: Implement
	  automatic creation of stock account for newly imported OFX
	  stocks. Only active if "auto-create commodity" is switched on in
	  the preferences from r20376.

2011-03-13 11:14  cstim

	* [r20412] src/import-export/import-account-matcher.c,
	  src/import-export/import-backend.c,
	  src/import-export/import-main-matcher.c,
	  src/import-export/import-main-matcher.h: Add some more sanity
	  checking in common importer module.

2011-03-13 09:58  cstim

	* [r20411] src/import-export/ofx/Makefile.am,
	  src/import-export/ofx/gnc-ofx-import.c,
	  src/import-export/ofx/gnc-ofx-kvp.c,
	  src/import-export/ofx/gnc-ofx-kvp.h: Refactor KVP-related
	  functions of OFX into separate file.

2011-03-13 09:54  cstim

	* [r20410] src/gnome/dialog-tax-info.c: Revert r20405, "Correct
	  memory leaks..." - does not compile with guile-1.6 The patch
	  will be re-applied once trunk requires guile-1.8, which will be
	  done right after the oncoming branching.

2011-03-13 00:03  cstim

	* [r20409] src/import-export/ofx/gnc-ofx-import.c: Code cleanup in
	  ofx importer; refactoring to get away from the single giant long
	  function.

2011-03-13 00:02  cstim

	* [r20408] src/gnome-utils/dialog-account.c,
	  src/gnome-utils/dialog-account.h,
	  src/import-export/import-account-matcher.c,
	  src/import-export/import-account-matcher.h: Add some more
	  const-correctness.
	* [r20407] configure.ac: Configure simplification: Use pkg-config
	  for libofx. Remove obsolete external qof detection. (Somehow the
	  argument --with-qt3-wizard-package was writting right inside the
	  qof code stuff. This has been moved to the aqbanking section
	  now.)
	* [r20406] packaging/win32/crossbuild_webkit.sh,
	  packaging/win32/defaults.sh,
	  packaging/win32/webkit-1.2.7-time.patch,
	  packaging/win32/webkit-1.2.7-vasprintf.patch: Win32: Tweak cross
	  compiling script for webkit so that is seems to almost compile.

2011-03-12 21:48  alex.aycinena

	* [r20405] src/gnome/dialog-tax-info.c: Correct memory leaks found
	  with valgrind

2011-03-12 15:52  cstim

	* [r20404] src/report/report-system/report-system.scm,
	  src/report/report-system/report-utilities.scm,
	  src/report/standard-reports/equity-statement.scm,
	  src/report/standard-reports/income-statement.scm: Bug #570042:
	  Better default for book-closing entries in Income Statement
	  Report Options Patch by Tristan Faujour: Proposed patch: make
	  reports ignore book-closing entries I chose to: - Change the
	  reports' default behavior to have them ignore the book-closing
	  entries. - Do not change anything in reports that deal
	  explicitly with them. Here is the content of this patch
	  (everything is under gnucash/src/report): - In function
	  gnc:account-get-trans-type-balance-interval, depending on an
	  argument, closing entries can be ignored (they are identified by
	  xaccTransGetIsClosingTxn). - Some report utility functions are
	  duplicated (with a "-with closing" suffix) to provide the legacy
	  feature. - Equity statement and Profit & Loss reports are
	  modified to call the *-with-closing functions.

2011-03-12 15:47  cstim

	* [r20403] src/backend/xml/gnc-backend-xml.c,
	  src/libqof/qof/qoflog.c, src/libqof/qof/test/test-qof.c: Bug
	  #644556: Running the test as root happened to remove /dev/null.
	  Check for this and also fix the respective test. Additionally,
	  it turned out the log system never gave notice about a log
	  output file that was unwritable. Added an appropriate CRITICAL
	  error message.
	* [r20402] src/libqof/qof/qoflog.c, src/libqof/qof/qoflog.h:
	  Remove unused functions for wall clock timing. Facilities such
	  as this should be used from external expert libraries. Also,
	  this is in the way when cleaning up some log system problems in
	  subsequent commits.

2011-03-12 15:44  gjanssens

	* [r20401] src/app-utils/test/Makefile.am,
	  src/backend/xml/test/Makefile.am, src/bin/Makefile.am,
	  src/business/business-core/test/Makefile.am,
	  src/core-utils/test/Makefile.am, src/engine/test/Makefile.am,
	  src/import-export/ofx/test/Makefile.am,
	  src/import-export/qif-import/test/Makefile.am,
	  src/import-export/test/Makefile.am,
	  src/register/ledger-core/test/Makefile.am,
	  src/register/register-core/test/Makefile.am,
	  src/register/register-gnome/test/Makefile.am,
	  src/report/report-gnome/test/Makefile.am: Bug #644557 -
	  gnucash-2.4.3: downstream patches to fix tests linking Patches
	  kindly provided by Gilles Dartiguelongue <eva@gentoo.org> of the
	  Gentoo project.
	* [r20400] src/backend/dbi/gnc-backend-dbi.c,
	  src/core-utils/gnc-filepath-utils.c,
	  src/core-utils/gnc-filepath-utils.h: Bug #642739 - Translog
	  files being created in Gnucash program installation directory
	  Translog files for databases are now created in a directory
	  "translog" inside the .gnucash dir. The files will be named
	  following this scheme:
	  <dbtype>_<hostname>_<user>_<dbname>.<timestamp>.log

2011-03-12 09:36  cstim

	* [r20399] src/report/report-gnome/gnc-plugin-page-report.c: When
	  setting the report print name, check whether this exact name has
	  been used before. Append an increasing number if that was the
	  case.

2011-03-11 20:07  cmarchi

	* [r20398] po/nl.po: Updated Dutch translation copied from the
	  translation project.

2011-03-11 18:46  cmarchi

	* [r20397] po/uk.po: Updated Ukranian translation copied from the
	  translation project.

2011-03-11 14:25  cstim

	* [r20396] src/report/report-gnome/gnc-plugin-page-report.c: Fix
	  r20394: Output string clean-up was missing the date part.

2011-03-11 12:53  cmarchi

	* [r20395] doc/README-zh_TW.win32-bin.txt, po/glossary/zh_TW.po,
	  po/zh_TW.po: Updated Traditional Chinese translation, glossary
	  and win32 txt.

2011-03-11 07:21  cstim

	* [r20394] src/report/report-gnome/gnc-plugin-page-report.c: When
	  setting a printer job name, remove slashes because they are not
	  allowes in filenames.

2011-03-10 22:23  cstim

	* [r20393] src/report/report-gnome/gnc-plugin-page-report.c: Add
	  the invoice number in the output printer job name, if an invoice
	  report is printed.
	* [r20392] src/app-utils/Makefile.am,
	  src/app-utils/business-options.c,
	  src/app-utils/business-options.h,
	  src/business/business-utils/Makefile.am,
	  src/business/business-utils/business-options.c,
	  src/business/business-utils/business-options.h: Move
	  business-options.[hc] from business-utils to app-utils. As
	  "business-core" has been dissolved, the "business-utils" code
	  has no more requirements than app-utils and can be moved there
	  because of this.

2011-03-10 20:12  cstim

	* [r20391] ChangeLog.2010, Makefile.am: Add ChangeLog.2010.

2011-03-08 13:21  gjanssens

	* [r20388] src/libqof/qof/qoflog.c: Fix missing timestamp in trace
	  files on Windows

2011-03-08 13:16  gjanssens

	* [r20385] src/libqof/qof/test, src/optional/gtkmm: Additional
	  svn:ignore settings

2011-03-08 12:54  cstim

	* [r20384] .gitignore: Add yet more gitignores.

2011-03-08 11:16  cstim

	* [r20383] .gitignore: Add more gitignore entries.

2011-03-08 11:15  cstim

	* [r20382] src/libqof/qof/qofbook-p.h, src/libqof/qof/qofbook.c,
	  src/libqof/qof/test/test-qof.c,
	  src/libqof/qof/test/test-qofbook.c: Bug #644036: Counter format
	  validation fails on Windows because the number format is I64i
	  there. Note: Users will run into a problem when copying a
	  windows file to linux and vice versa because the counter format
	  will have to be changed on the other operating system each time.

2011-03-07 19:23  gjanssens

	* [r20381] src/libqof/qof/guid.c: Add comments to warn about lack
	  of Windows support in the guid_init function.

2011-03-07 18:42  gjanssens

	* [r20380] src/libqof/qof/guid.c: Bug #521817 - Guid_init causes
	  very long startup delay if Novell Network active P_tmpdir is set
	  to "\" by mingw. The way P_tmpdir is used by GnuCash, this seems
	  to trigger unwanted network activity. So on Windows, I'm
	  replacing it with "C:/temp" for now, based on suggestions found
	  on the internet regarding this issue.

2011-03-06 20:22  cmarchi

	* [r20379] src/business/business-gnome/glade/businessprefs.glade:
	  Fix an accelerator.

2011-03-05 23:29  alex.aycinena

	* [r20378] src/app-utils/gnc-ui-util.c,
	  src/gnome-utils/gnc-tree-view-account.c,
	  src/gnome/gnc-plugin-page-register.c: Correct memory leaks found
	  with valgrind

2011-03-05 17:31  gjanssens

	* [r20377] src/libqof/qof/guid.c: Add more debug logging.

2011-03-05 11:41  cstim

	* [r20376] src/import-export/generic-import.glade,
	  src/import-export/ofx/gnc-ofx-import.c,
	  src/import-export/schemas/apps_gnucash_import_generic_matcher.schemas.in:
	  Add option in OFX import to have newly encountered commodities
	  automatically created.

2011-03-05 11:40  cstim

	* [r20375] src/import-export/import-commodity-matcher.c,
	  src/import-export/import-commodity-matcher.h,
	  src/import-export/import-settings.c,
	  src/import-export/import-settings.h: Minor code cleanup: Move
	  gconf section name into header; clarify argument name.

2011-03-04 21:02  cstim

	* [r20373] src/import-export/import-commodity-matcher.c,
	  src/import-export/import-commodity-matcher.h,
	  src/import-export/ofx/gnc-ofx-import.c: Minor code cleanup in
	  ofx importer; improve const-correctness.

2011-03-04 14:43  cstim

	* [r20368] src/gnc-module/gnc-module.c: Use qualified include path
	  for cmake/automake simplification

2011-03-03 21:50  gjanssens

	* [r20367] src/bin/gnucash-bin.c, src/gnc-module/Makefile.am,
	  src/gnc-module/gnc-module.c, src/libqof/qof/guid.c: Add
	  additional debug markers

2011-03-03 00:30  alex.aycinena

	* [r20364] src/app-utils/gnc-ui-util.c: Correct memory leak found
	  with valgrind

2011-03-02 19:33  cmarchi

	* [r20363] packaging/win32/Makefile.am,
	  packaging/win32/gnucash.iss.in: Fix Traditional Chinese win32
	  package translation.

2011-03-01 23:09  alex.aycinena

	* [r20359] src/gnome-utils/gnc-tree-model-account.c,
	  src/gnome-utils/gnc-tree-model-account.h,
	  src/gnome-utils/gnc-tree-view-account.c: Modify Tax Info on
	  Account Page to display or not display sub-account info based on
	  whether row is expanded. Re-apply changes reverted in r20251.
	  The only difference between this commit and r20207 is that,
	  contrary to the recommendation given in gnc-tree-view.h, "Use
	  GNC_TREE_VIEW_COLUMN_DATA_NONE if you plan on using a non-model
	  data source for this column", it cobtinues to use
	  "GNC_TREE_MODEL_ACCOUNT_COL_TAX_INFO". Using
	  "GNC_TREE_VIEW_COLUMN_DATA_NONE" generates problems later in the
	  "gnc_tree_view_add_text_column" routine when it tries to set up
	  sorting for the column ("CRIT <Gtk>
	  gtk_tree_sortable_set_sort_func: assertion `sort_column_id >= 0'
	  failed"). Define a new column,
	  GNC_TREE_MODEL_ACCOUNT_COL_TAX_INFO_SUB_ACCT, in
	  gnc-tree-model-account.c filled with
	  gnc_ui_account_get_tax_info_sub_acct_string. Modify
	  gnc-tree-view-account.c to define a tax_info_data_func that
	  displays only the the data in the
	  GNC_TREE_MODEL_ACCOUNT_COL_TAX_INFO model column if the row is
	  expanded; otherwise it combines it with the data in the
	  GNC_TREE_MODEL_ACCOUNT_COL_TAX_INFO_SUB_ACCT model column.
	  Modily the view creation function to use the new
	  tax_info_data_func for the text after having first set it to
	  GNC_TREE_MODEL_ACCOUNT_COL_TAX_INFO to prevent the problem
	  mentioned above, thereby overriding it.

2011-03-01 21:27  cstim

	* [r20358] po/de.po: Fix typo in German translation

2011-03-01 19:44  cmarchi

	* [r20357] doc/Makefile.am, doc/README-zh_TW.win32-bin.txt,
	  packaging/win32/ChineseTrad-2-5.1.11.isl,
	  packaging/win32/gnucash.iss.in: Add Traditional Chinese
	  translation for win32 package system.

2011-03-01 19:36  cmarchi

	* [r20356] po/zh_TW.po: Updated Traditional Chinese translation by
	  Kuang-che.

2011-03-01 19:33  cmarchi

	* [r20355] po/fr.po: Improved French translation by Sebastien
	  Daniel.

2011-02-28 18:48  gjanssens

	* [r20354] src/gnome-utils/gnctreemodelsort.c,
	  src/gnome-utils/gnctreemodelsort.h,
	  src/gnome-utils/gtktreedatalist.c,
	  src/gnome-utils/gtktreedatalist.h: Remove some obsolete files
	  These files were once copied from gtk 2.8 to work around pre-2.8
	  gtk bugs when that was still our baseline. Our baseline is
	  currently 2.10, so these files are no longer needed/used.

2011-02-28 16:26  gjanssens

	* [r20353] src/gnome-utils/gnc-main-window.c: Fix Gtk CRIT
	  warnings introduced in r20351

2011-02-28 11:28  gjanssens

	* [r20352] src/business/business-gnome/dialog-invoice.c,
	  src/doc/python-bindings-doxygen.py,
	  src/gnome-utils/dialog-transfer.c,
	  src/gnome-utils/gnc-gobject-utils.c,
	  src/gnome-utils/gnc-gobject-utils.h,
	  src/gnome/gnc-plugin-page-budget.c,
	  src/libqof/qof/gnc-numeric.c,
	  src/optional/python-bindings/timespec.i,
	  src/report/report-gnome/gnc-plugin-page-report.c: Small spelling
	  corrections in comments and some whitespace adjustments
	* [r20351] src/business/business-gnome/gnc-plugin-page-invoice.c,
	  src/gnome-utils/gnc-main-window.c: Update page name if
	  invoice/bill is renamed.
	* [r20350] src/gnome/gnc-plugin-page-budget.c: Present already
	  open budget page if the user tries to open a budget more than
	  once

2011-02-28 11:27  gjanssens

	* [r20349] src/gnome/gnc-plugin-page-budget.c: Update page name if
	  budget is renamed.
	* [r20348] src/gnome/gnc-plugin-page-budget.c: Bug #347265 -
